
Release 3.6.8 (Public Minor Release - 2023-12-19)

**** Changes from 2023.12.19 (onken)

- Created CHANGES.368 for DCMTK release 3.6.8:
  CHANGES.368 contains the Git commit history since DCMTK release 3.6.7.
  Affects: docs/CHANGES.368

- Removed executable permission where appropriate.
  Affects: ANNOUNCE
           docs/ANNOUNCE.367
           ofstd/include/dcmtk/ofstd/ofbmanip.h
           ofstd/libsrc/offilsys.cc

**** Changes from 2023.12.18 (riesmeier)

- Minor fixes and additions to ANNOUNCE file.
  Affects: ANNOUNCE

**** Changes from 2023.12.15 (onken)

- Fixed last commit (release date week day).
  Affects: doxygen/manpages/man1/cda2dcm.1
           doxygen/manpages/man1/dcm2json.1
           doxygen/manpages/man1/dcm2pdf.1
           doxygen/manpages/man1/dcm2pnm.1
           doxygen/manpages/man1/dcm2xml.1
           doxygen/manpages/man1/dcmcjpeg.1
           doxygen/manpages/man1/dcmcjpls.1
           doxygen/manpages/man1/dcmconv.1
           doxygen/manpages/man1/dcmcrle.1
           doxygen/manpages/man1/dcmdjpeg.1
           doxygen/manpages/man1/dcmdjpls.1
           doxygen/manpages/man1/dcmdrle.1
           doxygen/manpages/man1/dcmdspfn.1
           doxygen/manpages/man1/dcmdump.1
           doxygen/manpages/man1/dcmftest.1
           doxygen/manpages/man1/dcmgpdir.1
           doxygen/manpages/man1/dcmicmp.1
           doxygen/manpages/man1/dcmj2pnm.1
           doxygen/manpages/man1/dcml2pnm.1
           doxygen/manpages/man1/dcmmkcrv.1
           doxygen/manpages/man1/dcmmkdir.1
           doxygen/manpages/man1/dcmmklut.1
           doxygen/manpages/man1/dcmodify.1
           doxygen/manpages/man1/dcmp2pgm.1
           doxygen/manpages/man1/dcmprscp.1
           doxygen/manpages/man1/dcmprscu.1
           doxygen/manpages/man1/dcmpschk.1
           doxygen/manpages/man1/dcmpsmk.1
           doxygen/manpages/man1/dcmpsprt.1
           doxygen/manpages/man1/dcmpsrcv.1
           doxygen/manpages/man1/dcmpssnd.1
           doxygen/manpages/man1/dcmqridx.1
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/dcmqrti.1
           doxygen/manpages/man1/dcmquant.1
           doxygen/manpages/man1/dcmrecv.1
           doxygen/manpages/man1/dcmscale.1
           doxygen/manpages/man1/dcmsend.1
           doxygen/manpages/man1/dcmsign.1
           doxygen/manpages/man1/dcod2lum.1
           doxygen/manpages/man1/dconvlum.1
           doxygen/manpages/man1/drtdump.1
           doxygen/manpages/man1/dsr2html.1
           doxygen/manpages/man1/dsr2xml.1
           doxygen/manpages/man1/dsrdump.1
           doxygen/manpages/man1/dump2dcm.1
           doxygen/manpages/man1/echoscu.1
           doxygen/manpages/man1/findscu.1
           doxygen/manpages/man1/getscu.1
           doxygen/manpages/man1/img2dcm.1
           doxygen/manpages/man1/mkcsmapper.1
           doxygen/manpages/man1/mkesdb.1
           doxygen/manpages/man1/movescu.1
           doxygen/manpages/man1/pdf2dcm.1
           doxygen/manpages/man1/stl2dcm.1
           doxygen/manpages/man1/storescp.1
           doxygen/manpages/man1/storescu.1
           doxygen/manpages/man1/termscu.1
           doxygen/manpages/man1/wlmscpfs.1
           doxygen/manpages/man1/xml2dcm.1
           doxygen/manpages/man1/xml2dsr.1

- Also updated man page with planned release date.
  Affects: doxygen/manpages/man1/cda2dcm.1
           doxygen/manpages/man1/dcm2json.1
           doxygen/manpages/man1/dcm2pdf.1
           doxygen/manpages/man1/dcm2pnm.1
           doxygen/manpages/man1/dcm2xml.1
           doxygen/manpages/man1/dcmcjpeg.1
           doxygen/manpages/man1/dcmcjpls.1
           doxygen/manpages/man1/dcmconv.1
           doxygen/manpages/man1/dcmcrle.1
           doxygen/manpages/man1/dcmdjpeg.1
           doxygen/manpages/man1/dcmdjpls.1
           doxygen/manpages/man1/dcmdrle.1
           doxygen/manpages/man1/dcmdspfn.1
           doxygen/manpages/man1/dcmdump.1
           doxygen/manpages/man1/dcmftest.1
           doxygen/manpages/man1/dcmgpdir.1
           doxygen/manpages/man1/dcmicmp.1
           doxygen/manpages/man1/dcmj2pnm.1
           doxygen/manpages/man1/dcml2pnm.1
           doxygen/manpages/man1/dcmmkcrv.1
           doxygen/manpages/man1/dcmmkdir.1
           doxygen/manpages/man1/dcmmklut.1
           doxygen/manpages/man1/dcmodify.1
           doxygen/manpages/man1/dcmp2pgm.1
           doxygen/manpages/man1/dcmprscp.1
           doxygen/manpages/man1/dcmprscu.1
           doxygen/manpages/man1/dcmpschk.1
           doxygen/manpages/man1/dcmpsmk.1
           doxygen/manpages/man1/dcmpsprt.1
           doxygen/manpages/man1/dcmpsrcv.1
           doxygen/manpages/man1/dcmpssnd.1
           doxygen/manpages/man1/dcmqridx.1
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/dcmqrti.1
           doxygen/manpages/man1/dcmquant.1
           doxygen/manpages/man1/dcmrecv.1
           doxygen/manpages/man1/dcmscale.1
           doxygen/manpages/man1/dcmsend.1
           doxygen/manpages/man1/dcmsign.1
           doxygen/manpages/man1/dcod2lum.1
           doxygen/manpages/man1/dconvlum.1
           doxygen/manpages/man1/drtdump.1
           doxygen/manpages/man1/dsr2html.1
           doxygen/manpages/man1/dsr2xml.1
           doxygen/manpages/man1/dsrdump.1
           doxygen/manpages/man1/dump2dcm.1
           doxygen/manpages/man1/echoscu.1
           doxygen/manpages/man1/findscu.1
           doxygen/manpages/man1/getscu.1
           doxygen/manpages/man1/img2dcm.1
           doxygen/manpages/man1/mkcsmapper.1
           doxygen/manpages/man1/mkesdb.1
           doxygen/manpages/man1/movescu.1
           doxygen/manpages/man1/pdf2dcm.1
           doxygen/manpages/man1/stl2dcm.1
           doxygen/manpages/man1/storescp.1
           doxygen/manpages/man1/storescu.1
           doxygen/manpages/man1/termscu.1
           doxygen/manpages/man1/wlmscpfs.1
           doxygen/manpages/man1/xml2dcm.1
           doxygen/manpages/man1/xml2dsr.1

- Updated code with planned release date.
  Affects: ANNOUNCE
           CMake/dcmtkPrepare.cmake
           config/configure
           config/configure.in
           docs/CHANGES.368

**** Changes from 2023.12.12 (eichelberg)

- Fixed installation directories on Windows:
  Fixed installation directories for data and documentation files on Windows,
  which now use a structure that is equivalent to the one on other platforms.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2023.11.29 (onken)

- Forwarded PACKAGE_DATE.
  Affects: CMake/dcmtkPrepare.cmake
           config/configure

- Adaptations for pending 3.6.8 release:
  Updated CHANGES.368 for DCMTK release 3.6.8.
  Updated man pages for DCMTK release 3.6.8.
  Updated version information for DCMTK release 3.6.8.
  Updated Makefile dependencies.
  Affects: ANNOUNCE
           CMake/dcmtkPrepare.cmake
           config/configure.in
           dcmdata/apps/Makefile.dep
           dcmdata/libdcxml/Makefile.dep
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep
           dcmect/libsrc/Makefile.dep
           dcmect/tests/Makefile.dep
           dcmfg/libsrc/Makefile.dep
           dcmfg/tests/Makefile.dep
           dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/libsrc/Makefile.dep
           dcmiod/libsrc/Makefile.dep
           dcmiod/tests/Makefile.dep
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmjpls/apps/Makefile.dep
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libsrc/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           dcmnet/tests/Makefile.dep
           dcmpmap/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmrt/apps/Makefile.dep
           dcmrt/libsrc/Makefile.dep
           dcmrt/tests/Makefile.dep
           dcmseg/libsrc/Makefile.dep
           dcmseg/tests/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsign/libsrc/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libcmr/Makefile.dep
           dcmsr/libsrc/Makefile.dep
           dcmsr/tests/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmtract/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep
           docs/CHANGES.368
           doxygen/manpages/man1/cda2dcm.1
           doxygen/manpages/man1/dcm2json.1
           doxygen/manpages/man1/dcm2pdf.1
           doxygen/manpages/man1/dcm2pnm.1
           doxygen/manpages/man1/dcm2xml.1
           doxygen/manpages/man1/dcmcjpeg.1
           doxygen/manpages/man1/dcmcjpls.1
           doxygen/manpages/man1/dcmconv.1
           doxygen/manpages/man1/dcmcrle.1
           doxygen/manpages/man1/dcmdjpeg.1
           doxygen/manpages/man1/dcmdjpls.1
           doxygen/manpages/man1/dcmdrle.1
           doxygen/manpages/man1/dcmdspfn.1
           doxygen/manpages/man1/dcmdump.1
           doxygen/manpages/man1/dcmftest.1
           doxygen/manpages/man1/dcmgpdir.1
           doxygen/manpages/man1/dcmicmp.1
           doxygen/manpages/man1/dcmj2pnm.1
           doxygen/manpages/man1/dcml2pnm.1
           doxygen/manpages/man1/dcmmkcrv.1
           doxygen/manpages/man1/dcmmkdir.1
           doxygen/manpages/man1/dcmmklut.1
           doxygen/manpages/man1/dcmodify.1
           doxygen/manpages/man1/dcmp2pgm.1
           doxygen/manpages/man1/dcmprscp.1
           doxygen/manpages/man1/dcmprscu.1
           doxygen/manpages/man1/dcmpschk.1
           doxygen/manpages/man1/dcmpsmk.1
           doxygen/manpages/man1/dcmpsprt.1
           doxygen/manpages/man1/dcmpsrcv.1
           doxygen/manpages/man1/dcmpssnd.1
           doxygen/manpages/man1/dcmqridx.1
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/dcmqrti.1
           doxygen/manpages/man1/dcmquant.1
           doxygen/manpages/man1/dcmrecv.1
           doxygen/manpages/man1/dcmscale.1
           doxygen/manpages/man1/dcmsend.1
           doxygen/manpages/man1/dcmsign.1
           doxygen/manpages/man1/dcod2lum.1
           doxygen/manpages/man1/dconvlum.1
           doxygen/manpages/man1/drtdump.1
           doxygen/manpages/man1/dsr2html.1
           doxygen/manpages/man1/dsr2xml.1
           doxygen/manpages/man1/dsrdump.1
           doxygen/manpages/man1/dump2dcm.1
           doxygen/manpages/man1/echoscu.1
           doxygen/manpages/man1/findscu.1
           doxygen/manpages/man1/getscu.1
           doxygen/manpages/man1/img2dcm.1
           doxygen/manpages/man1/mkcsmapper.1
           doxygen/manpages/man1/mkesdb.1
           doxygen/manpages/man1/movescu.1
           doxygen/manpages/man1/pdf2dcm.1
           doxygen/manpages/man1/stl2dcm.1
           doxygen/manpages/man1/storescp.1
           doxygen/manpages/man1/storescu.1
           doxygen/manpages/man1/termscu.1
           doxygen/manpages/man1/wlmscpfs.1
           doxygen/manpages/man1/xml2dcm.1
           doxygen/manpages/man1/xml2dsr.1
           oficonv/apps/Makefile.dep
           oficonv/libsrc/Makefile.dep
           oficonv/tests/Makefile.dep
           oflog/libsrc/Makefile.dep
           ofstd/libsrc/Makefile.dep
           ofstd/tests/Makefile.dep

**** Changes from 2023.11.27 (eichelberg)

- Fixed ofipc on GNU Hurd.
  Affects: ofstd/include/dcmtk/ofstd/ofipc.h

- Fixed compile issues on Debian GNU Hurd:
  Fixed compile issues on Debian GNU Hurd. In particular, replaced the use
  of the PATH_MAX constant with an internal constant named OFICONV_PATH_MAX,
  because PATH_MAX is not available on all systems and known to be "broken",
  since on many operating systems the maximum path length is determined by
  the file system, and not fixed for the entire operating system. We now use
  a maximum path length of 4 kBytes, which is the longest PATH_MAX on the
  supported operating systems. Note that longer paths will not cause a
  buffer overrun, but may cause data files not to be found if the path is
  too long.
  Thanks to Mathieu Malaterre <mathieu.malaterre@gmail.com> for reporting
  this issue.
  Affects: oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_lookup.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mmap.c

- Mention DCMTK_USE_WIN32_PROGRAMDATA in ANNOUNCE.
  Affects: ANNOUNCE

**** Changes from 2023.11.27 (onken)

- Use safe buffer length for sprintf:
  Thanks to Mathieu Malaterre <mathieu.malaterre@gmail.com> for the
  report.
  Affects: dcmimage/libsrc/diquant.cc

**** Changes from 2023.11.27 (riesmeier)

- Updated libxml2 version number for Autoconf.
  Affects: INSTALL

**** Changes from 2023.11.27 (eichelberg)

- Fixed segmentation fault in dcmqrscp:
  Fixed segmentation fault in dcmqrscp that could be triggered
  by receiving a DICOM dataset containing an in invalid
  (fffa,fffa) DigitalSignaturesSequence attribute using a
  value representation other than SQ.
  Thanks to Song Xiangpu <songxiangpu@mail.sdu.edu.cn> for the report.
  This closes DCMTK issue #1089.
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

- Updated documentation on oficonv data files.
  Affects: INSTALL
           dcmdata/docs/dcm2json.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmdump.man
           dcmnet/docs/findscu.man
           dcmqrdb/docs/dcmqrscp.man
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man

- Restored behaviour of INSTALL target on Windows:
  By default, the INSTALL target on Windows will now behave as in previous
  releases. A new CMake cache variable DCMTK_USE_WIN32_PROGRAMDATA has been
  added that allows to enable the experimental new behaviour under which
  data files, documentation and configuration files will be installed in
  a subdirectory of the Windows ProgramData directory (on most Windows
  installations, this is located in C:\ProgramData).
  Affects: CMake/GenerateDCMTKConfigure.cmake
           INSTALL

- Fixed INSTALL target on Windows.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Fixed bug in libxml2 detection.
  Affects: CMake/3rdparty.cmake

**** Changes from 2023.11.27 (onken)

- Various doc. updates for pending 3.6.8 release.
  Added:   docs/CHANGES.368
           doxygen/manpages/man1/mkcsmapper.1
           doxygen/manpages/man1/mkesdb.1
  Affects: ANNOUNCE
           CMake/dcmtkPrepare.cmake
           INSTALL
           VERSION
           config/configure
           config/configure.in
           config/confmod
           config/include/dcmtk/config/osconfig.h.in
           dcmdata/docs/dcmftest.man
           dcmimgle/docs/dcmdspfn.man
           dcmimgle/docs/dcod2lum.man
           dcmimgle/docs/dconvlum.man
           dcmnet/docs/dcmsend.man
           dcmnet/docs/getscu.man
           dcmnet/docs/termscu.man
           dcmpstat/docs/dcmpsrcv.man
           dcmpstat/docs/dcmpssnd.man
           dcmqrdb/docs/dcmqridx.man
           dcmqrdb/docs/dcmqrti.man
           doxygen/manpages/man1/cda2dcm.1
           doxygen/manpages/man1/dcm2json.1
           doxygen/manpages/man1/dcm2pdf.1
           doxygen/manpages/man1/dcm2pnm.1
           doxygen/manpages/man1/dcm2xml.1
           doxygen/manpages/man1/dcmcjpeg.1
           doxygen/manpages/man1/dcmcjpls.1
           doxygen/manpages/man1/dcmconv.1
           doxygen/manpages/man1/dcmcrle.1
           doxygen/manpages/man1/dcmdjpeg.1
           doxygen/manpages/man1/dcmdjpls.1
           doxygen/manpages/man1/dcmdrle.1
           doxygen/manpages/man1/dcmdspfn.1
           doxygen/manpages/man1/dcmdump.1
           doxygen/manpages/man1/dcmftest.1
           doxygen/manpages/man1/dcmgpdir.1
           doxygen/manpages/man1/dcmicmp.1
           doxygen/manpages/man1/dcmj2pnm.1
           doxygen/manpages/man1/dcml2pnm.1
           doxygen/manpages/man1/dcmmkcrv.1
           doxygen/manpages/man1/dcmmkdir.1
           doxygen/manpages/man1/dcmmklut.1
           doxygen/manpages/man1/dcmodify.1
           doxygen/manpages/man1/dcmp2pgm.1
           doxygen/manpages/man1/dcmprscp.1
           doxygen/manpages/man1/dcmprscu.1
           doxygen/manpages/man1/dcmpschk.1
           doxygen/manpages/man1/dcmpsmk.1
           doxygen/manpages/man1/dcmpsprt.1
           doxygen/manpages/man1/dcmpsrcv.1
           doxygen/manpages/man1/dcmpssnd.1
           doxygen/manpages/man1/dcmqridx.1
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/dcmqrti.1
           doxygen/manpages/man1/dcmquant.1
           doxygen/manpages/man1/dcmrecv.1
           doxygen/manpages/man1/dcmscale.1
           doxygen/manpages/man1/dcmsend.1
           doxygen/manpages/man1/dcmsign.1
           doxygen/manpages/man1/dcod2lum.1
           doxygen/manpages/man1/dconvlum.1
           doxygen/manpages/man1/drtdump.1
           doxygen/manpages/man1/dsr2html.1
           doxygen/manpages/man1/dsr2xml.1
           doxygen/manpages/man1/dsrdump.1
           doxygen/manpages/man1/dump2dcm.1
           doxygen/manpages/man1/echoscu.1
           doxygen/manpages/man1/findscu.1
           doxygen/manpages/man1/getscu.1
           doxygen/manpages/man1/img2dcm.1
           doxygen/manpages/man1/movescu.1
           doxygen/manpages/man1/pdf2dcm.1
           doxygen/manpages/man1/stl2dcm.1
           doxygen/manpages/man1/storescp.1
           doxygen/manpages/man1/storescu.1
           doxygen/manpages/man1/termscu.1
           doxygen/manpages/man1/wlmscpfs.1
           doxygen/manpages/man1/xml2dcm.1
           doxygen/manpages/man1/xml2dsr.1

**** Changes from 2023.11.07 (eichelberg)

- Fixed previous commit:
  Fixed compilation of previous commit on OpenIndiana.
  Affects: dcmnet/libsrc/dulfsm.cc

**** Changes from 2023.10.27 (onken)

- Fix read access violation for length overflow:
  It was possible to overflow length in "length -= 4 + pdvLength;"
  when pdvLength is set to a value greater then LONG_MAX + pduLength.
  By doing that the length overflowed and became positive, even if it
  was initially less than 4 + pdvLength.
  Thanks to GitHub user "doskachok" for the report and suggested patch.
  Affects: dcmnet/libsrc/dulfsm.cc

**** Changes from 2023.10.19 (onken)

- Adapt parameter definition to declaration:
  Thanks to GitHub user "kwach" for the report and suggested patch.
  Affects: dcmnet/libsrc/assoc.cc

**** Changes from 2023.08.24 (riesmeier)

- Updated URL of DICOMscope web page.
  Affects: dcmpstat/docs/dcmpstat.dox

- Updated DCMTK's URL (used for the HTML footer).
  Affects: dcmsr/include/dcmtk/dcmsr/dsrtypes.h

**** Changes from 2023.08.23 (riesmeier)

- Updated newest CMake version tested to 3.27.3.
  Affects: CMakeLists.txt

**** Changes from 2023.08.21 (onken)

- Do not execute slow dcmnet tests per default:
  Marked some slow SCU/SCP tests to be only executed if user starts the
  test program with flag --exhaustive.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2023.08.16 (riesmeier)

- Removed double inclusion of header file:
  Removed double inclusion of header file "ofstdinc.h".
  Thanks to GitHub user "maddin200" (Martin Strunz) for the report and patch.
  Affects: ofstd/libsrc/ofxml.cc

**** Changes from 2023.08.14 (eichelberg)

- Fixed JSON output of DS elements:
  Fixed JSON output of DICOM DS elements that contain a significand with
  a trailing period, such as "3.", which is valid in DICOM but not in JSON.
  Thanks to Mathieu Malaterre <mathieu.malaterre@gmail.com> for the bug report.
  This closes DCMTK issue #1079.
  Affects: dcmdata/libsrc/dcjson.cc

**** Changes from 2023.08.07 (eichelberg)

- Fixed segmentation fault in xml2dcm:
  Fixed a segmentation fault that could occur in xml2dcm if debug
  output was enabled, due to a use-after-free bug.
  Affects: dcmdata/libdcxml/xml2dcm.cc

**** Changes from 2023.07.21 (riesmeier)

- Updated reference to DICOM standard:
  Updated reference to a particular edition of the DICOM standard after
  checking the current edition for relevant changes, i.e. new Segmentation
  IODs / Storage SOP Classes.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrimgvl.h
           dcmsr/libsrc/dsrimgvl.cc

- Added support for new Storage SOP Classes:
  Added definition of new Storage SOP Class UIDs introduced with Supplement
  229 (Photoacoustic Imaging) and Supplement 237 (General 32-bit ECG).
  This commit also adds support for the various networking tools, to the
  DICOMDIR generation code and to the dcmsr module.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/etc/dcmqrprf.cfg
           dcmsr/include/dcmtk/dcmsr/dsrwavvl.h
           dcmsr/libsrc/dsrwavvl.cc

**** Changes from 2023.07.18 (riesmeier)

- Removed double inclusion of header file:
  Removed double inclusion of header file "ofstd.h".
  Thanks to GitHub user "maddin200" (Martin Strunz) for the report and patch.
  Affects: dcmdata/libsrc/dcdict.cc

**** Changes from 2023.07.14 (riesmeier)

- Updated code definitions for DICOM 2023c:
  Updated automatically generated code definitions for coding scheme "DCM".
  For the coding schemes "NCIt" and "UMLS", there were no changes.
  Affects: dcmsr/include/dcmtk/dcmsr/codes/dcm.h
           dcmsr/include/dcmtk/dcmsr/codes/ncit.h
           dcmsr/include/dcmtk/dcmsr/codes/umls.h

- Updated data dictionary for DICOM 2023c:
  Updated data dictionary for the latest edition of the DICOM standard, which
  has been released only recently.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc

**** Changes from 2023.07.10 (onken)

- Better randomness for temporary filenames:
  Make seed static so that multiple/concurrent calls to this method
  will not use a seed that is initialized by the same time. Instead,
  rely on a seed that is updated by each call to makeFilename below, thus
  resulting in more "randomness" when called within the same second.
  Thanks to GitHub user "bettar" (Alex Bettarini) for the report and patch.
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

**** Changes from 2023.07.03 (onken)

- Provide char encoding value for stdlibc (iconv):
  On Debian system, dcmtk is compiled with:
  DCMTK_ENABLE_CHARSET_CONVERSION:STRING=stdlibc (iconv)
  Which in turn reveal that:
  $ dcm2xml --version
  [...]
  Character encoding: system default (unknown)
  Update implementation detail to retrieve the character encoding using
  the nl_langinfo() POSIX function.
  Thanks to GitHub user "malaterre" for the report and patch.
  Affects: ofstd/libsrc/ofchrenc.cc

- Fix detection of signed char on MSVC:
  cl would fail to compile the code with error:
  error C2131: expression did not evaluate to a constant
  note: a non-constant (sub-)expression was encountered.
  Thanks to GitHub user "malaterre" for the report and patch.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2023.06.28 (onken)

- Removed leading spaces in dcmtk.pc.in:
  Thanks to GitHub user "Cheney-W" (Cheney Wang) for the report and
  suggested patch.
  Affects: CMake/dcmtk.pc.in

**** Changes from 2023.06.28 (eichelberg)

- Fixed error code for unknown TLS ciphersuite:
  When an unknown TLS ciphersuite name was passed to one of the command
  line tools using the --cipher option, or passed to
  DcmTLSCiphersuiteHandler::addCipherSuite() on API level,
  an generic "Illegal Call" error was returned. This has now been
  replaced with a more descriptive "Unknown or invalid ciphersuite"
  error that also reports the name of the unknown ciphersuite.
  Affects: dcmtls/libsrc/tlsciphr.cc

**** Changes from 2023.06.22 (onken)

- Also log on info level when stopping after element:
  In order to be consistent with the previous commit, the information
  that parsing stops (on user request) after a particular element is now
  printed to the info log level (instead of warning) as well.
  Affects: dcmdata/libsrc/dcitem.cc

**** Changes from 2023.06.21 (onken)

- Change log level from Warning to Info:
  When deliberately stopping to parse a dataset at a specific tag (e.g. by
  enabling this feature in DcmFileFormat::loadFileUntilTag()), the
  information that parsing is stopped has been printed to the Warning log
  level. However, since the stop has been planned by the user, Info level
  seems to be more appropriate.
  Thanks to Peter Klotz <peter.klotz@siemens-healthineers.com> for the
  suggestion and patch.
  Affects: dcmdata/libsrc/dcitem.cc

**** Changes from 2023.06.21 (riesmeier)

- Fixed Doxygen commands for specifying list items:
  Now using "-" and "-#" instead of "\li", "<li>", "<ul>", "<ol>" and the
  like for specifying list items. This results in a better formatting, in
  particular for the man pages.
  Also fixed line breaks, space characters and other minor issues where
  needed.
  Affects: dcmdata/docs/cda2dcm.man
           dcmdata/docs/dcmgpdir.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/img2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/stl2dcm.man
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmscale.man
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmj2pnm.man
           dcmjpeg/docs/dcmmkdir.man
           dcmjpls/docs/dcml2pnm.man
           dcmnet/docs/storescp.man
           dcmpstat/docs/dcmpschk.man
           dcmsign/docs/dcmsign.man

**** Changes from 2023.06.18 (eichelberg)

- Fixed minor warning.
  Affects: dcmtls/libsrc/tlslayer.cc

**** Changes from 2023.06.17 (eichelberg)

- Enabled ALPN support in the dcmtls module:
  Now that IANA has officially registered the protocol name 'dicom'
  for use in TLS Application-Layer Protocol Negotiation (ALPN),
  support for ALPN has been enabled in dcmtls, as required by RFC 9325.
  Affects: config/docs/macros.txt
           dcmtls/libsrc/tlslayer.cc

**** Changes from 2023.06.13 (riesmeier)

- Updated mapping of Body Part Examined to codes:
  Updated mapping of the Defined Terms for Body Part Examined (0018,0015)
  to associated CID 4031 (Common Anatomic Regions) codes based on PS3.16
  Table L-1, according to the 2023b edition of the DICOM standard.
  This closes DCMTK Conformance #1063.
  Affects: dcmsr/libcmr/cid4031e.cc

**** Changes from 2023.06.06 (riesmeier)

- Enhanced explanation of --charset-check-all.
  Affects: dcmdata/docs/dcm2xml.man
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man

**** Changes from 2023.06.02 (eichelberg)

- Fixed bug in calculation image comparison metrics:
  Fixed a bug in the calculation of the image comparison metrics that affected
  monochrome multi-frame images with BitsStored > 8. Metrics affected are
  MAE, RMSE, and PSNR.
  Thanks to DongHyun Kim (GitHub user knight2995) for the report and fix.
  This closes GitHub pull request #80.
  Affects: dcmimage/libsrc/dcmicmph.cc

**** Changes from 2023.05.30 (riesmeier)

- Enhanced comment on "Useful UID prefixes":
  Enhanced comment on "Useful UID prefixes" in the header file, e.g. by
  explicitly listing those UID prefixes that are currently used by the
  DCMTK.
  Also added a note that the UID prefix SITE_UID_ROOT + ".9" may be used
  for application-specific purposes in user code when specific semantics
  associated with different UID sub-prefixes are needed.
  Thanks to DCMTK forum user "pgimeno" for the triggering discussion.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h

- The Segmentation IOD actually specifies an image:
  Added the Segmentation Storage SOP Class UID to the dcmImageSOPClassUIDs
  array so that SOP instances of this class will be handled correctly by
  the DICOMDIR generation code. In fact, such instances were already
  processed as images since this is the default behavior of the method
  DicomDirInterface::addRecord().
  Affects: dcmdata/libsrc/dcuid.cc

**** Changes from 2023.05.19 (riesmeier)

- Removed source file that is no longer needed.
  Affects: dcmrt/libsrc/CMakeLists.txt
           dcmrt/libsrc/Makefile.dep
           dcmrt/libsrc/Makefile.in
  Removed: dcmrt/libsrc/drtrdros.cc

- Updated "dcmrt" classes based on DICOM 2023b:
  Updated automatically generated IOD and sequence C++ classes for the
  various RT objects based on the current edition of the DICOM standard
  (2023b). This is a major update, so there can still be issues.
  Also fixed an "ugly" bug when iterating over sequence items using the
  gotoNextItem() method of the automatically generated sequence classes.
  Thanks to DCMTK forum user "nbeck" for the report.
  Added:   dcmrt/include/dcmtk/dcmrt/seq/drtafcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtancs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtarms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtars.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcttcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcvcss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcvdas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdcvs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdtcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drteblds.h
           dcmrt/include/dcmtk/dcmrt/seq/drteblos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtecvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtecvs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfbdds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas5.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtidcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmttcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtosirs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpasms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpass.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpbdds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpbdos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtplos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbas1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbdgs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdais.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdcks.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpprs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrtrs1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrvcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtscvs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttrccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttrtcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtttrcs.h
           dcmrt/libsrc/drtafcs.cc
           dcmrt/libsrc/drtancs.cc
           dcmrt/libsrc/drtarms.cc
           dcmrt/libsrc/drtars.cc
           dcmrt/libsrc/drtcttcs.cc
           dcmrt/libsrc/drtcvcss.cc
           dcmrt/libsrc/drtcvdas.cc
           dcmrt/libsrc/drtcvis.cc
           dcmrt/libsrc/drtdccs.cc
           dcmrt/libsrc/drtdcvs.cc
           dcmrt/libsrc/drtdfss.cc
           dcmrt/libsrc/drtdtcs.cc
           dcmrt/libsrc/drteblds.cc
           dcmrt/libsrc/drteblos.cc
           dcmrt/libsrc/drtecvis.cc
           dcmrt/libsrc/drtecvs.cc
           dcmrt/libsrc/drtfbdds.cc
           dcmrt/libsrc/drtgas1.cc
           dcmrt/libsrc/drtgas3.cc
           dcmrt/libsrc/drtgas4.cc
           dcmrt/libsrc/drtgas6.cc
           dcmrt/libsrc/drtidcs.cc
           dcmrt/libsrc/drtmttcs.cc
           dcmrt/libsrc/drtnmas.cc
           dcmrt/libsrc/drtosirs.cc
           dcmrt/libsrc/drtpasms.cc
           dcmrt/libsrc/drtpass.cc
           dcmrt/libsrc/drtpbdds.cc
           dcmrt/libsrc/drtpbdos.cc
           dcmrt/libsrc/drtplos.cc
           dcmrt/libsrc/drtpros.cc
           dcmrt/libsrc/drtrbas1.cc
           dcmrt/libsrc/drtrbdgs.cc
           dcmrt/libsrc/drtrbs1.cc
           dcmrt/libsrc/drtrbss.cc
           dcmrt/libsrc/drtrdais.cc
           dcmrt/libsrc/drtrdcks.cc
           dcmrt/libsrc/drtrdps.cc
           dcmrt/libsrc/drtrdsis.cc
           dcmrt/libsrc/drtrpprs.cc
           dcmrt/libsrc/drtrvcs.cc
           dcmrt/libsrc/drtscvs.cc
           dcmrt/libsrc/drtsppcs.cc
           dcmrt/libsrc/drttrccs.cc
           dcmrt/libsrc/drttrtcs.cc
           dcmrt/libsrc/drttscs.cc
           dcmrt/libsrc/drtttrcs.cc
  Affects: dcmrt/apps/Makefile.dep
           dcmrt/include/dcmtk/dcmrt/drtdose.h
           dcmrt/include/dcmtk/dcmrt/drtimage.h
           dcmrt/include/dcmtk/dcmrt/drtionpl.h
           dcmrt/include/dcmtk/dcmrt/drtiontr.h
           dcmrt/include/dcmtk/dcmrt/drtplan.h
           dcmrt/include/dcmtk/dcmrt/drtstrct.h
           dcmrt/include/dcmtk/dcmrt/drttreat.h
           dcmrt/include/dcmtk/dcmrt/seq/drtaadcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtadcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtads.h
           dcmrt/include/dcmtk/dcmrt/seq/drtafs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtags.h
           dcmrt/include/dcmtk/dcmrt/seq/drtajcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtass.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbads.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbl2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrcss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbvcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcbars.h
           dcmrt/include/dcmtk/dcmrt/seq/drtccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcctus.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtces.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcgis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtchs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcims.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcncs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcpas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdddps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtddps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdias.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdimcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdimrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdirs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdspcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdvhs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdvrrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drteas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtes.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfes.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfgs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfgss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgmcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drthsdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiais.h
           dcmrt/include/dcmtk/dcmrt/seq/drtians.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiblds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtibls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtibs.h
           dcmrt/include/dcmtk/dcmrt/seq/drticpds.h
           dcmrt/include/dcmtk/dcmrt/seq/drticps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtipiqs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtircs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiseis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtitts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiwps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmacds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmucs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtoas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtois.h
           dcmrt/include/dcmtk/dcmrt/seq/drtopis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpbcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpcxs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpdecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpdeds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpfms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtporcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtporis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtppcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtprsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpsics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtqds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtras.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbas2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrfgs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrfors.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrims.h
           dcmrt/include/dcmtk/dcmrt/seq/drtris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrlsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrppcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpphs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrppss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsers.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrses.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsns.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrtrs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrwvms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtscris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsdcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtshds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsins.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsns.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspgis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsptcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtssrcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtssrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drttscds.h
           dcmrt/include/dcmtk/dcmrt/seq/drttsibs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttsmds.h
           dcmrt/include/dcmtk/dcmrt/seq/drttts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtudis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtvls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwrsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtxrs.h
           dcmrt/libsrc/CMakeLists.txt
           dcmrt/libsrc/Makefile.dep
           dcmrt/libsrc/Makefile.in
           dcmrt/libsrc/drtaadcs.cc
           dcmrt/libsrc/drtadcs.cc
           dcmrt/libsrc/drtads.cc
           dcmrt/libsrc/drtafs.cc
           dcmrt/libsrc/drtags.cc
           dcmrt/libsrc/drtajcs.cc
           dcmrt/libsrc/drtas1.cc
           dcmrt/libsrc/drtass.cc
           dcmrt/libsrc/drtbads.cc
           dcmrt/libsrc/drtbas.cc
           dcmrt/libsrc/drtbcps.cc
           dcmrt/libsrc/drtbl2.cc
           dcmrt/libsrc/drtbldls.cc
           dcmrt/libsrc/drtbldps.cc
           dcmrt/libsrc/drtblds1.cc
           dcmrt/libsrc/drtbldts.cc
           dcmrt/libsrc/drtbrcss.cc
           dcmrt/libsrc/drtbrdrs.cc
           dcmrt/libsrc/drtbrs.cc
           dcmrt/libsrc/drtbs.cc
           dcmrt/libsrc/drtbss.cc
           dcmrt/libsrc/drtbvcps.cc
           dcmrt/libsrc/drtcbars.cc
           dcmrt/libsrc/drtccs.cc
           dcmrt/libsrc/drtcctus.cc
           dcmrt/libsrc/drtcdrs.cc
           dcmrt/libsrc/drtces.cc
           dcmrt/libsrc/drtcgis.cc
           dcmrt/libsrc/drtchs.cc
           dcmrt/libsrc/drtcims.cc
           dcmrt/libsrc/drtcis.cc
           dcmrt/libsrc/drtcncs.cc
           dcmrt/libsrc/drtcos.cc
           dcmrt/libsrc/drtcpas.cc
           dcmrt/libsrc/drtcpis.cc
           dcmrt/libsrc/drtcps.cc
           dcmrt/libsrc/drtcs.cc
           dcmrt/libsrc/drtcsas.cc
           dcmrt/libsrc/drtcshs.cc
           dcmrt/libsrc/drtcsis.cc
           dcmrt/libsrc/drtcsrs.cc
           dcmrt/libsrc/drtcss.cc
           dcmrt/libsrc/drtdcs.cc
           dcmrt/libsrc/drtdddps.cc
           dcmrt/libsrc/drtddps.cc
           dcmrt/libsrc/drtdias.cc
           dcmrt/libsrc/drtdimcs.cc
           dcmrt/libsrc/drtdimrs.cc
           dcmrt/libsrc/drtdirs.cc
           dcmrt/libsrc/drtdose.cc
           dcmrt/libsrc/drtdrs.cc
           dcmrt/libsrc/drtds.cc
           dcmrt/libsrc/drtdspcs.cc
           dcmrt/libsrc/drtdss.cc
           dcmrt/libsrc/drtdvhs.cc
           dcmrt/libsrc/drtdvrrs.cc
           dcmrt/libsrc/drteas.cc
           dcmrt/libsrc/drtecs.cc
           dcmrt/libsrc/drtes.cc
           dcmrt/libsrc/drtfds.cc
           dcmrt/libsrc/drtfes.cc
           dcmrt/libsrc/drtfgs.cc
           dcmrt/libsrc/drtfgss.cc
           dcmrt/libsrc/drtfms.cc
           dcmrt/libsrc/drtfsss.cc
           dcmrt/libsrc/drtgmcs.cc
           dcmrt/libsrc/drtgms.cc
           dcmrt/libsrc/drtgpis.cc
           dcmrt/libsrc/drthsdrs.cc
           dcmrt/libsrc/drtiais.cc
           dcmrt/libsrc/drtians.cc
           dcmrt/libsrc/drtiblds.cc
           dcmrt/libsrc/drtibls.cc
           dcmrt/libsrc/drtibs.cc
           dcmrt/libsrc/drticpds.cc
           dcmrt/libsrc/drticps.cc
           dcmrt/libsrc/drtics.cc
           dcmrt/libsrc/drtiis.cc
           dcmrt/libsrc/drtimage.cc
           dcmrt/libsrc/drtionpl.cc
           dcmrt/libsrc/drtiontr.cc
           dcmrt/libsrc/drtipiqs.cc
           dcmrt/libsrc/drtircs.cc
           dcmrt/libsrc/drtiseis.cc
           dcmrt/libsrc/drtitts.cc
           dcmrt/libsrc/drtiwps.cc
           dcmrt/libsrc/drtiws.cc
           dcmrt/libsrc/drtlsds.cc
           dcmrt/libsrc/drtmacds.cc
           dcmrt/libsrc/drtmas.cc
           dcmrt/libsrc/drtmdrs.cc
           dcmrt/libsrc/drtmls.cc
           dcmrt/libsrc/drtmps.cc
           dcmrt/libsrc/drtmris.cc
           dcmrt/libsrc/drtmss.cc
           dcmrt/libsrc/drtmucs.cc
           dcmrt/libsrc/drtoas.cc
           dcmrt/libsrc/drtois.cc
           dcmrt/libsrc/drtopis.cc
           dcmrt/libsrc/drtos.cc
           dcmrt/libsrc/drtpbcs.cc
           dcmrt/libsrc/drtpcs.cc
           dcmrt/libsrc/drtpcxs.cc
           dcmrt/libsrc/drtpdecs.cc
           dcmrt/libsrc/drtpdeds.cc
           dcmrt/libsrc/drtpfms.cc
           dcmrt/libsrc/drtpics.cc
           dcmrt/libsrc/drtplan.cc
           dcmrt/libsrc/drtporcs.cc
           dcmrt/libsrc/drtporis.cc
           dcmrt/libsrc/drtppcs.cc
           dcmrt/libsrc/drtprsis.cc
           dcmrt/libsrc/drtpscs.cc
           dcmrt/libsrc/drtpsics.cc
           dcmrt/libsrc/drtpss.cc
           dcmrt/libsrc/drtpsss.cc
           dcmrt/libsrc/drtpvis.cc
           dcmrt/libsrc/drtqds.cc
           dcmrt/libsrc/drtras.cc
           dcmrt/libsrc/drtrbas2.cc
           dcmrt/libsrc/drtrbls.cc
           dcmrt/libsrc/drtrbos1.cc
           dcmrt/libsrc/drtrbs2.cc
           dcmrt/libsrc/drtrcdrs.cc
           dcmrt/libsrc/drtrcos.cc
           dcmrt/libsrc/drtrcps.cc
           dcmrt/libsrc/drtrcs.cc
           dcmrt/libsrc/drtrdrs1.cc
           dcmrt/libsrc/drtrds.cc
           dcmrt/libsrc/drtrecs.cc
           dcmrt/libsrc/drtrfgs.cc
           dcmrt/libsrc/drtrfors.cc
           dcmrt/libsrc/drtrics.cc
           dcmrt/libsrc/drtrims.cc
           dcmrt/libsrc/drtris.cc
           dcmrt/libsrc/drtrlsds.cc
           dcmrt/libsrc/drtrmdrs.cc
           dcmrt/libsrc/drtrms.cc
           dcmrt/libsrc/drtrpcs.cc
           dcmrt/libsrc/drtrpis.cc
           dcmrt/libsrc/drtrppcs.cc
           dcmrt/libsrc/drtrpphs.cc
           dcmrt/libsrc/drtrpps.cc
           dcmrt/libsrc/drtrppss.cc
           dcmrt/libsrc/drtrps.cc
           dcmrt/libsrc/drtrris1.cc
           dcmrt/libsrc/drtrrms.cc
           dcmrt/libsrc/drtrros.cc
           dcmrt/libsrc/drtrrpcs.cc
           dcmrt/libsrc/drtrrros.cc
           dcmrt/libsrc/drtrrs.cc
           dcmrt/libsrc/drtrrshs.cc
           dcmrt/libsrc/drtrscs.cc
           dcmrt/libsrc/drtrsers.cc
           dcmrt/libsrc/drtrses.cc
           dcmrt/libsrc/drtrshs.cc
           dcmrt/libsrc/drtrsis.cc
           dcmrt/libsrc/drtrsns.cc
           dcmrt/libsrc/drtrsos.cc
           dcmrt/libsrc/drtrsrs.cc
           dcmrt/libsrc/drtrss.cc
           dcmrt/libsrc/drtrsss.cc
           dcmrt/libsrc/drtrsts.cc
           dcmrt/libsrc/drtrtrs2.cc
           dcmrt/libsrc/drtrvis.cc
           dcmrt/libsrc/drtrws.cc
           dcmrt/libsrc/drtrwvms.cc
           dcmrt/libsrc/drtscris.cc
           dcmrt/libsrc/drtscs.cc
           dcmrt/libsrc/drtsdcs.cc
           dcmrt/libsrc/drtsds.cc
           dcmrt/libsrc/drtshds.cc
           dcmrt/libsrc/drtsins.cc
           dcmrt/libsrc/drtsis.cc
           dcmrt/libsrc/drtsns.cc
           dcmrt/libsrc/drtspccs.cc
           dcmrt/libsrc/drtspcs.cc
           dcmrt/libsrc/drtspgis.cc
           dcmrt/libsrc/drtsptcs.cc
           dcmrt/libsrc/drtss.cc
           dcmrt/libsrc/drtssrcs.cc
           dcmrt/libsrc/drtssrs.cc
           dcmrt/libsrc/drtsss.cc
           dcmrt/libsrc/drtstrct.cc
           dcmrt/libsrc/drttreat.cc
           dcmrt/libsrc/drttscds.cc
           dcmrt/libsrc/drttsibs.cc
           dcmrt/libsrc/drttsmds.cc
           dcmrt/libsrc/drttts.cc
           dcmrt/libsrc/drtudis.cc
           dcmrt/libsrc/drtvls.cc
           dcmrt/libsrc/drtwps.cc
           dcmrt/libsrc/drtwrs.cc
           dcmrt/libsrc/drtwrsrs.cc
           dcmrt/libsrc/drtws.cc
           dcmrt/libsrc/drtxrs.cc
           dcmrt/tests/Makefile.dep
  Removed: dcmrt/libsrc/drtrbas8.cc
           dcmrt/libsrc/drtrbs4.cc
  Renamed: dcmrt/include/dcmtk/dcmrt/seq/drtas5.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtas2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtas3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas7.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtas4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbl5.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtbl1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds5.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtblds2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbas8.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtdccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrtrs4.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtdfss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtgas2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtlsds1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds7.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtlsds2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtnmas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdros.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtpros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrbos2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos7.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrbos3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs8.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrbs3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrdrs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs8.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrdrs3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmss6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrmss1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmss7.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrmss2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrris2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris9.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrris3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs6.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrshs1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs7.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrshs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrtps1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps3.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrtps2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps4.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrtps3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps5.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtrtps4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs4.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drtsppcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttms9.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drttms1.h
           dcmrt/include/dcmtk/dcmrt/seq/drttms0.h
         -> dcmrt/include/dcmtk/dcmrt/seq/drttms2.h
           dcmrt/libsrc/drtas5.cc
         -> dcmrt/libsrc/drtas2.cc
           dcmrt/libsrc/drtas6.cc
         -> dcmrt/libsrc/drtas3.cc
           dcmrt/libsrc/drtas7.cc
         -> dcmrt/libsrc/drtas4.cc
           dcmrt/libsrc/drtbl5.cc
         -> dcmrt/libsrc/drtbl1.cc
           dcmrt/libsrc/drtblds5.cc
         -> dcmrt/libsrc/drtblds2.cc
           dcmrt/libsrc/drtgas.cc
         -> dcmrt/libsrc/drtgas2.cc
           dcmrt/libsrc/drtblds6.cc
         -> dcmrt/libsrc/drtgas5.cc
           dcmrt/libsrc/drtlsds6.cc
         -> dcmrt/libsrc/drtlsds1.cc
           dcmrt/libsrc/drtlsds7.cc
         -> dcmrt/libsrc/drtlsds2.cc
           dcmrt/libsrc/drtrbos6.cc
         -> dcmrt/libsrc/drtrbos2.cc
           dcmrt/libsrc/drtrbos7.cc
         -> dcmrt/libsrc/drtrbos3.cc
           dcmrt/libsrc/drtrbs8.cc
         -> dcmrt/libsrc/drtrbs3.cc
           dcmrt/libsrc/drtrdrs6.cc
         -> dcmrt/libsrc/drtrdrs2.cc
           dcmrt/libsrc/drtrdrs8.cc
         -> dcmrt/libsrc/drtrdrs3.cc
           dcmrt/libsrc/drtrmss6.cc
         -> dcmrt/libsrc/drtrmss1.cc
           dcmrt/libsrc/drtrmss7.cc
         -> dcmrt/libsrc/drtrmss2.cc
           dcmrt/libsrc/drtrris6.cc
         -> dcmrt/libsrc/drtrris2.cc
           dcmrt/libsrc/drtrris9.cc
         -> dcmrt/libsrc/drtrris3.cc
           dcmrt/libsrc/drtrshs6.cc
         -> dcmrt/libsrc/drtrshs1.cc
           dcmrt/libsrc/drtrshs7.cc
         -> dcmrt/libsrc/drtrshs2.cc
           dcmrt/libsrc/drtrrtps.cc
         -> dcmrt/libsrc/drtrtps1.cc
           dcmrt/libsrc/drtrrtps3.cc
         -> dcmrt/libsrc/drtrtps2.cc
           dcmrt/libsrc/drtrrtps4.cc
         -> dcmrt/libsrc/drtrtps3.cc
           dcmrt/libsrc/drtrrtps5.cc
         -> dcmrt/libsrc/drtrtps4.cc
           dcmrt/libsrc/drtrtrs4.cc
         -> dcmrt/libsrc/drtrtrs1.cc
           dcmrt/libsrc/drttms9.cc
         -> dcmrt/libsrc/drttms1.cc
           dcmrt/libsrc/drttms0.cc
         -> dcmrt/libsrc/drttms2.cc

**** Changes from 2023.05.18 (eichelberg)

- Fixed bug in CharLS code:
  Fixed bug in CharLS code detected by gcc 12. The bug was present in
  a function never called by DCMTK, but it's fixed now anyway.
  Affects: dcmjpls/libcharls/header.cc

**** Changes from 2023.05.17 (eichelberg)

- Fixed commit #742b6378e.
  Affects: dcmdata/apps/CMakeLists.txt

**** Changes from 2023.05.17 (onken)

- Hint that VS 2017 is expected to support C++11.
  Affects: config/docs/cxx11.dox

- Added VS to list of support C++11 compilers.
  Affects: config/docs/cxx11.dox

**** Changes from 2023.05.17 (eichelberg)

- Updated DcmSignature::initializeLibrary():
  Added call to OPENSSL_no_config() in DcmSignature::initializeLibrary()
  to prevent OpenSSL from trying to load an openssl.cnf configuration file.
  Affects: dcmdata/apps/CMakeLists.txt

**** Changes from 2023.05.15 (eichelberg)

- Updated DcmSignature::initializeLibrary():
  Added call to OPENSSL_no_config() in DcmSignature::initializeLibrary()
  to prevent OpenSSL from trying to load an openssl.cnf configuration file.
  Affects: dcmsign/libsrc/dcsignat.cc

**** Changes from 2023.05.09 (riesmeier)

- Fixed typos in recently added subsection to Notes.
  Affects: dcmnet/docs/storescu.man

**** Changes from 2023.05.08 (onken)

- Added documentation for User Identity Negotiation.
  Affects: dcmnet/apps/storescu.cc
           dcmnet/docs/storescu.man

**** Changes from 2023.04.28 (riesmeier)

- Fixed formatting of BSD 3-Clause License text:
  Fixed formatting of BSD 3-Clause License text for those parts that have
  a copyright of J. Riesmeier. This should make it easier to detect this
  license (SPDX identifier: BSD-3-Clause) automatically.
  Affects: COPYRIGHT

**** Changes from 2023.04.27 (riesmeier)

- Removed optional parameters for addSubGroup() call.
  Affects: dcmdata/apps/dcm2pdf.cc

- Fixed typos in comments.
  Affects: dcmnet/libsrc/dstorscu.cc

**** Changes from 2023.04.26 (riesmeier)

- Added missing option --jwt to error message.
  Affects: dcmnet/apps/storescu.cc

**** Changes from 2023.04.25 (riesmeier)

- Updated newest CMake version tested to 3.26.3.
  Affects: CMakeLists.txt

**** Changes from 2023.04.21 (eichelberg)

- Fixed infinite loop in sendDcmDataset():
  Fixed infinite loop in sendDcmDataset() that can occur in rare cases
  when sending in Deflated Explicit VR transfer syntax by adding
  a dummy call to DcmOutputStream::write() whenever a certain number of
  bytes is needed to be available in the output buffer. This causes
  the compression process to be run in order to make room in the buffer.
  Thanks to Peter Klotz <peter.klotz@siemens-healthineers.com> for the
  bug report and sample file.
  This closes DCMTK issue #1074.
  Affects: dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcostrmb.cc
           dcmdata/libsrc/dcostrmf.cc
           dcmdata/libsrc/dcostrms.cc
           dcmdata/libsrc/dcpxitem.cc
           dcmdata/libsrc/dcsequen.cc

- Added option to override default cmake search logic:
  Thanks to Mathieu Malaterre <mathieu.malaterre@gmail.com> for the pull request.
  This closes GitHub pull request #78.
  Affects: CMake/3rdparty.cmake

**** Changes from 2023.04.20 (riesmeier)

- Updated copyright dates.
  Affects: COPYRIGHT

**** Changes from 2023.04.19 (riesmeier)

- Added support for new Storage SOP Class:
  Added definition of new Storage SOP Class UID introduced with Supplement
  231 (Variable Modality LUT Softcopy Presentation State).
  This commit also adds support for the various networking tools, to the
  DICOMDIR generation code and to the dcmsr module.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/etc/dcmqrprf.cfg
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2023.04.19 (eichelberg)

- Fixed linking against libxml2 on Windows:
  Fixed linking against the pre-compiled libxml2 support library
  on Windows for the case that this library has not been compiled
  with libiconv support.
  Affects: CMake/3rdparty.cmake

**** Changes from 2023.04.18 (riesmeier)

- Updated code definitions for DICOM 2023b:
  Updated automatically generated code definitions for coding scheme "DCM".
  For the coding schemes "NCIt" and "UMLS", there were no changes.
  Affects: dcmsr/include/dcmtk/dcmsr/codes/dcm.h
           dcmsr/include/dcmtk/dcmsr/codes/ncit.h
           dcmsr/include/dcmtk/dcmsr/codes/umls.h

- Updated data dictionary for DICOM 2023b:
  Updated data dictionary for the latest edition of the DICOM standard, which
  has been released only recently.
  Since one of the DICOM attributes was "retired", the name of the associated
  DcmTagKey constant also changed. This required minor changes to the source
  code of the dcmrt module (automatically generated source file).
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc
           dcmrt/libsrc/drttsibs.cc

**** Changes from 2023.04.17 (eichelberg)

- Adjusted error code for YBR_FULL_422 images:
  This closes DCMTK issue #1043.
  Thanks to Tamas Nemeth <TNemeth@erad.com> for the bug report.
  Affects: dcmjpls/libsrc/djcodece.cc

- Fixed frame size calculation for YBR_FULL_422:
  Added additional parameter to DcmElement::getUncompressedFrameSize()
  that determines whether pixel data is compressed or uncompressed.
  This is important for calculating the frame size for YBR_FULL_422 images,
  which can exist both in compressed and uncompressed encoding.
  Since our decoders convert such images to YBR_FULL during decompression,
  the frame size is different. Furthermore, many uncompressed images claiming
  to use YBR_FULL_422 photometric interpretation are in fact encoded in
  YBR_FULL. We check the size of the pixel data element to account
  for this issue.
  Affects: dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcpixel.cc
           dcmjpeg/libsrc/djcodecd.cc

**** Changes from 2023.03.27 (riesmeier)

- Avoid double output of TLS connection details:
  Avoid double output of TLS connection parameter details to debug logger.
  This only affected the command line tool "storescu".
  Also made sure that TLS connection details are only generated when the
  debug logger is enabled.
  Affects: dcmnet/apps/storescu.cc
           dcmtls/libsrc/tlstrans.cc

**** Changes from 2023.03.20 (eichelberg)

- Open dump file in binary mode:
  The dump2dcm tool will now open the dump file in binary mode and not
  in text mode anymore, in order to achieve the same behaviour on Windows
  and Linux.
  This closes DCMTK issue #1038.
  Affects: dcmdata/apps/dump2dcm.cc

**** Changes from 2023.03.17 (riesmeier)

- Fixed wrong comment header of source file.
  Affects: dcmdata/libsrc/dcpcache.cc

**** Changes from 2023.03.16 (eichelberg)

- Use Visual Studio compiler flags also with NMake:
  Make sure that the Visual Studio compiler flags and settings are also
  activated when the CMake generator for the (outdated) NMake toolchain
  is used.
  Affects: CMake/dcmtkPrepare.cmake

**** Changes from 2023.03.15 (onken)

- Fix detection of modern C++ versions for VS:
  In order to enable C++11 or any other modern C++ version, the INSTALL file
  already tells to set CMAKE_CXX_STANDARD to the desired version. If used,
  CMake makes sure that the compiler is called with the right switches to support
  corresponding code.  Most compilers also then set the __cplusplus macro to a
  value representing the C++ version the compiler supports.
  Visual Studio (VS) 2017 and later support modern C++ versions and CMake also
  enforces CMAKE_CXX_STANDARD on these compilers. However, VS (or CMake)
  does not set the __cplusplus macro accordingly.
  This commit ensures that __cplusplus is set correctly for VS compilers.
  Thanks to forum user "nbeck" for the report and suggested patch.
  Closes DCMTK Bug #1047.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2023.03.13 (eichelberg)

- Fixed read routine for softcopy plut:
  Fixed a bug in DVPSSoftcopyVOI_PList::read() that caused certain error
  codes to be overwritten and thus ignored while reading a
  Softcopy VOI LUT Sequence.
  Thanks to Oliver Klerx <klerx@phoenix-pacs.de> for the bug report.
  Affects: dcmpstat/libsrc/dvpssvl.cc

**** Changes from 2023.03.10 (riesmeier)

- Fixed issues with evaluating command line options:
  Fixed further minor issues with evaluating command line options:
  restructured and simplified the existing code. The only change that is
  visible to the user is that the CRL mode is now only set implicitly if
  a CRL file could be loaded successfully.
  Affects: dcmtls/include/dcmtk/dcmtls/tlsopt.h
           dcmtls/libsrc/tlsopt.cc

- Updated API documentation on "DT" format:
  Better distinguish between valid and supported "DT" format.
  Affects: dcmdata/include/dcmtk/dcmdata/dcvrdt.h

- Added missing empty line.
  Affects: dcmwlm/docs/wlmscpfs.man

**** Changes from 2023.03.10 (eichelberg)

- Fixed various bugs in dcmtls and updated docs:
  Fixed various bugs in the revised dcmtls module introduced with commit
  d269161f7. Completed dcmtls documentation.
  The dcmtls module now offers support for the TLS "server name indication"
  (SNI) extension, as recommended by RFC 9325. SNI allows a client to
  transmit the name of the intended server during TLS negotiation and
  allows a virtual server to redirect the request accordingly.
  When SNI is active in a DICOM association acceptor, it will reject
  incoming network connections when the client has included the SNI
  extension in the TLS ClientHello message with an incorrect server name.
  Association negotiation will continue when either the correct SNI
  name is present, or the SNI extension is absent. Older servers will
  simply ignore the SNI extension.
  Thanks to Joerg Riesmeier for the testing and bug reports.
  Affects: dcmnet/docs/dcmrecv.man
           dcmnet/docs/echoscu.man
           dcmnet/docs/findscu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmtls/docs/certstor.dox
           dcmtls/docs/ciphers.txt
           dcmtls/libsrc/tlsopt.cc

**** Changes from 2023.03.07 (riesmeier)

- Updated Autoconf files for recent dcmtls changes:
  Added new configure tests needed for the support of Supplement 230,
  which has been implemented for the dcmtls module only recently.
  When generating the Autoconf files with "config/autoall", it was
  noticed that the configure option --runstatedir disappeared. This
  seems to be a known issue of Autoconf 2.69 (built from source code).
  It will hopefully be fixed when switching to a newer version.
  Affects: config/configure
           config/configure.in
           config/confmod
           config/include/dcmtk/config/osconfig.h.in

- Fixed evaluation of TLS command line options:
  Fixed evaluation of the TLS command line options --disable-tls and
  --anonymous-tls. Both require no password for the private key file.
  Also made the source code formatting more consistent.
  Affects: dcmtls/libsrc/tlsopt.cc

**** Changes from 2023.03.06 (eichelberg)

- Fixed minor warnings.
  Affects: dcmtls/libsrc/tlsciphr.cc
           dcmtls/libsrc/tlslayer.cc

- Added support for the new RFC 8996 TLS profiles:
  Added support for the new TLS secure transport connection profiles
  defined in Supplement 230, The "BCP 195 RFC 8996" TLS profile
  and the "Modified BCP 195 RFC 8996" TLS profile. Also implemented
  recommendations of RFC 9325, which is now part of BCP 195.
  DCMTK now requires OpenSSL 1.0.2 or newer, since the requirements
  of RFC 9325 cannot be implemented with older versions.
  Note that support for the Modified BCP 195 RFC 8996 TLS profile
  will not be available yet, because of limitations in OpenSSL.
  The profile requires support for the TLS 1.2 Camellia ciphersuites
  in GCM mode, which OpenSSL does not implement. A configure test will
  automatically enable support for this profile when DCMTK is compiled
  with a future OpenSSL library that implements this.
  This closes DCMTK issue #1030.
  Added:   dcmtls/libsrc/tlsfmacr.h
  Affects: CMake/3rdparty.cmake
           CMake/dcmtkPrepare.cmake
           CMake/osconfig.h.in
           INSTALL
           config/docs/macros.txt
           dcmnet/docs/dcmrecv.man
           dcmnet/docs/echoscu.man
           dcmnet/docs/findscu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/etc/dcmpstat.cfg
           dcmpstat/libsrc/dviface.cc
           dcmtls/docs/dcmtls.dox
           dcmtls/include/dcmtk/dcmtls/tlsciphr.h
           dcmtls/include/dcmtk/dcmtls/tlscond.h
           dcmtls/include/dcmtk/dcmtls/tlslayer.h
           dcmtls/include/dcmtk/dcmtls/tlsopt.h
           dcmtls/include/dcmtk/dcmtls/tlsscu.h
           dcmtls/libsrc/tlsciphr.cc
           dcmtls/libsrc/tlscond.cc
           dcmtls/libsrc/tlslayer.cc
           dcmtls/libsrc/tlsopt.cc
           dcmtls/libsrc/tlsscu.cc
           dcmtls/tests/tscuscptls.cc

**** Changes from 2023.03.03 (riesmeier)

- Fixed typo.
  Affects: dcmtls/docs/certstor.dox

- Added text on using options multiple times.
  Affects: dcmtls/docs/certstor.dox

- Various minor improvements to the DcmTag class:
  Added comparison operators "==" (equal) and "!=" (not equal) to the DcmTag
  class, which - in contrast to the inherited comparison operators from the
  base class DcmTagKey - also check the private creator identifier (if
  present). Introduced two new regression tests that make sure that these
  operators work as expected.
  Introduced new method getTagKey() to the DcmTag class, which returns a
  const reference to the instance, i.e. not a copy as getXTag() does. Also
  tried to avoid calls to getXTag() where possible or useful. In the future,
  the new method getTagKey() should be used if really needed.
  Added:   dcmdata/tests/ttag.cc
  Affects: dcmdata/apps/dcmdump.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/include/dcmtk/dcmdata/dctag.h
           dcmdata/include/dcmtk/dcmdata/dctagkey.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcpath.cc
           dcmdata/libsrc/dcpixseq.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dctag.cc
           dcmdata/tests/CMakeLists.txt
           dcmdata/tests/Makefile.in
           dcmdata/tests/tests.cc
           dcmdata/tests/tnewdcme.cc
           dcmiod/libsrc/iodutil.cc
           dcmpstat/apps/dcmpschk.cc
           dcmsign/libsrc/simaccon.cc
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wldsfs.cc

**** Changes from 2023.03.03 (eichelberg)

- Suppress further gcc warning.
  Affects: ofstd/libsrc/ofstring.cc

**** Changes from 2023.03.02 (riesmeier)

- Added another constructor to DcmTag class:
  Added another constructor to the DcmTag class, which expects a DcmTag
  instance to be copied and a VR to be used. This constructor is e.g.
  useful for attributes with multiple VRs.
  Affects: dcmdata/include/dcmtk/dcmdata/dctag.h
           dcmdata/libsrc/dctag.cc

- Added missing DcmItem::putAndInsertSint32Array():
  Added missing helper method putAndInsertSint32Array() to the DcmItem
  class. This method can be used for attributes of the VR "SL" (Signed
  Long).
  Thanks to forum user "Martin Roeseler" for the report.
  Affects: dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/libsrc/dcitem.cc

**** Changes from 2023.03.02 (eichelberg)

- Suppress further gcc warnings.
  Added:   ofstd/include/dcmtk/ofstd/diag/arrybnds.def
           ofstd/include/dcmtk/ofstd/diag/useafree.def
  Affects: ofstd/include/dcmtk/ofstd/ofcond.h
           ofstd/include/dcmtk/ofstd/ofdiag.h
           ofstd/include/dcmtk/ofstd/variadic/variant.h
           ofstd/libsrc/ofstring.cc

**** Changes from 2023.03.01 (eichelberg)

- Suppress another spurious gcc warning on MinGW.
  Added:   ofstd/include/dcmtk/ofstd/diag/restrict.def
  Affects: ofstd/include/dcmtk/ofstd/ofbmanip.h
           ofstd/include/dcmtk/ofstd/ofdiag.h

**** Changes from 2023.02.23 (riesmeier)

- Fixed issue with DcmCodec::updateImageType():
  When compressing a DICOM image, e.g. with JPEG Baseline, the JPEG
  encoder calls DcmCodec::updateImageType(), which used to add the
  Image Type (0008,0008) Attribute with a possibly invalid value.
  For example, compressing a DICOM Secondary Capture image that does
  not contain the Image Type (0008,0008) Attribute resulted in an
  invalid value of "DERIVED" for the Image Type (0008,0008) Attribute.
  This value is invalid, because the VM is "2-n" according to DICOM
  PS3.6, i.e. at least two values should be present.
  This and other related issues have been fixed by completely rewriting
  the updateImageType() method. Also, the API documentation now clearly
  states which cases are handled in what way. And, the method reports
  details on what is done or what failed to the debug/error logger.
  This closes DCMTK Bug #1056.
  Affects: dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/libsrc/dccodec.cc

**** Changes from 2023.02.21 (eichelberg)

- Fixed minor warnings reported by gcc 11.
  Affects: oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_jisx0208.c

- Suppress spurious gcc warning on MinGW.
  Added:   ofstd/include/dcmtk/ofstd/diag/stringop.def
  Affects: ofstd/include/dcmtk/ofstd/ofbmanip.h
           ofstd/include/dcmtk/ofstd/ofdiag.h

**** Changes from 2023.02.20 (riesmeier)

- Output debug information on Presentation Context:
  Output debug information on the Presentation Context that is used for
  the C-STORE request, i.e. the Presentation Context ID, SOP Class and
  Transfer Syntax. For the latter two, the official UID keyword is used
  (if defined in DICOM part 6).
  Affects: dcmnet/apps/storescu.cc

- Added opt. default value to dcmFindKeywordOfUID():
  Added optional "default value" parameter to dcmFindKeywordOfUID().
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc

**** Changes from 2023.02.20 (onken)

- Better CMake check of DCMTK_ENABLE_STL_${FEATURE}:
  DCMTK_ENABLE_STL_${FEATURE} are "inferrable" variables that can have
  one of the values "ON" (truthy), "OFF" (falsy), or "INFERRED". If the
  value is "INFERRED" it means the variable will be set to the value of
  DCMTK_ENABLE_STL.
  After the special case "INFERRED" has been handled
  DCMTK_ENABLE_STL_${FEATURE} shall be treated like a normal CMake
  boolean expression. It shall therefore not be compared for equality to
  "ON", rather the truthiness shall follow the normal rules of CMake
  variables, which means that a variable is true unless it has the value
  0, OFF, NO, FALSE, N, IGNORE, NOTFOUND, is the empty string, or ends
  in the suffix -NOTFOUND.
  Thanks to Thomas Sondergaard for the report and patch.
  This relates to GitHub pull request #60.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2023.02.17 (riesmeier)

- No useless output of transfer syntax conversion:
  Avoid the output of details on the transfer syntax conversion if there
  is no need for conversion, i.e. when the transfer syntax of the DICOM
  file is identical to the one that is used for network transfer.
  Affects: dcmnet/apps/storescu.cc

**** Changes from 2023.02.16 (riesmeier)

- Made use of term "private creator identifier":
  Changed various variants of the term "private creator name", "private
  creator code" and "private creator string" to the official term
  "private creator identifier".
  Also fixed other minor issues regarding documentation and logging.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdicent.h
           dcmdata/include/dcmtk/dcmdata/dcdict.h
           dcmdata/include/dcmtk/dcmdata/dchashdi.h
           dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/include/dcmtk/dcmdata/dcpcache.h
           dcmdata/include/dcmtk/dcmdata/dctag.h
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcpath.cc
           dcmdata/libsrc/dctag.cc

- Fixed major bug in read() method of DRTImage:
  Fixed major bug in read() method of the DRTImage class that caused this
  method to always fail.
  Thanks to forum user "nbeck" for the report and suggested fix.
  Affects: dcmrt/include/dcmtk/dcmrt/drmimage.h
           dcmrt/libsrc/drmimage.cc

**** Changes from 2023.02.14 (riesmeier)

- Added comparison operators to DcmXfer:
  Added comparison operators "==" and "!=" to DcmXfer class. Also
  changed existing code to make use of this new functionality.
  Affects: dcmdata/include/dcmtk/dcmdata/dcxfer.h
           dcmdata/libsrc/dcmetinf.cc
           dcmnet/apps/storescu.cc
           dcmnet/libsrc/dstorscu.cc
           dcmnet/libsrc/scu.cc
           dcmpmap/libsrc/dpmparametricmapiod.cc
           dcmpstat/apps/dcmpschk.cc
           dcmseg/libsrc/segdoc.cc
           dcmsign/libsrc/dcsignat.cc

- Replaced "true" by "OFTrue" in API documentation.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrsc3gr.h
           dcmsr/include/dcmtk/dcmsr/dsrscogr.h
           dcmsr/include/dcmtk/dcmsr/dsrwavch.h

**** Changes from 2023.02.14 (onken)

- Fixed documentation.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h

**** Changes from 2023.02.14 (riesmeier)

- Various fixes after previous commit:
  Now, the implemented default behavior is identical to the documented one.
  Affects: dcmnet/apps/dcmrecv.cc
           dcmnet/docs/dcmrecv.man

**** Changes from 2023.02.14 (onken)

- Reject wrong called AE Title if configured:
  DcmSCP has two different ways to handle the Called AE Title used by
  the connecting remote AE: It can be configured to respond with the
  Called AE Title (default behaviour) assuming that this would be DcmSCP's
  own AE Title, or the DcmSCP user can set an AE Title that the remote AE
  must use and otherwise reject the association.
  This rejection had not been implemented, i.e. DcmSCP always responded
  with the Called AE Title no matter what the user configured. This
  rejection is now in place.
  The dcmrecv tool being based on DcmSCP also suffered from this bug. The
  default behaviour was to set an explicit AE Title but dcmrecv did then
  not enforce it. dcmrecv has been updated to keep the old behavior, i.e.
  to respond with the Called AE Title the remote AE used in order not to
  to not break existing implementations that update to the new version.
  However, if now the pre-existing option --aetitle is explicitly used,
  the related AE Title will be enforced.
  Closes DCMTK Bug #1051.
  Affects: dcmnet/apps/dcmrecv.cc
           dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc
           doxygen/manpages/man1/dcmrecv.1

**** Changes from 2023.02.11 (onken)

- Don't fill in Responding AE Title in request log:
  DCMTK used to fill in Responding AE Title in the log when an SCU was
  connecting to a Remote AE. Since obviously the Responding AE Title is
  not known in the request, the string value should be logged empty.
  Closes DCMTK Bug #1048.
  Affects: dcmnet/libsrc/assoc.cc

**** Changes from 2023.02.10 (eichelberg)

- Print syntactically valid Json for compressed images:
  The dcm2json tool does not support the conversion of DICOM datasets with
  encapsulated pixel data to Json with InlineBinary encoding. The underlying
  method DcmItem::writeJson() returns EC_CannotWriteJsonInlineBinary.
  This modification makes sure that in this case the Json dataset produced
  is still at least syntactically valid Json.
  Thanks to Juha Reunanen for the report and pull request.
  This closes GitHub pull request #77.
  Affects: dcmdata/libsrc/dcpixel.cc

**** Changes from 2023.02.03 (riesmeier)

- Added support for three new Storage SOP Classes:
  Added definition of new Storage SOP Class UIDs introduced with Supplement
  213 (Second Generation Radiotherapy - Enhanced RT Image and RT Patient
  Position Acquisition Instruction).
  This commit also adds support for the various networking tools and to the
  DICOMDIR generation code. Furthermore, Storage SOP Classes that do not
  fit into the PATIENT-STUDY-SERIES-INSTANCE model have been removed from
  the association negotiation profile sample configuration files for the
  Query/Retrieve SCP.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/etc/dcmqrprf.cfg

**** Changes from 2023.02.02 (riesmeier)

- Updated Context Group classes for DICOM 2023a:
  Updated automatically generated Context Group classes for the 2023a
  edition of the DICOM standard. All supported classes were updated,
  even though there were no changes to many of them.
  Affects: dcmsr/include/dcmtk/dcmsr/cmr/cid100.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10013.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10033.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid11.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid218.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid244.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid247.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid29.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4020.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4031.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid42.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid6147.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7181.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7445.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7452.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7453.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7464.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7469.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7551.h
           dcmsr/libcmr/cid100.cc
           dcmsr/libcmr/cid10013.cc
           dcmsr/libcmr/cid10033.cc
           dcmsr/libcmr/cid11.cc
           dcmsr/libcmr/cid218.cc
           dcmsr/libcmr/cid244.cc
           dcmsr/libcmr/cid247.cc
           dcmsr/libcmr/cid29.cc
           dcmsr/libcmr/cid4020.cc
           dcmsr/libcmr/cid4021.cc
           dcmsr/libcmr/cid4031.cc
           dcmsr/libcmr/cid42.cc
           dcmsr/libcmr/cid6147.cc
           dcmsr/libcmr/cid7021.cc
           dcmsr/libcmr/cid7181.cc
           dcmsr/libcmr/cid7445.cc
           dcmsr/libcmr/cid7452.cc
           dcmsr/libcmr/cid7453.cc
           dcmsr/libcmr/cid7464.cc
           dcmsr/libcmr/cid7469.cc
           dcmsr/libcmr/cid7551.cc

- Updated code definitions for DICOM 2023a:
  Updated automatically generated code definitions for coding scheme
  "DCM", "NCIt" and "UMLS".
  Affects: dcmsr/include/dcmtk/dcmsr/codes/dcm.h
           dcmsr/include/dcmtk/dcmsr/codes/ncit.h
           dcmsr/include/dcmtk/dcmsr/codes/umls.h

**** Changes from 2023.01.30 (riesmeier)

- Updated data dictionary for DICOM 2023a:
  Updated data dictionary for the latest edition of the DICOM standard,
  which has been released only recently.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc

**** Changes from 2023.01.27 (riesmeier)

- Fixed source code formatting.
  Affects: dcmrt/apps/drtdump.cc

- Enabled support for color output on Windows OS:
  Enabled support for the --print-color (+C) option also on Windows systems.
  Both the Windows Terminal and the PowerShell support ANSI escape codes,
  so the color output should work with these tools.
  Please note, however, that the simple Windows command shell CMD.EXE will
  show "cryptic" characters when using this command line option.
  This closes DCMTK Feature #1053.
  Affects: dcmdata/apps/dcmdump.cc
           dcmdata/docs/dcmdump.man
           dcmsr/apps/dsrdump.cc
           dcmsr/docs/dsrdump.man

- Removed some line breaks in manpages and --help.
  Affects: dcmdata/apps/dcm2pdf.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/apps/img2dcm.cc
           dcmdata/docs/cda2dcm.man
           dcmdata/docs/dcm2json.man
           dcmdata/docs/dcm2pdf.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmcrle.man
           dcmdata/docs/dcmdrle.man
           dcmdata/docs/dcmdump.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/img2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/stl2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmdata/libsrc/dcencdoc.cc
           dcmimage/apps/dcm2pnm.cc
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmicmp.man
           dcmimage/docs/dcmquant.man
           dcmimage/docs/dcmscale.man
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man
           dcmjpeg/docs/dcmj2pnm.man
           dcmjpls/docs/dcmcjpls.man
           dcmjpls/docs/dcmdjpls.man
           dcmjpls/docs/dcml2pnm.man
           dcmpstat/apps/dcmmkcrv.cc
           dcmpstat/apps/dcmmklut.cc
           dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpsprt.cc
           dcmpstat/docs/dcmmkcrv.man
           dcmpstat/docs/dcmmklut.man
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmprscu.man
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/docs/dcmpsprt.man
           dcmrt/apps/drtdump.cc
           dcmrt/docs/drtdump.man
           dcmsign/docs/dcmsign.man
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           oficonv/docs/mkcsmapper.man
           oficonv/docs/mkesdb.man

- Fixed wrong identation of command line parameters.
  Affects: dcmimage/apps/dcm2pnm.cc
           dcmimage/apps/dcmicmp.cc
           dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc

**** Changes from 2023.01.26 (riesmeier)

- Enhanced documentation on assoc. neg. profiles:
  Added explicit text on the "transfer syntax selection policy" when using
  a Storage SCP with an association negotiation profile, e.g. from the
  sample configuration file "storescp.cfg".
  Affects: dcmnet/docs/asconfig.txt
           dcmnet/etc/storescp.cfg
           dcmnet/include/dcmtk/dcmnet/dcasccfg.h
           dcmqrdb/etc/dcmqrprf.cfg

**** Changes from 2023.01.25 (onken)

- Fix builds with absolute CMAKE_INSTALL_LIBDIR:
  Thanks to GitHub user StillerHarpo (Florian Engel) for the report and
  suggested patch.
  Affects: CMake/dcmtk.pc.in
           CMakeLists.txt

**** Changes from 2023.01.20 (riesmeier)

- Updated list of tools using assoc. neg. profiles.
  Affects: dcmnet/docs/asconfig.txt

**** Changes from 2023.01.17 (onken)

- Presuppose C++ compiler support for C++ casts:
  Currently DCMTK offers the macros OFstatic_cast(), OFconst_cast(),
  OFdynamic_cast() and OFreinterpret_cast() in ofcast.h that map related
  calls to C-style tasks if the corresponding C++ casts are not supported
  by the compiler.
  The availability of casts is checked on build configuration time by
  setting HAVE_XXX_CAST in osconfig.h. At least this is done when compiling
  with autoconf. However, since the introduction of CMake into DCMTK, CMake
  scripts instead hard-code all HAVE_XXX_CAST macros to 1 (i.e.
  available).
  So far we never received reports of (CMake) DCMTK users that there are
  still systems with compilers that don't offer all C++ casts by default,
  i.e. which would rely on the DCMTK mapping to old-style tasks.
  That is why we decided to now print an error if an (autoconf) user
  actually uses a compiler that needs the mapping to old-style cast. This
  is mainly to find out whether ther are still compilers in use that
  require the mapping to old-style casts. The next step would be to remove
  this mapping completely once we don't hear any complaints.
  Affects: ofstd/include/dcmtk/ofstd/ofcast.h

- Fix signed comparison warning in some compilers.
  Affects: dcmnet/libsrc/scu.cc

**** Changes from 2023.01.16 (onken)

- Removed unused variables in tests.
  Affects: dcmect/tests/t_huge_concat.cc
           dcmect/tests/t_roundtrip.cc

- Removed experimental status of DcmSCU and DcmSCP:
  Removed experimental flag for SCU and SCP classes since they are used in
  the toolkit since several years (dcmsend, dcmrecv) as well as in
  commercial DCMTK projects.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h

**** Changes from 2023.01.12 (onken)

- Manually set msg ID resp. to in CANCEL request:
  Allows manual setting of Message ID Responded To in CANCEL requests.
  This is needed if the default nextMessageID() implementation is
  overriden.
  Thanks to GitHub user "doskachok" (Vasyl Horbatenko) for the patch.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc

**** Changes from 2023.01.11 (onken)

- Removed unused variable.
  Affects: dcmseg/tests/troundtrip.cc

**** Changes from 2023.01.11 (riesmeier)

- Added missing Type 2 Sequence to "INVENTORY":
  Added missing Type 2 Sequence to recently added "INVENTORY" Directory
  Record (DICOMDIR).
  This finally closes DCMTK Conformance #1031.
  Affects: dcmdata/libsrc/dcddirif.cc

- Made sure to generate missing InstanceNumber:
  Made sure to generate a value for the Instance Number (0020,0013) attribute
  if missing in the referenced DICOM SOP Instance but needed for the Directory
  Record (DICOMDIR). This is now true for more Directory Record Types, even in
  cases where this attribute is mandatory (Type 1) in the underlying IOD.
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/libsrc/dcddirif.cc

**** Changes from 2023.01.10 (riesmeier)

- Added suppport for directory record "INVENTORY":
  Added support for directory record "INVENTORY" that was introduced with
  Suuplement 223 (Repository Query, Inventory IOD, and Related Services).
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdirrec.cc

- Added support for new UIDs from Supplement 223:
  Added support for UIDs from Supplement 223 (Repository Query, Inventory
  IOD, and Related Services), i.e. added UID definitions and support for
  the new Storage SOP Class to the various networking tools.
  Please note, however, that the Inventory IOD does not fit into the
  "Patient - Study - Series - Instance" hierarchy and, therefore, has its
  own Query/Retrieve Service.
  Also changed grouping of some UID definitions in the source code,
  especially for those Storage SOP Classes that do not fit into the
  classical hierarchy. This should increase readability.
  This partly closes DCMTK Conformance #1031.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/etc/dcmqrprf.cfg

**** Changes from 2023.01.06 (riesmeier)

- Added support for further values to checkVM():
  The DcmElement::checkVM() method now also supports the valid VM values
  "2-4", "4-5", "4-4n", "6-n" and "11", which are needed for the provided
  DICOM, DICONDE and private data dictionaries.
  Affects: dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/libsrc/dcelem.cc

- Updated data dictionary for DICOM 2022e:
  Updated data dictionary for the latest edition of the DICOM standard, which
  has been released only recently.
  Since two of the DICOM attributes were "retired", the name of the associated
  DcmTagKey constants also changed. This required minor changes to the source
  code of the dcmrt module (both automatically and manually generated source
  files).
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc
           dcmrt/libsrc/drtdose.cc
           dcmrt/libsrc/drtrdros.cc

- Minor fixes in comments / documentation.
  Affects: dcmwlm/docs/wlmscpfs.man
           dcmwlm/include/dcmtk/dcmwlm/wlds.h
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wlfsim.cc

**** Changes from 2023.01.05 (onken)

- Added Instituational Department Name as Return Key.
  Affects: dcmwlm/docs/wlmscpfs.man
           dcmwlm/libsrc/wlds.cc

**** Changes from 2023.01.04 (onken)

- Simpler user configuration of DCMTK_DEFAULT_DICT:
  Previously DCMTK_DEFAULT_DICT was declared as CACHE variable, which
  would force users to write:
      set(DCMTK_DEFAULT_DICT
          "builtin"
          CACHE STRING "")
      add_subdirectory(dcmtk)
  Using the new cmake logic, user can simply:
      set(DCMTK_DEFAULT_DICT "builtin")
      add_subdirectory(dcmtk)
  Thanks to GitHub user "malaterre" for the patch.
  Affects: CMake/dcmtkPrepare.cmake

**** Changes from 2022.12.30 (eichelberg)

- Prevent redefinition of __STDC_FORMAT_MACROS macro:
  Added a guard to avoid duplicate definition of the
  __STDC_FORMAT_MACROS macro.
  Thanks to GitHub user chrisse74 for the report and pull request.
  This closes GitHub pull request #74.
  Affects: ofstd/include/dcmtk/ofstd/oftypes.h

- Documented special filename "-" for stdin/stdout:
  Added documentation to --help output and man page for all DCMTK tools
  where the special filename "-" can be used to read a DICOM file from
  stdin or write a DICOM file to stdout.
  This closes DCMTK issues #966 and #1005.
  Affects: dcmdata/apps/dcm2json.cc
           dcmdata/apps/dcm2pdf.cc
           dcmdata/apps/dcm2xml.cc
           dcmdata/apps/dcmconv.cc
           dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmdata/apps/dcmdump.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/apps/img2dcm.cc
           dcmdata/apps/mdfconen.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/docs/cda2dcm.man
           dcmdata/docs/dcm2json.man
           dcmdata/docs/dcm2pdf.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmcrle.man
           dcmdata/docs/dcmdrle.man
           dcmdata/docs/dcmdump.man
           dcmdata/docs/dcmftest.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/img2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/stl2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmdata/libsrc/dcencdoc.cc
           dcmimage/apps/dcm2pnm.cc
           dcmimage/apps/dcmicmp.cc
           dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmicmp.man
           dcmimage/docs/dcmquant.man
           dcmimage/docs/dcmscale.man
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man
           dcmjpeg/docs/dcmj2pnm.man
           dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/docs/dcmcjpls.man
           dcmjpls/docs/dcmdjpls.man
           dcmjpls/docs/dcml2pnm.man
           dcmpstat/apps/dcmmkcrv.cc
           dcmpstat/apps/dcmmklut.cc
           dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpsmk.cc
           dcmpstat/apps/dcmpsprt.cc
           dcmpstat/docs/dcmmkcrv.man
           dcmpstat/docs/dcmmklut.man
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscu.man
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/docs/dcmpsprt.man
           dcmrt/apps/drtdump.cc
           dcmrt/docs/drtdump.man
           dcmsign/apps/dcmsign.cc
           dcmsign/docs/dcmsign.man
           dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc
           dcmsr/apps/dsrdump.cc
           dcmsr/apps/xml2dsr.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man

**** Changes from 2022.12.22 (onken)

- Consistent use of --series-from and --study-from:
  The img2dcm options --series-from and --study-from are now handled the
  same as in pdf2dcm, i.e. if more than one option is used, the rightmost
  option wins and no error message is produced.
  Affects: dcmdata/apps/img2dcm.cc
           dcmdata/docs/img2dcm.man

**** Changes from 2022.12.21 (onken)

- Enhanced command line handling for img2dcm:
  - Options --series-from and --study-from are mutually exclusive.
  - If one of both is used multiple times the "last" occurence on the
    commandline wins (which is common behaviour of DCMTK tools).
  Affects: dcmdata/apps/img2dcm.cc
           dcmdata/docs/img2dcm.man

**** Changes from 2022.12.19 (riesmeier)

- Fixed various issues in manpage.
  Affects: dcmdata/docs/img2dcm.man

**** Changes from 2022.12.06 (eichelberg)

- Minor code cleanup.
  Affects: oficonv/libsrc/citrus_viqr.c

- Ported recent FreeBSD commits to oficonv:
  Ported FreeBSD commit 8f27c9d14a55 to DCMTK: Use TAILQ_FOREACH_SAFE
  to walk to list of children mnemonics to free them instead of TAILQ_FOREACH.
  Affects: oficonv/libsrc/citrus_viqr.c

**** Changes from 2022.12.05 (eichelberg)

- Prevent use of dangling pointer to freed buffer:
  Thanks to Mathieu Malaterre <mathieu.malaterre@gmail.com> for the report and patch.
  This closes Github pull request #73.
  Affects: dcmpstat/libsrc/dvpsga.cc
           dcmpstat/libsrc/dvpsril.cc

**** Changes from 2022.12.03 (riesmeier)

- Added support for fragmentable Transfer Syntaxes:
  Added support for new fragmentable Transfer Syntaxes when using echoscu
  with option --propose-ts (-pts). Also added complete list of supported
  Transfer Syntaxes to the manpage.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/docs/echoscu.man

**** Changes from 2022.11.11 (eichelberg)

- Removed obsolete code for old CMake versions:
  Removed CMake code containing workarounds for CMake versions
  prior to 3.0.0, which are not supported anymore by DCMTK anyway.
  Affects: CMake/FindICU.cmake
           CMake/dcmtkMacros.cmake
           CMake/dcmtkPrepare.cmake
           CMake/dcmtkTryRun.cmake
           CMake/dcmtkUseAndroidSDK.cmake
           CMake/dcmtkUseWine.cmake

- Introduced DIMSE backward compatibility option:
  Introduced a new macro DCMTK_ENABLE_ACR_NEMA_DATASET_PRESENT_COMPATIBILITY
  that will cause DIMSE_DATASET_PRESENT to be defined as 0x0102, a value
  that is required for backward compatibility with ACR/NEMA. This is not
  enabled by default because it triggers a bug in previous versions of some
  DCMTK tools, see previous commit and DCMTK issue #1045.
  This closes DCMTK issue #238.
  Affects: config/docs/macros.txt
           dcmnet/include/dcmtk/dcmnet/dimse.h

- Fixed handling of DataSetType value in DIMSE code:
  DIMSE code should never compare the value of DataSetType, which indicates
  whether or not a dataset will follow after a command set, with
  DIMSE_DATASET_PRESENT. Instead the code should check whether the value
  is different from DIMSE_DATASET_NULL (0x0101). Some tools handled this
  incorrectly.
  This closes DCMTK issue #1045.
  Affects: dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc
           dcmpstat/libsrc/dvpspr.cc
           dcmpstat/libsrc/dvpsprt.cc

**** Changes from 2022.11.11 (riesmeier)

- Added support for fragmentable Transfer Syntaxes:
  Added support for new fragmentable MPEG2/MPEG4 Transfer Syntaxes to
  storescp's option --accept-all.
  Affects: dcmnet/apps/storescp.cc
           dcmnet/docs/storescp.man

- Added new Transfer Syntaxes to config file:
  Added recently introduced fragmentable MPEG2/MPEG4 Transfer Syntaxes
  to the "[AnyTransferSyntax]" section of the configuration file.
  Also added a reference to the documentation of the configuration file.
  Affects: dcmnet/etc/storescp.cfg
           dcmqrdb/etc/dcmqrprf.cfg

- Added complete list of Transfer Syntaxes:
  Added complete list of supported Transfer Syntaxes as a comment in
  order to facilitate adding new entries or modifying existing ones.
  Also added a reference to the documentation of the configuration file.
  Affects: dcmnet/etc/storescu.cfg

- Updated statement on 128 Presentation Contexts:
  Updated statement on maximum of 128 Presentation Contexts, which is
  only applicable to association requestors (e.g. a Storage SCU).
  Affects: dcmnet/docs/asconfig.txt

**** Changes from 2022.11.10 (riesmeier)

- Removed or replaced non-ASCII characters.
  Affects: COPYRIGHT
           dcmdata/include/dcmtk/dcmdata/dcxfer.h
           oficonv/include/dcmtk/oficonv/iconv.h

- Added initial support for Supplement 225:
  Added initial support for Multi-Fragment Video Transfer Syntaxes introduced
  with Supplement 225. This commit covers the definition of the UID values
  and the DCMTK-specific definitions that are needed to later enhance support.
  Also introduced a new isFragmentable() method to the DcmXfer class.
  This closes DCMTK Conformance #1019 and Bug #1032.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/include/dcmtk/dcmdata/dcxfer.h
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcxfer.cc

**** Changes from 2022.11.07 (riesmeier)

- Changed name of retired Transfer Syntaxes:
  Added prefix "RETIRED_" to the following Transfer Syntaxes that were
  retired in 2018: "RFC 2557 MIME Encapsulation" and "XML Encoding".
  This name change has not been done for "Explicit VR Big Endian" and
  others, because they are actually used within the DCMTK and probably
  also in software based on it.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc

**** Changes from 2022.10.30 (eichelberg)

- Added OFFile& constructor to DcmOutputFileStream:
  Added a constructor to class DcmOutputFileStream that takes a reference
  to an OFFile instance as a parameter instead of a filename or a FILE *.
  Thanks to Franz Reitner <franz.reitner@excelitas.com> for the suggestion.
  This closes DCMTK feature #1023.
  Affects: dcmdata/include/dcmtk/dcmdata/dcostrmf.h
           dcmdata/libsrc/dcostrmf.cc

**** Changes from 2022.10.24 (riesmeier)

- Fixed source code formatting.
  Affects: ofstd/libsrc/ofuuid.cc

- Updated Context Group classes for DICOM 2022d:
  Updated automatically generated Context Group classes for the 2022d edition
  of the DICOM standard. All supported classes were updated, even though there
  were no changes to most of them.
  Affects: dcmsr/include/dcmtk/dcmsr/cmr/cid100.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10013.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10033.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid11.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid218.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid244.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid247.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid29.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4020.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4031.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid42.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid6147.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7181.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7445.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7452.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7453.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7464.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7469.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7551.h
           dcmsr/libcmr/cid100.cc
           dcmsr/libcmr/cid10013.cc
           dcmsr/libcmr/cid10033.cc
           dcmsr/libcmr/cid11.cc
           dcmsr/libcmr/cid218.cc
           dcmsr/libcmr/cid244.cc
           dcmsr/libcmr/cid247.cc
           dcmsr/libcmr/cid29.cc
           dcmsr/libcmr/cid4020.cc
           dcmsr/libcmr/cid4021.cc
           dcmsr/libcmr/cid4031.cc
           dcmsr/libcmr/cid42.cc
           dcmsr/libcmr/cid6147.cc
           dcmsr/libcmr/cid7021.cc
           dcmsr/libcmr/cid7181.cc
           dcmsr/libcmr/cid7445.cc
           dcmsr/libcmr/cid7452.cc
           dcmsr/libcmr/cid7453.cc
           dcmsr/libcmr/cid7464.cc
           dcmsr/libcmr/cid7469.cc
           dcmsr/libcmr/cid7551.cc

- Updated code definitions for DICOM 2022d:
  Updated automatically generated code definitions for coding scheme "DCM".
  For the coding schemes "NCIt" and "UMLS", there were no changes.
  Affects: dcmsr/include/dcmtk/dcmsr/codes/dcm.h
           dcmsr/include/dcmtk/dcmsr/codes/ncit.h
           dcmsr/include/dcmtk/dcmsr/codes/umls.h

**** Changes from 2022.10.20 (onken)

- Avoid implicit cast from Uint8 to bool.
  Affects: dcmdata/libi2d/i2djpgs.cc

**** Changes from 2022.10.17 (riesmeier)

- Fixed Doxygen markup for multi-line list entries:
  Also replaced wrong term "SOP Class" by "Transfer Syntax UID" and
  made spelling of the term "SOP Class" consistent throughout the file.
  Affects: dcmdata/docs/img2dcm.man

- Replaced tab characters by spaces.
  Affects: dcmdata/libi2d/i2djpgs.cc

- Updated data dictionary for DICOM 2022d:
  Updated data dictionary for the latest edition of the DICOM standard,
  which has been released only recently.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc

**** Changes from 2022.10.17 (onken)

- Fixed API documentation warnings for doxygen:
  Fixed doxygen warnings about missing, wrong or unneeded documentation in
  img2dcm-related source code.
  Affects: dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dimgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2djpgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplnsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplop.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplvlp.h

**** Changes from 2022.10.13 (riesmeier)

- Added support for official UID keywords:
  Added support for the official DICOM UID keywords that were originally
  introduced with CP-1995. These keywords are defined in addition to the
  DCMTK-specific UID names that have been used for a long time and will
  still be used for the foreseeable future.
  During the implementation, a few minor issues were detected:
  - The official name of the UID "1.2.840.10008.5.1.4.1.1.88.70" is
    "Implantation Plan SR Storage" and not "Implantation Plan SR
    Document Storage". Also see CP-2240 (working draft).
  - The official name of the UID "1.2.840.10008.1.4.3.2" is
    "Standard Robotic-Arm Coordinate System Frame of Reference" and
    not "Standard Robotic Coordinate System Frame of Reference".
  - The definition of the UID "1.2.840.10008.5.1.4.38.4" was missing in
    the list of UIDs known to the DCMTK, i.e. the Hanging Protocol
    Information Model - GET SOP Class.
  These issues were fixed in a backward compatible manner (if possible).
  It is planned to support these official keywords in various DCMTK tools
  with future commits, e.g. for selecting the preferred Transfer Syntax
  on the command line or as an alternative to the DCMTK-specific name in
  a textual dump.
  This closes DCMTK Conformance #935.
  Affects: CMake/GenerateCMakeExports.cmake
           dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/include/dcmtk/dcmdata/dcxfer.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcxfer.cc
           dcmnet/docs/getscu.man
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/etc/dcmqrprf.cfg
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2022.10.10 (onken)

- Add missing include of Windows.h in dcdict.cc:
  This file uses MAX_PATH without including Windows.h .
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  Affects: dcmdata/libsrc/dcdict.cc

**** Changes from 2022.10.07 (onken)

- Refactor network init into separate method:
  Move code related to network initialization within
  DcmBaseSCPPool::listen to the separate function and make it virtual.
  This way it is possible for the clients to implement a notification about
  the results of the network initialization part. It is needed to be able to
  get feedback for the cases where, for example, the selected port is already
  taken.
  Thanks to GitHub user "doskachok" (Vasyl Horbatenko) for the proposed patch.
  Affects: dcmnet/include/dcmtk/dcmnet/scppool.h
           dcmnet/libsrc/scppool.cc

- Make nextMessageID() virtual.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h

**** Changes from 2022.10.06 (eichelberg)

- Added warning re dcmdjpeg +ca on lossless images:
  Added warning in the man page that dcmdjpeg --conv-always
  should be used with care in particular when decoding JPEG lossless.
  Affects: dcmjpeg/docs/dcmdjpeg.man

**** Changes from 2022.10.05 (onken)

- Make DcmSCU::nextMessageID protected, not private:
  DcmSCU provides several virtual functions where the intent is to enable
  users to override these virtual functions. For example,
  DcmSCU::sendMOVERequest advertises that it can be overridden in the doc
  string.
  To be able to override these functions in a meaningful way, we need access
  to the nextMessageID function from derived classes.
  A use case for overriding DcmSCU::sendMOVERequest could be to enable
  concurrent C-MOVE requests. In such cases, we need a way to get the
  message ID out of the DcmSCU to be able to correlate it with the Move
  Originator Message ID from a client side STORE SCP.
  Also, improved wording of DcmSCU::sendMOVERequest doc string to
  help readability.
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h

**** Changes from 2022.10.03 (riesmeier)

- Official ANNOUNCE.367 file was incomplete.
  Affects: docs/ANNOUNCE.367

**** Changes from 2022.09.25 (eichelberg)

- Removed duplicate path separator.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2022.09.20 (eichelberg)

- Ported recent FreeBSD commits to oficonv:
  Ported all commits concerning the oficonv code from FreeBSD to DCMTK,
  specifically FreeBSD commits 693f88c9da8d and 2300a22c9712. This brings
  oficonv up to the current state of the implementation in FreeBSD.
  This closes DCMTK issue #1034.
  Affects: oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_stdenc.h
           oficonv/libsrc/citrus_stdenc_local.h
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_utf1632.c

**** Changes from 2022.09.08 (onken)

- Check error code when loading all into memory.
  Affects: dcmdata/apps/mdfdsman.cc

**** Changes from 2022.09.05 (riesmeier)

- Marked deprecated functions with OFdeprecated:
  Marked deprecated methods and functions with OFdeprecated. Also made
  sure that these methods are not used within the DCMTK.
  What is still missing is the deprecated OFGlobal dcmConnectionTimeout,
  which is used in various DCMTK command line tools.
  This closes DCMTK Bug #1027.
  Affects: dcmnet/include/dcmtk/dcmnet/cond.h
           dcmnet/include/dcmtk/dcmnet/dcmtrans.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/include/dcmtk/dcmnet/scu.h
           dcmtls/include/dcmtk/dcmtls/tlsscu.h

**** Changes from 2022.08.30 (eichelberg)

- Fixed bug in DcmQueryRetrieveConfig::parseQuota():
  Fixed bug in DcmQueryRetrieveConfig::parseQuota() that could cause
  an invalid memory access while reading a malformed dcmqrscp
  configuration file.
  Thanks to 김주희 <kimjuhi96@snu.ac.kr> for the bug report.
  Affects: dcmqrdb/libsrc/dcmqrcnf.cc

**** Changes from 2022.08.25 (eichelberg)

- Added ofipc implementation for Android:
  Added another implementation variant to the ofipc code, since Android offers
  neither Posix queues, nor System V queues, nor Windows mailslots. This
  implementation, which can also be activated by defining the macro
  DCMTK_USE_UNIX_SOCKET_QUEUE at compile time, uses Unix Domain sockets
  and a separate handler thread in the message queue server.
  Affects: config/docs/macros.txt
           ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc

**** Changes from 2022.08.24 (eichelberg)

- Further fix for multi-process issue in dcmpsrcv.
  Affects: dcmpstat/apps/dcmpsrcv.cc

**** Changes from 2022.08.22 (eichelberg)

- Added configure tests for <sys/un.h>.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

**** Changes from 2022.08.22 (riesmeier)

- Added configure test for <sys/un.h> header file.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in

**** Changes from 2022.08.21 (eichelberg)

- Fixed multi-process issue in dcmpsrcv:
  When running on platforms supporting fork(), dcmpsrcv did not always properly
  terminate the child process after handling a client association. This should
  now be fixed.
  Affects: dcmpstat/apps/dcmpsrcv.cc

**** Changes from 2022.08.18 (eichelberg)

- Added cleanup signal handler to ofipc code:
  Added signal handler code to ofipc that can be used to ensure that message
  queues are properly closed and deleted even when the application is terminated
  abnormally through SIGINT (CTRL-C) or SIGTERM (kill). Otherwise, some types
  of message queues such as Posix or System V will persist after the termination
  of the process and count against the (relatively small) limit of message
  queues permitted per user.
  Affects: dcmpstat/apps/dcmpsrcv.cc
           ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc

**** Changes from 2022.08.17 (eichelberg)

- More detailed error message in dcmpsrcv:
  Added more error detail when dcmpsrcv fails to initialize the message queue.
  Affects: dcmpstat/apps/dcmpsrcv.cc

**** Changes from 2022.08.16 (eichelberg)

- Added ofipc dummy implementation for Android:
  Android, despite being based on a Linux kernel and providing the Posix
  message queue header files, implements neither Posix nor System V message
  queues. As a stop-gap measure a dummy implementation is provided that
  allows DCMTK to compile on Android. A working implementation of ofipc
  for Android will follow later.
  Affects: ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc

- Added timeout to server in ofstd_ipc unit test.
  Affects: ofstd/tests/tipc.cc

- Fixed Windows 7 specific ofipc issue:
  Fixed an issue with the use of the ofipc classes that specifically affected
  Windows 7 and not Windows 10. The fourth parameter to WriteFile() must not
  be NULL on Windows 7. This caused OFIPCMessageQueueClient::sendMessage() to
  block after sending the message.
  Affects: ofstd/libsrc/ofipc.cc

**** Changes from 2022.08.16 (riesmeier)

- Added Autoconf support for new ofipc classes.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in
           ofstd/libsrc/Makefile.in
           ofstd/tests/Makefile.in

**** Changes from 2022.08.16 (eichelberg)

- Fixed ofipc classes on FreeBSD, part 2.
  Affects: ofstd/libsrc/ofipc.cc

- Fixed ofipc classes on FreeBSD:
  On FreeBSD, Posix message queues are available since FreeBSD 7,
  but must be explicitly enabled by loading the "mqueuefs" kernel module
  (i.e. by calling "kldload mqueuefs" as root user). Therefore,
  we prefer System V message queues when compiling on FreeBSD.
  Affects: ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc

**** Changes from 2022.08.15 (eichelberg)

- Fixed minor warning reported by gcc.
  Affects: dcmnet/libsrc/dulconst.cc

- Fixed issue in iconv table lookup on Windows:
  Fixed a problem with the lookup of compiled-in data tables on Windows caused
  by the different path separator character on this platform.
  Affects: oficonv/libsrc/citrus_mmap.c

**** Changes from 2022.08.14 (eichelberg)

- Portability fixes to ofipc classes:
  Include <climits> for NAME_MAX macro, use old-style cast for mqd_t,
  because it is defined as integer on some platforms and as a pointer on others.
  Affects: ofstd/libsrc/ofipc.cc

- Revised multi-process handling for dcmpsrcv:
  The dcmpsrcv tool now uses DUL_requestForkOnTransportConnectionReceipt() to
  spawn separate child processes for incoming network connections, similar to
  calling storescp with the --fork option. Since this precludes the use of
  the private shutdown SOP class, which would only be seen by a child process
  but not by the parent process anymore, application shutdown is now handled
  through an OFIPC message queue.
  Affects: dcmpstat/apps/dcmpsrcv.cc

- Fixed DLL build.
  Affects: ofstd/include/dcmtk/ofstd/ofipc.h

- Added detachQueue() methods to IPC classes:
  Added method detachQueue() to class OFIPCMessageQueueServer and
  class OFIPCMessageQueueClient. This method can be used in forked
  child processes to avoid interference of the client process with
  the message queue opened in the parent process.
  Affects: ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc

- Added unit test for IPC message queues.
  Added:   ofstd/tests/tipc.cc
  Affects: dcmdata/tests/tvrcomp.cc
           ofstd/include/dcmtk/ofstd/oftest.h
           ofstd/tests/CMakeLists.txt
           ofstd/tests/tests.cc

- Added classes for handling IPC message queues:
  Added classes OFIPCMessageQueueServer and OFIPCMessageQueueClient, which
  implement the server and client side of a message queue for inter-process
  communication. A server process can create a message queue and receive
  text messages, and a client process can open the queue and send messages.
  Depending on the platform, the queues are implemented as Windows Mailslot,
  Posix message queue or System V message queue.
  Added:   ofstd/include/dcmtk/ofstd/ofipc.h
           ofstd/libsrc/ofipc.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/dcmtkPrepare.cmake
           CMake/osconfig.h.in
           ofstd/include/dcmtk/ofstd/ofcond.h
           ofstd/libsrc/CMakeLists.txt
           ofstd/libsrc/ofcond.cc

**** Changes from 2022.08.02 (riesmeier)

- Check MSVC version before disabling a warning:
  Added check on MSVC version number before disabling the compiler warning
  C4351, which is not available for Visual Studio 2015 and newer.
  Thanks to GitHub user "mrbean-bremen" for the report and proposed patch.
  See also PR #66 at https://github.com/DCMTK/dcmtk/pull/66.
  Affects: CMake/osconfig.h.in

**** Changes from 2022.08.01 (riesmeier)

- Fixed typo in GNU Autoconf's configure file:
  For "darwin" systems, there was a wrong use of CXXFLAGS instead of CFLAGS.
  Thanks to GitHub user "mrbean-bremen" for the report and proposed patch.
  See also PR #65 at https://github.com/DCMTK/dcmtk/pull/65.
  Affects: config/configure
           config/configure.in

**** Changes from 2022.07.26 (riesmeier)

- Updated Context Group classes for DICOM 2022c:
  Updated automatically generated Context Group classes for the 2022c edition
  of the DICOM standard. All supported classes were updated, even though there
  were no changes to most of them.
  Please note that for some Context Groups the name changed with DICOM 2022c,
  so source code that makes use of the underlying classes might also need to
  be changed. Hopefully, this is a one-time change.
  Affects: dcmdata/data/OP_template_latin_1.xml
           dcmdata/data/OP_template_utf_8.xml
           dcmsr/docs/dcmsr.dox
           dcmsr/include/dcmtk/dcmsr/cmr/cid100.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10013.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid10033.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid11.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid218.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid218e.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid244.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid247.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid29.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4020.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4031.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid4031e.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid42.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid5000.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid5001.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid6147.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7021.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7181.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7445.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7452.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7453.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7464.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7469.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7551.h
           dcmsr/include/dcmtk/dcmsr/cmr/init.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1001.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1204.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1411.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1500.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1501.h
           dcmsr/libcmr/cid100.cc
           dcmsr/libcmr/cid10013.cc
           dcmsr/libcmr/cid10033.cc
           dcmsr/libcmr/cid11.cc
           dcmsr/libcmr/cid218.cc
           dcmsr/libcmr/cid218e.cc
           dcmsr/libcmr/cid244.cc
           dcmsr/libcmr/cid247.cc
           dcmsr/libcmr/cid29.cc
           dcmsr/libcmr/cid4020.cc
           dcmsr/libcmr/cid4021.cc
           dcmsr/libcmr/cid4031.cc
           dcmsr/libcmr/cid4031e.cc
           dcmsr/libcmr/cid42.cc
           dcmsr/libcmr/cid5000.cc
           dcmsr/libcmr/cid5001.cc
           dcmsr/libcmr/cid6147.cc
           dcmsr/libcmr/cid7021.cc
           dcmsr/libcmr/cid7181.cc
           dcmsr/libcmr/cid7445.cc
           dcmsr/libcmr/cid7452.cc
           dcmsr/libcmr/cid7453.cc
           dcmsr/libcmr/cid7464.cc
           dcmsr/libcmr/cid7469.cc
           dcmsr/libcmr/cid7551.cc
           dcmsr/libcmr/init.cc
           dcmsr/libcmr/tid1001.cc
           dcmsr/libcmr/tid1204.cc
           dcmsr/libcmr/tid1411.cc
           dcmsr/libcmr/tid1419m.cc
           dcmsr/libcmr/tid1500.cc
           dcmsr/libcmr/tid1501.cc
           dcmsr/libcmr/tid1600.cc
           dcmsr/libcmr/tid300.cc
           dcmsr/tests/tests.cc
           dcmsr/tests/tsrcmr.cc
           dcmtract/include/dcmtk/dcmtract/trcmeasurement.h
           dcmtract/include/dcmtk/dcmtract/trcstatistic.h
           dcmtract/include/dcmtk/dcmtract/trctrackset.h

**** Changes from 2022.07.25 (riesmeier)

- Updated code definitions for DICOM 2022c:
  Updated automatically generated code definitions for coding scheme "DCM".
  For the coding schemes "NCIt" and "UMLS", there were no changes.
  Affects: dcmsr/include/dcmtk/dcmsr/codes/dcm.h
           dcmsr/include/dcmtk/dcmsr/codes/ncit.h
           dcmsr/include/dcmtk/dcmsr/codes/umls.h

- Updated data dictionary for DICOM 2022c:
  Updated data dictionary for the latest edition of the DICOM standard, which
  has been released only recently.
  Since one of the DICOM attributes was "retired", the name of the associated
  DcmTagKey constant also changed. This required minor changes to the source
  code of the dcmrt module (automatically generated source files).
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictbi.cc
           dcmrt/libsrc/drtrros.cc

**** Changes from 2022.07.22 (eichelberg)

- Added dcm2json command line options:
  Added new command line options to dcm2json that allow the user to control the
  policy for the conversion of IS/DS values to JSON. Users can either continue
  to use the automatic conversion where values are converted to number if
  possible and to string otherwise, or they can enforce conversion to string
  or to number. In the latter case, an IS/DS value that cannot be mapped to
  a JSON number will lead to an error message and the conversion will be
  aborted.
  This closes DCMTK feature request #988.
  Affects: dcmdata/apps/dcm2json.cc
           dcmdata/docs/dcm2json.man
           dcmdata/include/dcmtk/dcmdata/dcerror.h
           dcmdata/include/dcmtk/dcmdata/dcjson.h
           dcmdata/libsrc/dcerror.cc
           dcmdata/libsrc/dcjson.cc
           dcmdata/libsrc/dcvrds.cc
           dcmdata/libsrc/dcvris.cc

**** Changes from 2022.07.19 (eichelberg)

- Fix ignored 'deprecated' attribute warnings:
  Old GCC versions print warnings about [[deprecated]] attributes being
  ignored when running in C++11 mode. Fall back to the GCC specific solution
  for these compilers.
  Affects: ofstd/include/dcmtk/ofstd/ofdeprec.h

**** Changes from 2022.07.12 (onken)

- Use Uint16 instead of u_short.
  Affects: dcmnet/libsrc/dul.cc

- Allow OS to choose free port for DcmSCP:
  This change updates the underlying network settings and API
  accordingly.
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  See also PR #63 at https://github.com/DCMTK/dcmtk/pull/63.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scpcfg.h
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/scp.cc
           dcmnet/tests/tscuscp.cc

**** Changes from 2022.07.08 (eichelberg)

- Fixed single shared library build:
  A further modification needed for BUILD_SINGLE_SHARED_LIBRARY.
  Affects: ofstd/libsrc/CMakeLists.txt

- Fixed single shared library build:
  The CMake files for oficonv now only define the special targets
  oficonv_data_library and oficonv_data_files if the required apps are
  known and present, which is not the case e.g. when DCMTK is compiled
  with BUILD_SINGLE_SHARED_LIBRARY.
  Affects: oficonv/datasrc/CMakeLists.txt

**** Changes from 2022.07.08 (onken)

- Fixed possible buffer overflow:
  Fixed possible buffer overflow when rows*cols*samples per pixel do not
  fit into a 32 bit value.
  Thanks to Calvin Fong <calvin.fong@trailofbits.com> for the report.
  Affects: dcmdata/libi2d/i2dbmps.cc

**** Changes from 2022.07.07 (onken)

- Propose Little Endian Implicit as last TS:
  Little Endian Implicit is now proposed as last tranfer syntax in the
  proposal list instead of coming first (if not only Default transfer
  syntax is being proposed).
  Affects: dcmnet/apps/getscu.cc

- Always propose Little Endian Implicit for storage:
  Fixed bug that Little Endian Implicit is not being proposed when using
  option --implicit.
  Thanks to Michael L. Williams <MWILLIAMS72@mgh.harvard.edu> for the
  report and suggested fix.
  Affects: dcmnet/apps/getscu.cc

**** Changes from 2022.07.06 (riesmeier)

- Replaced call of deprecated function:
  Replaced call of deprecated function ASC_dumpConnectionParameters(),
  which expects an output stream as the second parameter, in order to
  avoid a warning message reported e.g. by MingGW or Clang on Windows
  (no fork mechanism available).
  Affects: dcmpstat/apps/dcmpsrcv.cc

**** Changes from 2022.07.04 (riesmeier)

- Changed order of function specifiers:
  Changed order of function specifiers DCMTK_DCMNET_EXPORT and
  OFdeprecated in order to compile with Clang when support for shared
  libraries is enabled. For other compilers such as gcc, the order seems
  to be irrelevant.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/dul.h

- Made use of OFdepecated macro where appropriate.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/dul.h

- Further improved AC_CHECK_TRY_COMPILE().
  Affects: config/aclocal.m4
           config/configure

- Re-added old ASC_createAssociationParameters():
  Starting with commit d468490a8, function ASC_createAssociationParameters()
  expects the value for the TCP connection timeout as a third parameter.
  For reasons of backward compatibilty, the old function (with only two
  parameters) that uses the global setting for the TCP connection timeout
  is re-introduced.
  Please note, however, that this old function is deprecated and will be
  (finally) removed in the future. See compiler warnings for details.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/assoc.cc

- Added support for OFdeprecated to Autoconf:
  Commit ddf788d79 introduced OFdeprecated and OFdeprecated_msg only for
  the CMake build system. Now the corresponding configure tests and defines
  are also available for the GNU Autoconf build system.
  Affects: config/aclocal.m4
           config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in

**** Changes from 2022.07.01 (riesmeier)

- Added test cases for TCP connection timeout:
  Added regression test cases for new TCP connection timeout functionality
  introduced only recently with commit d468490a8.
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  See also PR #61 at https://github.com/DCMTK/dcmtk/pull/61.
  Affects: dcmnet/tests/tests.cc
           dcmnet/tests/tscuscp.cc

**** Changes from 2022.07.01 (onken)

- Fixed typo.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2022.07.01 (riesmeier)

- Make target "distclean" now depends on "clean":
  The make target "distclean" now depends on "clean" to also remove the
  temporary subirectory "tehtestdire" when calling "make distclean".
  Affects: ofstd/tests/Makefile.in

**** Changes from 2022.06.30 (onken)

- Fixed test dcmnet_scp_fail_on_disallowed_host:
  Fixed test that was broken when introducing macro OFCHECK_MSG.
  Affects: dcmnet/tests/tscuscp.cc

- Add DcmScu support for sending N-SET requests:
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  See also PR #61 at https://github.com/DCMTK/dcmtk/pull/57.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc
           dcmnet/tests/tests.cc
           dcmnet/tests/tscuscp.cc

**** Changes from 2022.06.28 (riesmeier)

- Made TCP connection timeout more configurable:
  The TCP connection timeout can now be configured individually, e.g. for
  each instance of the DcmSCU class (or derived classes). The global setting
  dcmConnectionTimeout is still available and also still used by the various
  network command line tools.
  Please note that ASC_createAssociationParameters() now expects 3 parameters
  instead of 2; the last one is the new "tcpConnectTimeout" parameter, which
  can also be set to "dcmConnectionTimeout.get()" in order to restore the old
  behavior.
  Thanks to GitHub user "jogerh" (Joger Hansegard) for the proposed patch.
  See also PR #61 at https://github.com/DCMTK/dcmtk/pull/61.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescu.cc
           dcmnet/apps/termscu.cc
           dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/dfindscu.cc
           dcmnet/libsrc/dulfsm.cc
           dcmnet/libsrc/scu.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/libsrc/dviface.cc
           dcmpstat/libsrc/dvpspr.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrtis.cc

**** Changes from 2022.06.24 (riesmeier)

- Fixed regression test after commit a15d61db8:
  Fixed regression test "dcmsr_determineCodeValueType" after recent commit:
  now, an empty coded entry value uses a "code value type" of CVT_Short.
  Affects: dcmsr/tests/tsrcodvl.cc

- Fixed issue when using option +Ca and +U8:
  Fixed an issue, or rather an unexpected behavior, when using option +Ca
  (--charset-assume) together with option +U8 (--convert-to-utf8).
  Now, when calling the tool for a DICOM file that is missing the
  SpecificCharacterSet attribute although it is needed (because extended
  characters are used), option +Ca is processed first and then +U8. This
  allows for specifying the correct value for the missing attribute (e.g.
  "ISO_IR 100") before converting the dataset and also the XML output to
  UTF-8 encoding.
  Also made sure that the "read mode" is actually used when loading a
  DICOM file, i.e. whether it is read as a file format or data set.
  This closes DCMTK Feature #1024.
  Affects: dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc

- Simplified code by using automatic variables.
  Affects: dcmsr/apps/xml2dsr.cc

- Made log output more consistent with other tools.
  Affects: dcmdata/apps/dcm2xml.cc

- Made sure that "read mode" is actually used:
  Made sure that the "read mode", i.e. whether a DICOM file or dataset is
  read, is actually used by the loadFile() method. Also improved consistency
  of the log output, i.e. use log level ERROR instead of FATAL since multiple
  files can be processed by a single call of this tool (similar to dcmdump).
  Affects: dcmsr/apps/dsrdump.cc

- Made log output more consistent within this tool.
  Affects: dcmdata/apps/dcmdump.cc

- Fixed another issue with unwanted debug message:
  Fixed another issue with unwanted debug message ("D: INTERNAL ERROR...")
  on empty coded entry value; this time after the clear() method was called.
  Affects: dcmsr/libsrc/dsrcodvl.cc

**** Changes from 2022.06.23 (eichelberg)

- Use different install dirs for development version:
  Use different directories named DCMTK-x.y.z-DEV for the installation of
  configuration files, data files and documents when compiling a
  development version of DCMTK after the release of version x.y.z.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2022.06.17 (riesmeier)

- Fixed --version output when STL support enabled:
  Fixed the --version output when the DCMTK was compiled with STL support
  (C++ Standard Template Library) enabled. Now, the output is "stl" if all
  HAVE_STL_xxx macros are defined and "(stl)" if at least one of the
  HAVE_STL_xxx macros is defined.
  Before, "stl" was never printed, even if the DCMTK was compiled with STL
  support enabled, because the outdated macro HAVE_STL was checked.
  Affects: ofstd/libsrc/ofconapp.cc

- Replace problematic character in directrory names:
  Replace problematic character '+' in default Autoconf directory names
  for --sysconfdir, --datadir and --docdir, which is e.g. used for DCMTK
  development version "3.6.7+DEV". The '+' is problematic for some file
  systems such as FAT32.
  Also replaced "http:" by "https:" in the project's home page URL.
  Affects: config/autoall
           config/configure
           config/configure.in
           config/confmod

**** Changes from 2022.06.16 (onken)

- Updated Makefile dependencies.
  Affects: dcmfg/tests/Makefile.dep

- Fixed possible NULL pointer dereference.
  Added:   dcmfg/tests/t_fg_base.cc
  Affects: dcmfg/libsrc/fgbase.cc
           dcmfg/tests/CMakeLists.txt
           dcmfg/tests/Makefile.in
           dcmfg/tests/tests.cc

**** Changes from 2022.06.16 (riesmeier)

- Fixed issue with trailing NULL byte for UI value:
  Fixed issue with trailing NULL (00H) character used for padding odd-length
  UI (Unique Identifier) values. This caused the VR scanner to refuse valid
  UI values with an odd length, such as the UID for the RT Dose Storage SOP
  Class (1.2.840.10008.5.1.4.1.1.481.2), when the global DCMTK parser flag
  dcmEnableAutomaticInputDataCorrection was set to OFFalse.
  Also added a new test case where two trailing NULL characters are used,
  which should result in an error (see definition of VR "UI" in PS3.5).
  Thanks to Marcus Hennix <Marcus.Hennix@elekta.com> for the report and
  analysis.
  Affects: dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l
           dcmdata/tests/tvrui.cc

**** Changes from 2022.06.16 (eichelberg)

- Suppress warning on VS 2015.
  Affects: ofstd/tests/ttuple.cc

**** Changes from 2022.06.15 (riesmeier)

- Fixed minor issue in syntax usage.
  Affects: dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/docs/dcmqrscp.man

**** Changes from 2022.06.15 (eichelberg)

- Suppress spurious MSVC warning in template code:
  Suppress spurious warning C4100 issued by older versions of MSVC
  in the template code of OFvariant_destroy_invoker.
  Added:   ofstd/include/dcmtk/ofstd/diag/unrefprm.def
  Affects: ofstd/include/dcmtk/ofstd/ofdiag.h
           ofstd/include/dcmtk/ofstd/variadic/variant.h

**** Changes from 2022.06.14 (eichelberg)

- Use C compiler to check for strcasestr().
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in
           oficonv/libsrc/oficonv_strcasestr.c
           oficonv/libsrc/oficonv_strcasestr.h

- Fix for DLL build without libxml2.
  Affects: dcmdata/include/dcmtk/dcmdata/dcmxml/xml2dcm.h

- Fixes for building oficonv on Android.
  Affects: oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/oficonv_iconv.c

- Further fixes for oficonv.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/oficonv_strcasestr.c
           oficonv/libsrc/oficonv_strcasestr.h
           oficonv/libsrc/windows_mmap.h

**** Changes from 2022.06.13 (eichelberg)

- Various fixes for oficonv.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_types.h
           oficonv/libsrc/citrus_viqr.c

**** Changes from 2022.06.12 (riesmeier)

- Fixed inconsistencies in Autoconf Makefiles.
  Affects: config/Makefile.in
           dcmdata/Makefile.in
           dcmdata/libdcxml/Makefile.in
           dcmect/Makefile.in
           dcmfg/Makefile.in
           dcmiod/Makefile.in
           dcmtract/Makefile.in
           ofstd/Makefile.in

- Replaced data type of string parameter.
  Affects: dcmdata/apps/dcm2xml.cc

**** Changes from 2022.06.09 (eichelberg)

- Fixed dcm2xml after rebase to testing.
  Affects: dcmdata/apps/dcm2xml.cc

**** Changes from 2022.06.09 (riesmeier)

- Various fixes to documentation.
  Affects: COPYRIGHT
           INSTALL
           README
           README.md
           config/docs/envvars.txt
           config/docs/macros.txt
           dcmdata/docs/datadict.txt
           dcmdata/docs/dcm2xml.man
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/docs/dcmqrset.txt
           dcmqrdb/docs/dcmqrti.man
           oficonv/docs/oficonv.dox
           oficonv/include/dcmtk/oficonv/iconv.h

- Fixed page-related Doxygen commands.
  Affects: ofstd/include/dcmtk/ofstd/ofxml.h

**** Changes from 2022.06.09 (eichelberg)

- Improved Citrus iconv version output.
  Affects: ofstd/libsrc/ofchrenc.cc

- Added module oficonv to DCMTK documentation.
  Added:   oficonv/docs/oficonv.dox
  Affects: COPYRIGHT
           INSTALL
           README
           README.md
           doxygen/htmldocs.dox

**** Changes from 2022.06.09 (riesmeier)

- Added support for builtin oficonv data (Autoconf):
  Added new configure options for embedding oficonv data files into the
  oficonv library. By default, the data is read from external files.
  Also extended --version output of command line tools accordingly.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in
           ofstd/libsrc/ofchrenc.cc

- Avoid double definition of WITH_LIBICONV.
  Affects: ofstd/libsrc/ofchrenc.cc

- Fixed various issues in Autoconf Makefiles:
  Fixed various issues in Autoconf Makefiles related to the new oficonv
  module, but also numerous general inconsistencies.
  Affects: dcmdata/apps/Makefile.in
           dcmdata/libi2d/Makefile.in
           dcmdata/libsrc/Makefile.in
           dcmdata/tests/Makefile.in
           dcmect/include/Makefile.in
           dcmect/libsrc/Makefile.in
           dcmect/tests/Makefile.in
           dcmfg/include/Makefile.in
           dcmfg/libsrc/Makefile.in
           dcmfg/tests/Makefile.in
           dcmimage/apps/Makefile.in
           dcmimage/include/Makefile.in
           dcmimage/libsrc/Makefile.in
           dcmimgle/apps/Makefile.in
           dcmimgle/data/Makefile.in
           dcmimgle/include/Makefile.in
           dcmimgle/libsrc/Makefile.in
           dcmiod/include/Makefile.in
           dcmiod/libsrc/Makefile.in
           dcmiod/tests/Makefile.in
           dcmjpeg/apps/Makefile.in
           dcmjpeg/include/Makefile.in
           dcmjpeg/libijg12/Makefile.in
           dcmjpeg/libijg16/Makefile.in
           dcmjpeg/libijg8/Makefile.in
           dcmjpeg/libsrc/Makefile.in
           dcmjpls/apps/Makefile.in
           dcmjpls/include/Makefile.in
           dcmjpls/libcharls/Makefile.in
           dcmjpls/libsrc/Makefile.in
           dcmnet/apps/Makefile.in
           dcmnet/docs/Makefile.in
           dcmnet/etc/Makefile.in
           dcmnet/include/Makefile.in
           dcmnet/libsrc/Makefile.in
           dcmnet/tests/Makefile.in
           dcmpmap/Makefile.in
           dcmpmap/include/Makefile.in
           dcmpmap/libsrc/Makefile.in
           dcmpstat/apps/Makefile.in
           dcmpstat/data/Makefile.in
           dcmpstat/etc/Makefile.in
           dcmpstat/include/Makefile.in
           dcmpstat/jni/Makefile.in
           dcmpstat/libsrc/Makefile.in
           dcmpstat/tests/Makefile.in
           dcmqrdb/apps/Makefile.in
           dcmqrdb/docs/Makefile.in
           dcmqrdb/etc/Makefile.in
           dcmqrdb/include/Makefile.in
           dcmqrdb/libsrc/Makefile.in
           dcmrt/apps/Makefile.in
           dcmrt/include/Makefile.in
           dcmrt/libsrc/Makefile.in
           dcmrt/tests/Makefile.in
           dcmseg/include/Makefile.in
           dcmseg/libsrc/Makefile.in
           dcmseg/tests/Makefile.in
           dcmsign/apps/Makefile.in
           dcmsign/include/Makefile.in
           dcmsign/libsrc/Makefile.in
           dcmsr/apps/Makefile.in
           dcmsr/data/Makefile.in
           dcmsr/include/Makefile.in
           dcmsr/libcmr/Makefile.in
           dcmsr/libsrc/Makefile.in
           dcmsr/tests/Makefile.in
           dcmtls/apps/Makefile.in
           dcmtls/docs/Makefile.in
           dcmtls/include/Makefile.in
           dcmtls/libsrc/Makefile.in
           dcmtract/include/Makefile.in
           dcmtract/libsrc/Makefile.in
           dcmwlm/apps/Makefile.in
           dcmwlm/data/Makefile.in
           dcmwlm/docs/Makefile.in
           dcmwlm/include/Makefile.in
           dcmwlm/libsrc/Makefile.in
           dcmwlm/tests/Makefile.in
           oficonv/Makefile.in
           oficonv/apps/Makefile.in
           oficonv/data/Makefile.in
           oficonv/datasrc/Makefile.in
           oficonv/docs/Makefile.in
           oficonv/include/Makefile.in
           oficonv/libsrc/Makefile.in
           oficonv/tests/Makefile.in
           oflog/etc/Makefile.in
           oflog/libsrc/Makefile.in
           ofstd/include/Makefile.in
           ofstd/libsrc/Makefile.in
           ofstd/tests/Makefile.in

- Updated Makefile dependencies.
  Affects: dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep
           oficonv/libsrc/Makefile.dep
           ofstd/libsrc/Makefile.dep

**** Changes from 2022.06.09 (eichelberg)

- Use GNUInstallDirs directories for installation:
  Changed installation targets again to use the GNUInstallDirs variables
  directly. This basically reverts commit #a41bc0313.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMakeLists.txt
           config/docs/CMakeLists.txt
           dcmdata/data/CMakeLists.txt
           dcmdata/docs/CMakeLists.txt
           dcmimgle/data/CMakeLists.txt
           dcmnet/docs/CMakeLists.txt
           dcmnet/etc/CMakeLists.txt
           dcmpstat/data/CMakeLists.txt
           dcmpstat/etc/CMakeLists.txt
           dcmqrdb/docs/CMakeLists.txt
           dcmqrdb/etc/CMakeLists.txt
           dcmsr/data/CMakeLists.txt
           dcmtls/docs/CMakeLists.txt
           dcmwlm/data/CMakeLists.txt
           dcmwlm/docs/CMakeLists.txt
           doxygen/CMakeLists.txt
           oficonv/data/CMakeLists.txt
           oflog/etc/CMakeLists.txt

- Fixed oficonv_data_files make target.
  Affects: oficonv/datasrc/Makefile.in

- Fixed oficonv_data_library make target.
  Affects: oficonv/data/Makefile.in

- Initial support for compiling oficonv with autoconf.
  Added:   oficonv/Makefile.in
           oficonv/apps/Makefile.dep
           oficonv/apps/Makefile.in
           oficonv/configure
           oficonv/data/Makefile.dep
           oficonv/data/Makefile.in
           oficonv/datasrc/Makefile.in
           oficonv/docs/Makefile.in
           oficonv/include/Makefile.in
           oficonv/libsrc/Makefile.dep
           oficonv/libsrc/Makefile.in
  Affects: Makefile
           config/modules
           dcmdata/apps/Makefile.in
           dcmdata/libsrc/Makefile.in
           dcmdata/tests/Makefile.in
           dcmect/tests/Makefile.in
           dcmfg/tests/Makefile.in
           dcmimage/apps/Makefile.in
           dcmimgle/apps/Makefile.in
           dcmiod/tests/Makefile.in
           dcmjpeg/apps/Makefile.in
           dcmjpls/apps/Makefile.in
           dcmnet/apps/Makefile.in
           dcmnet/tests/Makefile.in
           dcmpstat/apps/Makefile.in
           dcmpstat/tests/Makefile.in
           dcmqrdb/apps/Makefile.in
           dcmrt/apps/Makefile.in
           dcmrt/tests/Makefile.in
           dcmseg/tests/Makefile.in
           dcmsign/apps/Makefile.in
           dcmsr/apps/Makefile.in
           dcmsr/tests/Makefile.in
           dcmwlm/apps/Makefile.in
           dcmwlm/tests/Makefile.in
           oficonv/tests/Makefile.dep
           oficonv/tests/Makefile.in
           ofstd/libsrc/Makefile.in
           ofstd/tests/Makefile.in

- Use installation directories more consistently:
  The CMake install target now consistently uses the variables
  DCMTK_DEFAULT_DOC_DIR, DCMTK_DEFAULT_SUPPORT_DATA_DIR and
  DCMTK_DEFAULT_CONFIGURATION_DIR to determine the installation
  directories for support files. These variables are initialized
  using the CMake GNUInstallDirs package.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMakeLists.txt
           config/docs/CMakeLists.txt
           dcmdata/data/CMakeLists.txt
           dcmdata/docs/CMakeLists.txt
           dcmimgle/data/CMakeLists.txt
           dcmnet/docs/CMakeLists.txt
           dcmnet/etc/CMakeLists.txt
           dcmpstat/data/CMakeLists.txt
           dcmpstat/etc/CMakeLists.txt
           dcmqrdb/docs/CMakeLists.txt
           dcmqrdb/etc/CMakeLists.txt
           dcmsr/data/CMakeLists.txt
           dcmtls/docs/CMakeLists.txt
           dcmwlm/data/CMakeLists.txt
           dcmwlm/docs/CMakeLists.txt
           doxygen/CMakeLists.txt
           oficonv/data/CMakeLists.txt
           oflog/etc/CMakeLists.txt

**** Changes from 2022.06.09 (riesmeier)

- Added version number also to docdir:
  Added DCMTK version number also to the default value of configure option
  --docdir, which is e.g. used by --htmldir.
  Affects: config/autoall
           config/configure
           config/confmod

- Added version number to datadir and sysconfdir:
  Added DCMTK version number to the default value of configure options
  --datadir and --sysconfdir.
  Affects: config/autoall
           config/configure
           config/confmod

- Added support for --enable-charconv=oficonv:
  Added support for "./configure --enable-charconv=oficonv" to the GNU
  Autoconf system.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in

- Added define DCMTK_CHARSET_CONVERSION_OFICONV.
  Affects: CMake/osconfig.h.in

- Added configure tests needed by oficonv.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in

- Fixed indentation.
  Affects: dcmdata/libsrc/dcspchrs.cc

- Added missing "latin-9" to manpage documentation.
  Affects: dcmdata/docs/dcm2xml.man
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man

**** Changes from 2022.06.09 (eichelberg)

- Added support for ISO_IR 203 in libraries and tools:
  This closes DCMTK issue #1008.
  Affects: dcmdata/apps/dcm2xml.cc
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/xml2dcm.man
           dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/libdcxml/xml2dcm.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/tests/tspchrs.cc
           dcmnet/libsrc/dfindscu.cc
           dcmpstat/include/dcmtk/dcmpstat/dvpstyp.h
           dcmpstat/libsrc/dcmpstat.cc
           dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrtypes.cc

- Added support for ISO_IR 203 (ISO 8859-15).
  Affects: dcmdata/libsrc/dcspchrs.cc

- Additional fix for WITH_THREADS=OFF.
  Affects: oficonv/libsrc/citrus_lock.h

- Fixed oficonv compilation when WITH_THREADS=OFF.
  Affects: oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_lock.h
           oficonv/libsrc/citrus_mapper.c

- Fixed oficonv compilation as shared library:
  Added export/import declarations for all oficonv functions used from outside
  the oficonv library and fixed depencencies for a shared library build.
  Added:   oficonv/include/dcmtk/oficonv/oidefine.h
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/citrus_db_factory.h
           oficonv/libsrc/citrus_db_hash.h
           oficonv/libsrc/citrus_lookup_factory.h
           oficonv/libsrc/citrus_pivot_factory.h
           oficonv/libsrc/oficonv_strlcpy.h

- Renamed CMake variable:
  Renamed CMake variable XXD to XXD_EXECUTABLE to make the name more
  consistent with other CMake variables referring to executable binaries
  identified during the configure process.
  Affects: oficonv/datasrc/CMakeLists.txt

- Added CMake option DCMTK_ENABLE_BUILTIN_OFICONV_DATA:
  Added CMake option DCMTK_ENABLE_BUILTIN_OFICONV_DATA, which can be used to
  enable or disable the generation of an oficonv library with built-in
  character set mapping files. By default, the option is enabled when
  creating shared libraries, and disabled otherwise.
  Affects: CMake/dcmtkPrepare.cmake

- Added override for configuration and data dirs:
  The directories where DCMTK looks for configuration files and support
  data can now be replaced at configuration time by running CMake with
  the parameters -DDCMTK_DEFAULT_SUPPORT_DATA_DIR=/my/path/ and
  -DDCMTK_DEFAULT_CONFIGURATION_DIR=/my/path/, respectively. The manually
  configured path MUST end with a path separator ('/' on Posix platforms).
  Note: Similar functionality was available in the autoconf toolchain
  with the configure options --sysconfdir and --datadir.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Fixed minor warnings.
  Affects: oficonv/libsrc/oficonv_strcasestr.c
           oficonv/libsrc/oficonv_strlcpy.c
           oficonv/tests/ticonv.cc

- oficonv related fixes for Windows.
  Affects: ofstd/libsrc/ofstd.cc
           ofstd/tests/tchrenc.cc

- Fixed compilation with Clang on FreeBSD.
  Affects: oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_db.c
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_fix_grouping.h
           oficonv/libsrc/citrus_hash.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_lock.h
           oficonv/libsrc/citrus_lookup.c
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_memstream.h
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_strtol.h
           oficonv/libsrc/citrus_strtoul.h

- Added possibility to embed oficonv data in library:
  Added code that allows for the generation of an oficonv library
  where all data files are statically included and do not have
  to be loaded from the file system. This is useful primarily when
  oficonv is compiled into a shared library. This mode is activated
  when compiling with the macro DCMTK_ENABLE_BUILTIN_OFICONV_DATA.
  Note that DCMICONVPATH is still evaluated when this mode is active
  and can be used to override the built-in datasets at runtime.
  Added:   oficonv/libsrc/csmapper_charset_pivot_pvdb.h
           oficonv/libsrc/csmapper_cp_cp936ext_ucs_mps.h
           oficonv/libsrc/csmapper_cp_ucs_cp936ext_mps.h
           oficonv/libsrc/csmapper_gb_gb18030_ucs@bmp_mps.h
           oficonv/libsrc/csmapper_gb_gb2312_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gb2312ext_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gb2312gbk_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gb2312uda1_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gb2312uda2_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gbkext_ucs_mps.h
           oficonv/libsrc/csmapper_gb_gbkuda_ucs_mps.h
           oficonv/libsrc/csmapper_gb_ucs@bmp_gb18030_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gb2312_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gb2312ext_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gb2312uda1_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gb2312uda2_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gbkext_mps.h
           oficonv/libsrc/csmapper_gb_ucs_gbkuda_mps.h
           oficonv/libsrc/csmapper_iso646_iso646_jp_ucs_646.h
           oficonv/libsrc/csmapper_iso646_iso646_us_ucs_646.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_11_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_15_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_2_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_3_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_4_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_5_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_6_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_7_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_8_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_iso_8859_9_ucs_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_11_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_15_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_2_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_3_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_4_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_5_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_6_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_7_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_8_mps.h
           oficonv/libsrc/csmapper_iso_8859_ucs_iso_8859_9_mps.h
           oficonv/libsrc/csmapper_jis_jisx0201_kana_ucs_mps.h
           oficonv/libsrc/csmapper_jis_jisx0208@1990_ucs_mps.h
           oficonv/libsrc/csmapper_jis_jisx0212_ucs_mps.h
           oficonv/libsrc/csmapper_jis_ucs_jisx0201_kana_mps.h
           oficonv/libsrc/csmapper_jis_ucs_jisx0208@1990_mps.h
           oficonv/libsrc/csmapper_jis_ucs_jisx0212_mps.h
           oficonv/libsrc/csmapper_ks_ksc5601hangul_ucs_mps.h
           oficonv/libsrc/csmapper_ks_ksc5601hanja_ucs_mps.h
           oficonv/libsrc/csmapper_ks_ucs_ksc5601hangul_mps.h
           oficonv/libsrc/csmapper_ks_ucs_ksc5601hanja_mps.h
           oficonv/libsrc/csmapper_mapper_dir.h
           oficonv/libsrc/csmapper_mapper_dir_db.h
           oficonv/libsrc/data_csmapper.c
           oficonv/libsrc/data_csmapper.h
           oficonv/libsrc/data_esdb.c
           oficonv/libsrc/data_esdb.h
           oficonv/libsrc/esdb_esdb_alias_db.h
           oficonv/libsrc/esdb_esdb_dir_db.h
           oficonv/libsrc/esdb_euc_euc_cn_esdb.h
           oficonv/libsrc/esdb_euc_euc_kr_esdb.h
           oficonv/libsrc/esdb_gb_gb18030_esdb.h
           oficonv/libsrc/esdb_gb_gbk_esdb.h
           oficonv/libsrc/esdb_iso646_iso646_us_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_11_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_15_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_1_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_2_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_3_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_4_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_5_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_6_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_7_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_8_esdb.h
           oficonv/libsrc/esdb_iso_8859_iso_8859_9_esdb.h
           oficonv/libsrc/esdb_misc_jisx0201_kana_esdb.h
           oficonv/libsrc/esdb_misc_jisx0208@1990_esdb.h
           oficonv/libsrc/esdb_misc_jisx0212_esdb.h
           oficonv/libsrc/esdb_misc_shift_jis_esdb.h
           oficonv/libsrc/esdb_utf_utf_16_esdb.h
           oficonv/libsrc/esdb_utf_utf_16_internal_esdb.h
           oficonv/libsrc/esdb_utf_utf_16_swapped_esdb.h
           oficonv/libsrc/esdb_utf_utf_16be_esdb.h
           oficonv/libsrc/esdb_utf_utf_16le_esdb.h
           oficonv/libsrc/esdb_utf_utf_32_esdb.h
           oficonv/libsrc/esdb_utf_utf_32_internal_esdb.h
           oficonv/libsrc/esdb_utf_utf_32_swapped_esdb.h
           oficonv/libsrc/esdb_utf_utf_32be_esdb.h
           oficonv/libsrc/esdb_utf_utf_32le_esdb.h
           oficonv/libsrc/esdb_utf_utf_8_esdb.h
  Affects: oficonv/datasrc/CMakeLists.txt
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_mmap.h
           oficonv/libsrc/citrus_region.h

- Emulate libiconv behavior when using oficonv:
  By default, GNU libiconv initializes a conversion descriptor with
  transliteration disabled (i.e. a conversion will stop with an error
  if a character cannot be mapped to an equivalent counterpart in the
  target character set). In oficonv this mode is not available but a
  very similar behavior can be activated by configuring the
  ICONV_SET_ILSEQ_INVALID mode. This is now done by default when using
  oficonv.
  Affects: ofstd/libsrc/ofchrenc.cc
           ofstd/tests/tchrenc.cc

- Default directory macros now contain version number:
  The macros DEFAULT_SUPPORT_DATA_DIR and DEFAULT_CONFIGURATION_DIR now
  contain the DCMTK release number in the path when compiled on Posix systems
  (e.g. /usr/local/share/dcmtk-3.6.7/) and also have a value when compiled
  on Windows (e.g. %PROGRAMDATA%\dcmtk-3.6.7\share\). This allows multiple
  versions of DCMTK to be installed in parallel, without generating conflicts
  for dicom.dic and other data and configuration files.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Merge with latest changing in testing branch.
  Affects: dcmdata/apps/dcm2xml.cc
           dcmdata/libsrc/dcdict.cc
           dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/apps/dcmqrti.cc
           ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Expand environment vars in DCMICONVPATH on Windows:
  When running on Windows, expand environment variables such as %PROGRAMDATA%
  in the DCMICONVPATH environment variable and in the default path for
  oficonv data files.
  Affects: oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/tests/ticonv.cc

- Fixed OFlocale_charset() on Windows.
  Affects: oficonv/libsrc/oficonv_iconv.c

- Adapted charset conversion test for oficonv:
  Adapted one charset conversion tests where the transliteration
  feature of oficonv works differently than libiconv.
  Affects: dcmdata/tests/tspchrs.cc

- Use DCMICONVPATH environment variable for unit tests:
  Use DCMICONVPATH environment variable to make sure the unit tests
  (make test) can be executed without prior installation of DCMTK.
  Affects: CMake/CTest/CTestCustomWine.cmake.in
           CMake/CTest/dcmtkCTestRun.cmake.in
           CMake/CTest/dcmtkCTestRunAndroid.cmake.in
           CMake/CTest/dcmtkCTestRunWine.cmake.in
           CMakeLists.txt
           oficonv/data/CMakeLists.txt

- Completed unit test for OFiconvctl().
  Affects: oficonv/tests/tables_invalids.h
           oficonv/tests/ticonv.cc

- Introduced environment variable DCMICONVPATH:
  Introduced an environment variable named DCMICONVPATH that can be used to specify
  an oficonv data directory other than the DEFAULT_SUPPORT_DATA_DIR,
  which defaults to "/usr/local/share/dcmtk" on Posix platforms.
  Affects: config/docs/envvars.txt
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_esdb.c

- Added initial unit test for OFiconvctl().
  Affects: oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc
  Renamed: oficonv/tests/tables_error.h
         -> oficonv/tests/tables_invalids.h

- Added unit test for OF__iconv():
  Added unit test that checks how OFiconv() and OF__iconv() handle the conversion
  of source sequences that contain both valid characters that cannot be mapped
  to the target character set and invalid source sequences.
  Affects: oficonv/tests/tables_error.h
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Followed API change in libiconv.
  Affects: ofstd/libsrc/ofchrenc.cc

- Refactored unit tests.
  Added:   oficonv/tests/oficonv_tests.cc
           oficonv/tests/oficonv_tests.h
           oficonv/tests/tables_error.h
           oficonv/tests/ticonv_chinese.cc
           oficonv/tests/ticonv_iso8859.cc
           oficonv/tests/ticonv_japanese.cc
           oficonv/tests/ticonv_korean.cc
  Affects: oficonv/tests/CMakeLists.txt
           oficonv/tests/tables_jis_x0201.h
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Added function OFiconv_close_in():
  Added function OFiconv_close_in() that closes a conversion descriptor
  created with OFiconv_open_into(). Apparently, in the citrus iconv
  implementation so such function was available and calls to
  OFiconv_open_into() created a resource leak. Also added more
  doxygen API documentation.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/oficonv_iconv.c

- Added binary iconv data files:
  Added binary iconv data files to the git repository. These files can be
  re-generated using the oficonv_data_files custom target in oficonv/datasrc.
  Added:   oficonv/data/.gitattributes
           oficonv/data/CMakeLists.txt
           oficonv/data/csmapper/CP/CP936EXT%UCS.mps
           oficonv/data/csmapper/CP/UCS%CP936EXT.mps
           oficonv/data/csmapper/GB/GB18030%UCS@BMP.mps
           oficonv/data/csmapper/GB/GB2312%UCS.mps
           oficonv/data/csmapper/GB/GB2312EXT%UCS.mps
           oficonv/data/csmapper/GB/GB2312GBK%UCS.mps
           oficonv/data/csmapper/GB/GB2312UDA1%UCS.mps
           oficonv/data/csmapper/GB/GB2312UDA2%UCS.mps
           oficonv/data/csmapper/GB/GBKEXT%UCS.mps
           oficonv/data/csmapper/GB/GBKUDA%UCS.mps
           oficonv/data/csmapper/GB/UCS%GB2312.mps
           oficonv/data/csmapper/GB/UCS%GB2312EXT.mps
           oficonv/data/csmapper/GB/UCS%GB2312UDA1.mps
           oficonv/data/csmapper/GB/UCS%GB2312UDA2.mps
           oficonv/data/csmapper/GB/UCS%GBKEXT.mps
           oficonv/data/csmapper/GB/UCS%GBKUDA.mps
           oficonv/data/csmapper/GB/UCS@BMP%GB18030.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-11%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-15%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-2%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-3%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-4%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-5%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-6%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-7%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-8%UCS.mps
           oficonv/data/csmapper/ISO-8859/ISO-8859-9%UCS.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-11.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-15.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-2.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-3.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-4.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-5.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-6.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-7.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-8.mps
           oficonv/data/csmapper/ISO-8859/UCS%ISO-8859-9.mps
           oficonv/data/csmapper/ISO646/ISO646-JP%UCS.646
           oficonv/data/csmapper/ISO646/ISO646-US%UCS.646
           oficonv/data/csmapper/JIS/JISX0201-KANA%UCS.mps
           oficonv/data/csmapper/JIS/JISX0208@1990%UCS.mps
           oficonv/data/csmapper/JIS/JISX0212%UCS.mps
           oficonv/data/csmapper/JIS/UCS%JISX0201-KANA.mps
           oficonv/data/csmapper/JIS/UCS%JISX0208@1990.mps
           oficonv/data/csmapper/JIS/UCS%JISX0212.mps
           oficonv/data/csmapper/KS/KSC5601HANGUL%UCS.mps
           oficonv/data/csmapper/KS/KSC5601HANJA%UCS.mps
           oficonv/data/csmapper/KS/UCS%KSC5601HANGUL.mps
           oficonv/data/csmapper/KS/UCS%KSC5601HANJA.mps
           oficonv/data/csmapper/charset.pivot.pvdb
           oficonv/data/csmapper/mapper.dir
           oficonv/data/csmapper/mapper.dir.db
           oficonv/data/esdb/EUC/EUC-CN.esdb
           oficonv/data/esdb/EUC/EUC-KR.esdb
           oficonv/data/esdb/GB/GB18030.esdb
           oficonv/data/esdb/GB/GBK.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-1.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-11.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-15.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-2.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-3.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-4.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-5.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-6.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-7.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-8.esdb
           oficonv/data/esdb/ISO-8859/ISO-8859-9.esdb
           oficonv/data/esdb/ISO646/ISO646-US.esdb
           oficonv/data/esdb/MISC/JISX0201-KANA.esdb
           oficonv/data/esdb/MISC/JISX0208@1990.esdb
           oficonv/data/esdb/MISC/JISX0212.esdb
           oficonv/data/esdb/MISC/Shift_JIS.esdb
           oficonv/data/esdb/UTF/UTF-16-INTERNAL.esdb
           oficonv/data/esdb/UTF/UTF-16-SWAPPED.esdb
           oficonv/data/esdb/UTF/UTF-16.esdb
           oficonv/data/esdb/UTF/UTF-16BE.esdb
           oficonv/data/esdb/UTF/UTF-16LE.esdb
           oficonv/data/esdb/UTF/UTF-32-INTERNAL.esdb
           oficonv/data/esdb/UTF/UTF-32-SWAPPED.esdb
           oficonv/data/esdb/UTF/UTF-32.esdb
           oficonv/data/esdb/UTF/UTF-32BE.esdb
           oficonv/data/esdb/UTF/UTF-32LE.esdb
           oficonv/data/esdb/UTF/UTF-8.esdb
           oficonv/data/esdb/esdb.alias.db
           oficonv/data/esdb/esdb.dir.db
  Affects: oficonv/CMakeLists.txt

- Added oficonv unit tests:
  Added unit tests for OFiconv_canonicalize(), OF__iconv_get_list(),
  and OFiconvlist().
  Affects: oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Added documentation.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h

- Fixed function name:
  Fixed function name of OFiconv_canonicalize() in the implementation file.
  Affects: oficonv/libsrc/oficonv_iconv.c

- Fixed unit tests on Windows.
  Affects: oficonv/tests/ticonv.cc

- Added test for presence of <err.h>.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Ported oficonv apps to Windows:
  Ported the oficonv support tools "mkesdb" and "mkcsmapper" to Windows.
  Affects: oficonv/apps/mkcsmapper.l
           oficonv/apps/mkcsmapper.y
           oficonv/apps/mkcsmapper_bison.cc
           oficonv/apps/mkcsmapper_bison.h
           oficonv/apps/mkcsmapper_flex.cc
           oficonv/apps/mkcsmapper_ldef.h
           oficonv/apps/mkesdb.l
           oficonv/apps/mkesdb.y
           oficonv/apps/mkesdb_bison.cc
           oficonv/apps/mkesdb_bison.h
           oficonv/apps/mkesdb_flex.cc
           oficonv/apps/mkesdb_ldef.h

- Moved queue implementation to include directory:
  Moved the header file containing the queue macros (which are needed on
  platforms where <sys/queue.h> is not available) to the oficonv/include
  directory since it is needed by the command line tools in apps.
  Affects: oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_hash.h
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iconv_std_local.h
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/oficonv_iconv.c
  Renamed: oficonv/libsrc/oficonv_queue.h
         -> oficonv/include/dcmtk/oficonv/queue.h

- Code cleanup.
  Affects: oficonv/tests/ticonv.cc

- Removed unneeded oficonv datasrc files:
  Removed all data source files from module oficonv that are related to
  character sets not supported by the DICOM standard, with the exception
  of UTF-16 and UTF-32 encoding, which has been retained in the module.
  This significantly reduces the size of the data file directories.
  Affects: oficonv/datasrc/CMakeLists.txt
           oficonv/datasrc/csmapper/charset.pivot
           oficonv/datasrc/csmapper/mapper.dir
           oficonv/datasrc/esdb/esdb.alias
           oficonv/datasrc/esdb/esdb.dir
  Removed: oficonv/datasrc/csmapper/CP/CP037%UCS.src
           oficonv/datasrc/csmapper/CP/CP038%UCS.src
           oficonv/datasrc/csmapper/CP/CP10000%UCS.src
           oficonv/datasrc/csmapper/CP/CP10006%UCS.src
           oficonv/datasrc/csmapper/CP/CP10007%UCS.src
           oficonv/datasrc/csmapper/CP/CP10029%UCS.src
           oficonv/datasrc/csmapper/CP/CP1006%UCS.src
           oficonv/datasrc/csmapper/CP/CP10079%UCS.src
           oficonv/datasrc/csmapper/CP/CP10081%UCS.src
           oficonv/datasrc/csmapper/CP/CP1026%UCS.src
           oficonv/datasrc/csmapper/CP/CP1046%UCS.src
           oficonv/datasrc/csmapper/CP/CP1124%UCS.src
           oficonv/datasrc/csmapper/CP/CP1125%UCS.src
           oficonv/datasrc/csmapper/CP/CP1129%UCS.src
           oficonv/datasrc/csmapper/CP/CP1131%UCS.src
           oficonv/datasrc/csmapper/CP/CP1133%UCS.src
           oficonv/datasrc/csmapper/CP/CP1161%UCS.src
           oficonv/datasrc/csmapper/CP/CP1162%UCS.src
           oficonv/datasrc/csmapper/CP/CP1163%UCS.src
           oficonv/datasrc/csmapper/CP/CP1250%UCS.src
           oficonv/datasrc/csmapper/CP/CP1251%UCS.src
           oficonv/datasrc/csmapper/CP/CP1252%UCS.src
           oficonv/datasrc/csmapper/CP/CP1253%UCS.src
           oficonv/datasrc/csmapper/CP/CP1254%UCS.src
           oficonv/datasrc/csmapper/CP/CP1255%UCS.src
           oficonv/datasrc/csmapper/CP/CP1256%UCS.src
           oficonv/datasrc/csmapper/CP/CP1257%UCS.src
           oficonv/datasrc/csmapper/CP/CP1258%UCS.src
           oficonv/datasrc/csmapper/CP/CP273%UCS.src
           oficonv/datasrc/csmapper/CP/CP274%UCS.src
           oficonv/datasrc/csmapper/CP/CP275%UCS.src
           oficonv/datasrc/csmapper/CP/CP277%UCS.src
           oficonv/datasrc/csmapper/CP/CP278%UCS.src
           oficonv/datasrc/csmapper/CP/CP280%UCS.src
           oficonv/datasrc/csmapper/CP/CP281%UCS.src
           oficonv/datasrc/csmapper/CP/CP284%UCS.src
           oficonv/datasrc/csmapper/CP/CP285%UCS.src
           oficonv/datasrc/csmapper/CP/CP290%UCS.src
           oficonv/datasrc/csmapper/CP/CP297%UCS.src
           oficonv/datasrc/csmapper/CP/CP420%UCS.src
           oficonv/datasrc/csmapper/CP/CP423%UCS.src
           oficonv/datasrc/csmapper/CP/CP424%UCS.src
           oficonv/datasrc/csmapper/CP/CP437%UCS.src
           oficonv/datasrc/csmapper/CP/CP500%UCS.src
           oficonv/datasrc/csmapper/CP/CP737%UCS.src
           oficonv/datasrc/csmapper/CP/CP775%UCS.src
           oficonv/datasrc/csmapper/CP/CP850%UCS.src
           oficonv/datasrc/csmapper/CP/CP851%UCS.src
           oficonv/datasrc/csmapper/CP/CP852%UCS.src
           oficonv/datasrc/csmapper/CP/CP853%UCS.src
           oficonv/datasrc/csmapper/CP/CP855%UCS.src
           oficonv/datasrc/csmapper/CP/CP856%UCS.src
           oficonv/datasrc/csmapper/CP/CP857%UCS.src
           oficonv/datasrc/csmapper/CP/CP858%UCS.src
           oficonv/datasrc/csmapper/CP/CP860%UCS.src
           oficonv/datasrc/csmapper/CP/CP861%UCS.src
           oficonv/datasrc/csmapper/CP/CP862%UCS.src
           oficonv/datasrc/csmapper/CP/CP863%UCS.src
           oficonv/datasrc/csmapper/CP/CP864%UCS.src
           oficonv/datasrc/csmapper/CP/CP865%UCS.src
           oficonv/datasrc/csmapper/CP/CP866%UCS.src
           oficonv/datasrc/csmapper/CP/CP868%UCS.src
           oficonv/datasrc/csmapper/CP/CP869%UCS.src
           oficonv/datasrc/csmapper/CP/CP870%UCS.src
           oficonv/datasrc/csmapper/CP/CP871%UCS.src
           oficonv/datasrc/csmapper/CP/CP874%UCS.src
           oficonv/datasrc/csmapper/CP/CP875%UCS.src
           oficonv/datasrc/csmapper/CP/CP880%UCS.src
           oficonv/datasrc/csmapper/CP/CP891%UCS.src
           oficonv/datasrc/csmapper/CP/CP903%UCS.src
           oficonv/datasrc/csmapper/CP/CP904%UCS.src
           oficonv/datasrc/csmapper/CP/CP905%UCS.src
           oficonv/datasrc/csmapper/CP/CP918%UCS.src
           oficonv/datasrc/csmapper/CP/CP922%UCS.src
           oficonv/datasrc/csmapper/CP/CP932UDA%UCS.src
           oficonv/datasrc/csmapper/CP/CP932VDC@IBM%UCS.src
           oficonv/datasrc/csmapper/CP/CP932VDC@NEC_IBM%UCS.src
           oficonv/datasrc/csmapper/CP/CP942EXT%UCS.src
           oficonv/datasrc/csmapper/CP/CP949EXT%UCS.src
           oficonv/datasrc/csmapper/CP/CP950%UCS.src
           oficonv/datasrc/csmapper/CP/UCS%CP037.src
           oficonv/datasrc/csmapper/CP/UCS%CP038.src
           oficonv/datasrc/csmapper/CP/UCS%CP10000.src
           oficonv/datasrc/csmapper/CP/UCS%CP10006.src
           oficonv/datasrc/csmapper/CP/UCS%CP10007.src
           oficonv/datasrc/csmapper/CP/UCS%CP10029.src
           oficonv/datasrc/csmapper/CP/UCS%CP1006.src
           oficonv/datasrc/csmapper/CP/UCS%CP10079.src
           oficonv/datasrc/csmapper/CP/UCS%CP10081.src
           oficonv/datasrc/csmapper/CP/UCS%CP1026.src
           oficonv/datasrc/csmapper/CP/UCS%CP1046.src
           oficonv/datasrc/csmapper/CP/UCS%CP1124.src
           oficonv/datasrc/csmapper/CP/UCS%CP1125.src
           oficonv/datasrc/csmapper/CP/UCS%CP1129.src
           oficonv/datasrc/csmapper/CP/UCS%CP1131.src
           oficonv/datasrc/csmapper/CP/UCS%CP1133.src
           oficonv/datasrc/csmapper/CP/UCS%CP1161.src
           oficonv/datasrc/csmapper/CP/UCS%CP1162.src
           oficonv/datasrc/csmapper/CP/UCS%CP1163.src
           oficonv/datasrc/csmapper/CP/UCS%CP1250.src
           oficonv/datasrc/csmapper/CP/UCS%CP1251.src
           oficonv/datasrc/csmapper/CP/UCS%CP1252.src
           oficonv/datasrc/csmapper/CP/UCS%CP1253.src
           oficonv/datasrc/csmapper/CP/UCS%CP1254.src
           oficonv/datasrc/csmapper/CP/UCS%CP1255.src
           oficonv/datasrc/csmapper/CP/UCS%CP1256.src
           oficonv/datasrc/csmapper/CP/UCS%CP1257.src
           oficonv/datasrc/csmapper/CP/UCS%CP1258.src
           oficonv/datasrc/csmapper/CP/UCS%CP273.src
           oficonv/datasrc/csmapper/CP/UCS%CP274.src
           oficonv/datasrc/csmapper/CP/UCS%CP275.src
           oficonv/datasrc/csmapper/CP/UCS%CP277.src
           oficonv/datasrc/csmapper/CP/UCS%CP278.src
           oficonv/datasrc/csmapper/CP/UCS%CP280.src
           oficonv/datasrc/csmapper/CP/UCS%CP281.src
           oficonv/datasrc/csmapper/CP/UCS%CP284.src
           oficonv/datasrc/csmapper/CP/UCS%CP285.src
           oficonv/datasrc/csmapper/CP/UCS%CP290.src
           oficonv/datasrc/csmapper/CP/UCS%CP297.src
           oficonv/datasrc/csmapper/CP/UCS%CP420.src
           oficonv/datasrc/csmapper/CP/UCS%CP423.src
           oficonv/datasrc/csmapper/CP/UCS%CP424.src
           oficonv/datasrc/csmapper/CP/UCS%CP437.src
           oficonv/datasrc/csmapper/CP/UCS%CP500.src
           oficonv/datasrc/csmapper/CP/UCS%CP737.src
           oficonv/datasrc/csmapper/CP/UCS%CP775.src
           oficonv/datasrc/csmapper/CP/UCS%CP850.src
           oficonv/datasrc/csmapper/CP/UCS%CP851.src
           oficonv/datasrc/csmapper/CP/UCS%CP852.src
           oficonv/datasrc/csmapper/CP/UCS%CP853.src
           oficonv/datasrc/csmapper/CP/UCS%CP855.src
           oficonv/datasrc/csmapper/CP/UCS%CP856.src
           oficonv/datasrc/csmapper/CP/UCS%CP857.src
           oficonv/datasrc/csmapper/CP/UCS%CP858.src
           oficonv/datasrc/csmapper/CP/UCS%CP860.src
           oficonv/datasrc/csmapper/CP/UCS%CP861.src
           oficonv/datasrc/csmapper/CP/UCS%CP862.src
           oficonv/datasrc/csmapper/CP/UCS%CP863.src
           oficonv/datasrc/csmapper/CP/UCS%CP864.src
           oficonv/datasrc/csmapper/CP/UCS%CP865.src
           oficonv/datasrc/csmapper/CP/UCS%CP866.src
           oficonv/datasrc/csmapper/CP/UCS%CP868.src
           oficonv/datasrc/csmapper/CP/UCS%CP869.src
           oficonv/datasrc/csmapper/CP/UCS%CP870.src
           oficonv/datasrc/csmapper/CP/UCS%CP871.src
           oficonv/datasrc/csmapper/CP/UCS%CP874.src
           oficonv/datasrc/csmapper/CP/UCS%CP875.src
           oficonv/datasrc/csmapper/CP/UCS%CP880.src
           oficonv/datasrc/csmapper/CP/UCS%CP891.src
           oficonv/datasrc/csmapper/CP/UCS%CP903.src
           oficonv/datasrc/csmapper/CP/UCS%CP904.src
           oficonv/datasrc/csmapper/CP/UCS%CP905.src
           oficonv/datasrc/csmapper/CP/UCS%CP918.src
           oficonv/datasrc/csmapper/CP/UCS%CP922.src
           oficonv/datasrc/csmapper/CP/UCS%CP932UDA.src
           oficonv/datasrc/csmapper/CP/UCS%CP932VDC@IBM.src
           oficonv/datasrc/csmapper/CP/UCS%CP932VDC@NEC_IBM.src
           oficonv/datasrc/csmapper/CP/UCS%CP942EXT.src
           oficonv/datasrc/csmapper/CP/UCS%CP949EXT.src
           oficonv/datasrc/csmapper/CP/UCS%CP950.src
           oficonv/datasrc/csmapper/ISO646/ISO646-BASIC@1983%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CA%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CA2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CN%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CU%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-DE%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-DK%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-ES%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-ES2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FI%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FR%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FR1%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-GB%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-HU%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-IRV@1983%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-IT%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-JP-OCR-B%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-KR%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-NO%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-NO2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-PT%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-PT2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-SE%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-SE2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-YU%UCS.646
           oficonv/datasrc/csmapper/JIS/JISX0208@1978%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208@MS%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208UDC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208VDC@NEC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212@MS%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212UDC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212VDC@IBM%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0213-1%UCS@BMP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-1%UCS@SIP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-2%UCS@BMP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-2%UCS@SIP.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208@1978.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208@MS.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208UDC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208VDC@NEC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212@MS.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212UDC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212VDC@IBM.src
           oficonv/datasrc/csmapper/JIS/UCS@BMP%JISX0213-1.src
           oficonv/datasrc/csmapper/JIS/UCS@BMP%JISX0213-2.src
           oficonv/datasrc/csmapper/JIS/UCS@SIP%JISX0213-1.src
           oficonv/datasrc/csmapper/JIS/UCS@SIP%JISX0213-2.src
           oficonv/datasrc/esdb/CP/CP.src
           oficonv/datasrc/esdb/CP/CP50220.src
           oficonv/datasrc/esdb/CP/CP50221.src
           oficonv/datasrc/esdb/CP/CP50222.src
           oficonv/datasrc/esdb/CP/CP51932.src
           oficonv/datasrc/esdb/CP/CP932.src
           oficonv/datasrc/esdb/CP/CP936.src
           oficonv/datasrc/esdb/CP/CP942.src
           oficonv/datasrc/esdb/CP/CP942C.src
           oficonv/datasrc/esdb/CP/CP943.src
           oficonv/datasrc/esdb/CP/CP943C.src
           oficonv/datasrc/esdb/CP/CP949.src
           oficonv/datasrc/esdb/CP/CP950.src
           oficonv/datasrc/esdb/EUC/EUC-JIS-2004.src
           oficonv/datasrc/esdb/EUC/EUC-JP-MS.src
           oficonv/datasrc/esdb/EUC/EUC-JP.src
           oficonv/datasrc/esdb/EUC/EUC-TW.src
           oficonv/datasrc/esdb/GB/GB12345.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-CN-EXT.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-CN.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-1.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-2.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-2004.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-KR.src
           oficonv/datasrc/esdb/MISC/C99.src
           oficonv/datasrc/esdb/MISC/CTEXT.src
           oficonv/datasrc/esdb/MISC/ISO-IR-165.src
           oficonv/datasrc/esdb/MISC/JAVA.src
           oficonv/datasrc/esdb/MISC/Shift_JIS-2004.src

- Added logger callback for oficonv calls:
  Added callback that forwards oficonv log messages to the oflog based
  dcmdata logger.
  Affects: dcmdata/libsrc/dcspchrs.cc

- Added oficonv unit tests for ISO 8859-15.
  Affects: oficonv/tests/tables_iso8859.h
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Added CMake tests for fgetln() and strcasecmp():
  Added CMake tests that check if the BSD functions strcasecmp()
  and fgetln() are available.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Added support for ISO 8859-15 (Latin-9).
  Added:   oficonv/datasrc/csmapper/ISO-8859/ISO-8859-15%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-15.src
  Affects: oficonv/datasrc/CMakeLists.txt
           oficonv/datasrc/csmapper/charset.pivot
           oficonv/datasrc/csmapper/mapper.dir
           oficonv/datasrc/esdb/esdb.alias
           oficonv/datasrc/esdb/esdb.dir

- Code cleanup in oficonv module:
  Cleaned up code in oficonv module and added callback function for logging.
  Added:   oficonv/libsrc/oficonv_logger.c
           oficonv/libsrc/oficonv_logger.h
  Affects: oficonv/apps/mkcsmapper.l
           oficonv/apps/mkcsmapper_flex.cc
           oficonv/apps/mkesdb.l
           oficonv/apps/mkesdb_flex.cc
           oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/citrus_bcs_strtol.c
           oficonv/libsrc/citrus_bcs_strtoul.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/oficonv_queue.h
           oficonv/libsrc/windows_mmap.h
  Renamed: oficonv/libsrc/_strtol.h
         -> oficonv/libsrc/citrus_strtol.h
           oficonv/libsrc/_strtoul.h
         -> oficonv/libsrc/citrus_strtoul.h
           oficonv/libsrc/iconv.c
         -> oficonv/libsrc/oficonv_iconv.c
           oficonv/libsrc/strcasestr.c
         -> oficonv/libsrc/oficonv_strcasestr.c
           oficonv/libsrc/strcasestr.h
         -> oficonv/libsrc/oficonv_strcasestr.h
           oficonv/libsrc/strlcpy.c
         -> oficonv/libsrc/oficonv_strlcpy.c
           oficonv/libsrc/strlcpy.h
         -> oficonv/libsrc/oficonv_strlcpy.h

- Added unit tests for GB18030 character set.
  Added:   oficonv/tests/tables_gb18030.h
  Affects: oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Avoid creation of unneeded data files.
  Affects: oficonv/datasrc/CMakeLists.txt

- Removed dead code.
  Affects: oficonv/datasrc/csmapper/GB/GB18030%UCS@BMP.src

- Added support for JIS X0212 (ISO-IR 159):
  Added working support for JIS X0212 (ISO-IR 159), which was broken in the
  original citrus iconv library. Also added unit tests for JIS X0212.
  Added:   oficonv/datasrc/esdb/MISC/JISX0212.src
           oficonv/tests/tables_jis_x0212.h
  Affects: oficonv/datasrc/CMakeLists.txt
           oficonv/datasrc/esdb/esdb.alias
           oficonv/datasrc/esdb/esdb.dir
           oficonv/tests/tables_jis_x0208.h
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Added oficonv tools mkcsmapper and mkesdb:
  Added two command line tools named 'mkcsmapper' and 'mkesdb' in module
  oficonv that can be used to convert the data source files in
  oficonv/datasrc to the binary format expected by the oficonv library.
  The tools have been directly ported from their FreeBSD source, and the
  file format produced remains compatible with the BSD citrus iconv library.
  Added:   oficonv/apps/CMakeLists.txt
           oficonv/apps/mkcsmapper.l
           oficonv/apps/mkcsmapper.y
           oficonv/apps/mkcsmapper_bison.cc
           oficonv/apps/mkcsmapper_bison.h
           oficonv/apps/mkcsmapper_flex.cc
           oficonv/apps/mkcsmapper_ldef.h
           oficonv/apps/mkesdb.l
           oficonv/apps/mkesdb.y
           oficonv/apps/mkesdb_bison.cc
           oficonv/apps/mkesdb_bison.h
           oficonv/apps/mkesdb_flex.cc
           oficonv/apps/mkesdb_ldef.h
           oficonv/docs/mkcsmapper.man
           oficonv/docs/mkesdb.man

- Added support for JIS X0208 (ISO-IR 87):
  Added working support for JIS X0208 (ISO-IR 87), which was broken in the
  original citrus iconv library. Also added unit tests for JIS X0208.
  Added:   oficonv/libsrc/citrus_jisx0208.c
           oficonv/libsrc/citrus_jisx0208.h
  Affects: oficonv/datasrc/esdb/MISC/JISX0208@1990.src
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/strcasestr.h
           oficonv/libsrc/strlcpy.h
           oficonv/tests/tables_jis_x0208.h
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Added initial version of oficonv/datasrc:
  Added an initial version of the source tree from which the binary character
  set mapping files of oficonv are generated.
  Added:   oficonv/datasrc/CMakeLists.txt
           oficonv/datasrc/csmapper/CP/CP037%UCS.src
           oficonv/datasrc/csmapper/CP/CP038%UCS.src
           oficonv/datasrc/csmapper/CP/CP10000%UCS.src
           oficonv/datasrc/csmapper/CP/CP10006%UCS.src
           oficonv/datasrc/csmapper/CP/CP10007%UCS.src
           oficonv/datasrc/csmapper/CP/CP10029%UCS.src
           oficonv/datasrc/csmapper/CP/CP1006%UCS.src
           oficonv/datasrc/csmapper/CP/CP10079%UCS.src
           oficonv/datasrc/csmapper/CP/CP10081%UCS.src
           oficonv/datasrc/csmapper/CP/CP1026%UCS.src
           oficonv/datasrc/csmapper/CP/CP1046%UCS.src
           oficonv/datasrc/csmapper/CP/CP1124%UCS.src
           oficonv/datasrc/csmapper/CP/CP1125%UCS.src
           oficonv/datasrc/csmapper/CP/CP1129%UCS.src
           oficonv/datasrc/csmapper/CP/CP1131%UCS.src
           oficonv/datasrc/csmapper/CP/CP1133%UCS.src
           oficonv/datasrc/csmapper/CP/CP1161%UCS.src
           oficonv/datasrc/csmapper/CP/CP1162%UCS.src
           oficonv/datasrc/csmapper/CP/CP1163%UCS.src
           oficonv/datasrc/csmapper/CP/CP1250%UCS.src
           oficonv/datasrc/csmapper/CP/CP1251%UCS.src
           oficonv/datasrc/csmapper/CP/CP1252%UCS.src
           oficonv/datasrc/csmapper/CP/CP1253%UCS.src
           oficonv/datasrc/csmapper/CP/CP1254%UCS.src
           oficonv/datasrc/csmapper/CP/CP1255%UCS.src
           oficonv/datasrc/csmapper/CP/CP1256%UCS.src
           oficonv/datasrc/csmapper/CP/CP1257%UCS.src
           oficonv/datasrc/csmapper/CP/CP1258%UCS.src
           oficonv/datasrc/csmapper/CP/CP273%UCS.src
           oficonv/datasrc/csmapper/CP/CP274%UCS.src
           oficonv/datasrc/csmapper/CP/CP275%UCS.src
           oficonv/datasrc/csmapper/CP/CP277%UCS.src
           oficonv/datasrc/csmapper/CP/CP278%UCS.src
           oficonv/datasrc/csmapper/CP/CP280%UCS.src
           oficonv/datasrc/csmapper/CP/CP281%UCS.src
           oficonv/datasrc/csmapper/CP/CP284%UCS.src
           oficonv/datasrc/csmapper/CP/CP285%UCS.src
           oficonv/datasrc/csmapper/CP/CP290%UCS.src
           oficonv/datasrc/csmapper/CP/CP297%UCS.src
           oficonv/datasrc/csmapper/CP/CP420%UCS.src
           oficonv/datasrc/csmapper/CP/CP423%UCS.src
           oficonv/datasrc/csmapper/CP/CP424%UCS.src
           oficonv/datasrc/csmapper/CP/CP437%UCS.src
           oficonv/datasrc/csmapper/CP/CP500%UCS.src
           oficonv/datasrc/csmapper/CP/CP737%UCS.src
           oficonv/datasrc/csmapper/CP/CP775%UCS.src
           oficonv/datasrc/csmapper/CP/CP850%UCS.src
           oficonv/datasrc/csmapper/CP/CP851%UCS.src
           oficonv/datasrc/csmapper/CP/CP852%UCS.src
           oficonv/datasrc/csmapper/CP/CP853%UCS.src
           oficonv/datasrc/csmapper/CP/CP855%UCS.src
           oficonv/datasrc/csmapper/CP/CP856%UCS.src
           oficonv/datasrc/csmapper/CP/CP857%UCS.src
           oficonv/datasrc/csmapper/CP/CP858%UCS.src
           oficonv/datasrc/csmapper/CP/CP860%UCS.src
           oficonv/datasrc/csmapper/CP/CP861%UCS.src
           oficonv/datasrc/csmapper/CP/CP862%UCS.src
           oficonv/datasrc/csmapper/CP/CP863%UCS.src
           oficonv/datasrc/csmapper/CP/CP864%UCS.src
           oficonv/datasrc/csmapper/CP/CP865%UCS.src
           oficonv/datasrc/csmapper/CP/CP866%UCS.src
           oficonv/datasrc/csmapper/CP/CP868%UCS.src
           oficonv/datasrc/csmapper/CP/CP869%UCS.src
           oficonv/datasrc/csmapper/CP/CP870%UCS.src
           oficonv/datasrc/csmapper/CP/CP871%UCS.src
           oficonv/datasrc/csmapper/CP/CP874%UCS.src
           oficonv/datasrc/csmapper/CP/CP875%UCS.src
           oficonv/datasrc/csmapper/CP/CP880%UCS.src
           oficonv/datasrc/csmapper/CP/CP891%UCS.src
           oficonv/datasrc/csmapper/CP/CP903%UCS.src
           oficonv/datasrc/csmapper/CP/CP904%UCS.src
           oficonv/datasrc/csmapper/CP/CP905%UCS.src
           oficonv/datasrc/csmapper/CP/CP918%UCS.src
           oficonv/datasrc/csmapper/CP/CP922%UCS.src
           oficonv/datasrc/csmapper/CP/CP932UDA%UCS.src
           oficonv/datasrc/csmapper/CP/CP932VDC@IBM%UCS.src
           oficonv/datasrc/csmapper/CP/CP932VDC@NEC_IBM%UCS.src
           oficonv/datasrc/csmapper/CP/CP936EXT%UCS.src
           oficonv/datasrc/csmapper/CP/CP942EXT%UCS.src
           oficonv/datasrc/csmapper/CP/CP949EXT%UCS.src
           oficonv/datasrc/csmapper/CP/CP950%UCS.src
           oficonv/datasrc/csmapper/CP/UCS%CP037.src
           oficonv/datasrc/csmapper/CP/UCS%CP038.src
           oficonv/datasrc/csmapper/CP/UCS%CP10000.src
           oficonv/datasrc/csmapper/CP/UCS%CP10006.src
           oficonv/datasrc/csmapper/CP/UCS%CP10007.src
           oficonv/datasrc/csmapper/CP/UCS%CP10029.src
           oficonv/datasrc/csmapper/CP/UCS%CP1006.src
           oficonv/datasrc/csmapper/CP/UCS%CP10079.src
           oficonv/datasrc/csmapper/CP/UCS%CP10081.src
           oficonv/datasrc/csmapper/CP/UCS%CP1026.src
           oficonv/datasrc/csmapper/CP/UCS%CP1046.src
           oficonv/datasrc/csmapper/CP/UCS%CP1124.src
           oficonv/datasrc/csmapper/CP/UCS%CP1125.src
           oficonv/datasrc/csmapper/CP/UCS%CP1129.src
           oficonv/datasrc/csmapper/CP/UCS%CP1131.src
           oficonv/datasrc/csmapper/CP/UCS%CP1133.src
           oficonv/datasrc/csmapper/CP/UCS%CP1161.src
           oficonv/datasrc/csmapper/CP/UCS%CP1162.src
           oficonv/datasrc/csmapper/CP/UCS%CP1163.src
           oficonv/datasrc/csmapper/CP/UCS%CP1250.src
           oficonv/datasrc/csmapper/CP/UCS%CP1251.src
           oficonv/datasrc/csmapper/CP/UCS%CP1252.src
           oficonv/datasrc/csmapper/CP/UCS%CP1253.src
           oficonv/datasrc/csmapper/CP/UCS%CP1254.src
           oficonv/datasrc/csmapper/CP/UCS%CP1255.src
           oficonv/datasrc/csmapper/CP/UCS%CP1256.src
           oficonv/datasrc/csmapper/CP/UCS%CP1257.src
           oficonv/datasrc/csmapper/CP/UCS%CP1258.src
           oficonv/datasrc/csmapper/CP/UCS%CP273.src
           oficonv/datasrc/csmapper/CP/UCS%CP274.src
           oficonv/datasrc/csmapper/CP/UCS%CP275.src
           oficonv/datasrc/csmapper/CP/UCS%CP277.src
           oficonv/datasrc/csmapper/CP/UCS%CP278.src
           oficonv/datasrc/csmapper/CP/UCS%CP280.src
           oficonv/datasrc/csmapper/CP/UCS%CP281.src
           oficonv/datasrc/csmapper/CP/UCS%CP284.src
           oficonv/datasrc/csmapper/CP/UCS%CP285.src
           oficonv/datasrc/csmapper/CP/UCS%CP290.src
           oficonv/datasrc/csmapper/CP/UCS%CP297.src
           oficonv/datasrc/csmapper/CP/UCS%CP420.src
           oficonv/datasrc/csmapper/CP/UCS%CP423.src
           oficonv/datasrc/csmapper/CP/UCS%CP424.src
           oficonv/datasrc/csmapper/CP/UCS%CP437.src
           oficonv/datasrc/csmapper/CP/UCS%CP500.src
           oficonv/datasrc/csmapper/CP/UCS%CP737.src
           oficonv/datasrc/csmapper/CP/UCS%CP775.src
           oficonv/datasrc/csmapper/CP/UCS%CP850.src
           oficonv/datasrc/csmapper/CP/UCS%CP851.src
           oficonv/datasrc/csmapper/CP/UCS%CP852.src
           oficonv/datasrc/csmapper/CP/UCS%CP853.src
           oficonv/datasrc/csmapper/CP/UCS%CP855.src
           oficonv/datasrc/csmapper/CP/UCS%CP856.src
           oficonv/datasrc/csmapper/CP/UCS%CP857.src
           oficonv/datasrc/csmapper/CP/UCS%CP858.src
           oficonv/datasrc/csmapper/CP/UCS%CP860.src
           oficonv/datasrc/csmapper/CP/UCS%CP861.src
           oficonv/datasrc/csmapper/CP/UCS%CP862.src
           oficonv/datasrc/csmapper/CP/UCS%CP863.src
           oficonv/datasrc/csmapper/CP/UCS%CP864.src
           oficonv/datasrc/csmapper/CP/UCS%CP865.src
           oficonv/datasrc/csmapper/CP/UCS%CP866.src
           oficonv/datasrc/csmapper/CP/UCS%CP868.src
           oficonv/datasrc/csmapper/CP/UCS%CP869.src
           oficonv/datasrc/csmapper/CP/UCS%CP870.src
           oficonv/datasrc/csmapper/CP/UCS%CP871.src
           oficonv/datasrc/csmapper/CP/UCS%CP874.src
           oficonv/datasrc/csmapper/CP/UCS%CP875.src
           oficonv/datasrc/csmapper/CP/UCS%CP880.src
           oficonv/datasrc/csmapper/CP/UCS%CP891.src
           oficonv/datasrc/csmapper/CP/UCS%CP903.src
           oficonv/datasrc/csmapper/CP/UCS%CP904.src
           oficonv/datasrc/csmapper/CP/UCS%CP905.src
           oficonv/datasrc/csmapper/CP/UCS%CP918.src
           oficonv/datasrc/csmapper/CP/UCS%CP922.src
           oficonv/datasrc/csmapper/CP/UCS%CP932UDA.src
           oficonv/datasrc/csmapper/CP/UCS%CP932VDC@IBM.src
           oficonv/datasrc/csmapper/CP/UCS%CP932VDC@NEC_IBM.src
           oficonv/datasrc/csmapper/CP/UCS%CP936EXT.src
           oficonv/datasrc/csmapper/CP/UCS%CP942EXT.src
           oficonv/datasrc/csmapper/CP/UCS%CP949EXT.src
           oficonv/datasrc/csmapper/CP/UCS%CP950.src
           oficonv/datasrc/csmapper/GB/GB18030%UCS@BMP.src
           oficonv/datasrc/csmapper/GB/GB2312%UCS.src
           oficonv/datasrc/csmapper/GB/GB2312EXT%UCS.src
           oficonv/datasrc/csmapper/GB/GB2312GBK%UCS.src
           oficonv/datasrc/csmapper/GB/GB2312UDA1%UCS.src
           oficonv/datasrc/csmapper/GB/GB2312UDA2%UCS.src
           oficonv/datasrc/csmapper/GB/GBKEXT%UCS.src
           oficonv/datasrc/csmapper/GB/GBKUDA%UCS.src
           oficonv/datasrc/csmapper/GB/UCS%GB2312.src
           oficonv/datasrc/csmapper/GB/UCS%GB2312EXT.src
           oficonv/datasrc/csmapper/GB/UCS%GB2312UDA1.src
           oficonv/datasrc/csmapper/GB/UCS%GB2312UDA2.src
           oficonv/datasrc/csmapper/GB/UCS%GBKEXT.src
           oficonv/datasrc/csmapper/GB/UCS%GBKUDA.src
           oficonv/datasrc/csmapper/GB/UCS@BMP%GB18030.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-11%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-2%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-3%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-4%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-5%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-6%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-7%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-8%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/ISO-8859-9%UCS.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-11.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-2.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-3.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-4.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-5.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-6.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-7.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-8.src
           oficonv/datasrc/csmapper/ISO-8859/UCS%ISO-8859-9.src
           oficonv/datasrc/csmapper/ISO646/ISO646-BASIC@1983%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CA%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CA2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CN%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-CU%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-DE%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-DK%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-ES%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-ES2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FI%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FR%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-FR1%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-GB%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-HU%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-IRV@1983%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-IT%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-JP%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-JP-OCR-B%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-KR%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-NO%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-NO2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-PT%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-PT2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-SE%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-SE2%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-US%UCS.646
           oficonv/datasrc/csmapper/ISO646/ISO646-YU%UCS.646
           oficonv/datasrc/csmapper/JIS/JISX0201-KANA%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208@1978%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208@1990%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208@MS%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208UDC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0208VDC@NEC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212@MS%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212UDC%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0212VDC@IBM%UCS.src
           oficonv/datasrc/csmapper/JIS/JISX0213-1%UCS@BMP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-1%UCS@SIP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-2%UCS@BMP.src
           oficonv/datasrc/csmapper/JIS/JISX0213-2%UCS@SIP.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0201-KANA.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208@1978.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208@1990.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208@MS.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208UDC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0208VDC@NEC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212@MS.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212UDC.src
           oficonv/datasrc/csmapper/JIS/UCS%JISX0212VDC@IBM.src
           oficonv/datasrc/csmapper/JIS/UCS@BMP%JISX0213-1.src
           oficonv/datasrc/csmapper/JIS/UCS@BMP%JISX0213-2.src
           oficonv/datasrc/csmapper/JIS/UCS@SIP%JISX0213-1.src
           oficonv/datasrc/csmapper/JIS/UCS@SIP%JISX0213-2.src
           oficonv/datasrc/csmapper/KS/KSC5601HANGUL%UCS.src
           oficonv/datasrc/csmapper/KS/KSC5601HANJA%UCS.src
           oficonv/datasrc/csmapper/KS/UCS%KSC5601HANGUL.src
           oficonv/datasrc/csmapper/KS/UCS%KSC5601HANJA.src
           oficonv/datasrc/csmapper/charset.pivot
           oficonv/datasrc/csmapper/mapper.dir
           oficonv/datasrc/esdb/CP/CP.src
           oficonv/datasrc/esdb/CP/CP50220.src
           oficonv/datasrc/esdb/CP/CP50221.src
           oficonv/datasrc/esdb/CP/CP50222.src
           oficonv/datasrc/esdb/CP/CP51932.src
           oficonv/datasrc/esdb/CP/CP932.src
           oficonv/datasrc/esdb/CP/CP936.src
           oficonv/datasrc/esdb/CP/CP942.src
           oficonv/datasrc/esdb/CP/CP942C.src
           oficonv/datasrc/esdb/CP/CP943.src
           oficonv/datasrc/esdb/CP/CP943C.src
           oficonv/datasrc/esdb/CP/CP949.src
           oficonv/datasrc/esdb/CP/CP950.src
           oficonv/datasrc/esdb/EUC/EUC-CN.src
           oficonv/datasrc/esdb/EUC/EUC-JIS-2004.src
           oficonv/datasrc/esdb/EUC/EUC-JP-MS.src
           oficonv/datasrc/esdb/EUC/EUC-JP.src
           oficonv/datasrc/esdb/EUC/EUC-KR.src
           oficonv/datasrc/esdb/EUC/EUC-TW.src
           oficonv/datasrc/esdb/GB/GB12345.src
           oficonv/datasrc/esdb/GB/GB18030.src
           oficonv/datasrc/esdb/GB/GBK.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-CN-EXT.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-CN.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-1.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-2.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP-2004.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-JP.src
           oficonv/datasrc/esdb/ISO-2022/ISO-2022-KR.src
           oficonv/datasrc/esdb/ISO-8859/ISO-8859.src
           oficonv/datasrc/esdb/ISO646/ISO646.src
           oficonv/datasrc/esdb/MISC/C99.src
           oficonv/datasrc/esdb/MISC/CTEXT.src
           oficonv/datasrc/esdb/MISC/ISO-IR-165.src
           oficonv/datasrc/esdb/MISC/JAVA.src
           oficonv/datasrc/esdb/MISC/JISX0201-KANA.src
           oficonv/datasrc/esdb/MISC/JISX0208@1990.src
           oficonv/datasrc/esdb/MISC/Shift_JIS-2004.src
           oficonv/datasrc/esdb/MISC/Shift_JIS.src
           oficonv/datasrc/esdb/UTF/UTF.src
           oficonv/datasrc/esdb/esdb.alias
           oficonv/datasrc/esdb/esdb.dir
           oficonv/datasrc/replace.cmake
  Affects: oficonv/CMakeLists.txt

- Refactored oficonv unit tests:
  Refactored data tables for the oficonv unit tests into separate files
  and added further test cases.
  Added:   oficonv/tests/tables_gb2312.h
           oficonv/tests/tables_gbk.h
           oficonv/tests/tables_iso8859.h
           oficonv/tests/tables_jis_x0201.h
           oficonv/tests/tables_jis_x0208.h
           oficonv/tests/tables_ksx_1001.h
  Affects: oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Further code cleanup:
  Further code cleanup. Removed the __restrict and __unused attribute macros.
  Code now compiles without warning on VS 2017.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_csmapper.h
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_lookup_factory.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper.h
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_local.h
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_std_local.h
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_memstream.h
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_mmap.h
           oficonv/libsrc/citrus_module.h
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_prop.h
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_stdenc.h
           oficonv/libsrc/citrus_stdenc_local.h
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_types.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_zw.c
           oficonv/libsrc/iconv.c

- Expanded unit tests for oficonv.
  Affects: oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc

- Initial port of oficonv to Windows.
  Added:   oficonv/libsrc/oficonv_queue.h
           oficonv/libsrc/windows_mmap.h
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/_strtoul.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_hash.h
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iconv_std_local.h
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_lock.h
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_module.h
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_zw.c
           oficonv/libsrc/iconv.c
           oficonv/libsrc/strcasestr.c
           ofstd/libsrc/ofchrenc.cc

- Added configure tests needed for oficonv.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Adapted charset conversion tests for oficonv:
  Adapted some charset conversion tests where the transliteration
  feature of oficonv works differently than libiconv.
  Affects: ofstd/tests/tchrenc.cc

- Moved debug output to different place.
  Affects: oficonv/libsrc/citrus_mmap.c

- Improved documentation.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h

- Initial set of unit tests for module oficonv.
  Added:   oficonv/tests/CMakeLists.txt
           oficonv/tests/Makefile.dep
           oficonv/tests/Makefile.in
           oficonv/tests/tests.cc
           oficonv/tests/ticonv.cc
  Affects: oficonv/CMakeLists.txt

- Updates and fixes for oficonv:
  Merged updates and fixes from current FreeBSD source
  tree (as of January 2022) into oficonv.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_csmapper.h
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_prop.h
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_stdenc.h
           oficonv/libsrc/citrus_stdenc_local.h
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_zw.c
           oficonv/libsrc/iconv.c
           ofstd/libsrc/ofchrenc.cc

- Added support for oficonv in OFCharacterEncoding:
  Class OFCharacterEncoding now supports character set conversion based on
  the new oficonv module.
  Affects: ofstd/libsrc/ofchrenc.cc

- Updated character set conversion mode detection:
  The new default is now to compile DCMTK with character set conversion support
  based on the built-in oficonv module. This default can be overridden by
  defining the CMake variable DCMTK_ENABLE_CHARSET_CONVERSION. Possible values
  are "DCMTK_CHARSET_CONVERSION_OFICONV", "DCMTK_CHARSET_CONVERSION_ICONV",
  "DCMTK_CHARSET_CONVERSION_ICU", "DCMTK_CHARSET_CONVERSION_STDLIBC_ICONV" or
  "DCMTK_CHARSET_CONVERSION_NONE" to disable character set conversion.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Added OFlocale_charset() function.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/iconv.c

- Adapted CMake files for module oficonv.
  Affects: ofstd/CMakeLists.txt
           ofstd/libsrc/CMakeLists.txt

- Further code cleanup.
  Affects: oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_types.h

- Removed citrus csmapper macros:
  Removed the unneeded citrus csmapper macros that renamed certain
  types and functions.
  Affects: oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_csmapper.h
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper.h
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_local.h
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_zone.c

- Removed citrus namespace macros:
  Removed the unneeded citrus namespace macros that renamed several
  types and functions depending on the presence of certain symbols.
  Affects: oficonv/libsrc/citrus_aliasname_local.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs_strtol.c
           oficonv/libsrc/citrus_bcs_strtoul.c
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_db.c
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_db_hash.c
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_hash.c
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_lookup.c
           oficonv/libsrc/citrus_lookup.h
           oficonv/libsrc/citrus_lookup_factory.c
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper.h
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_std_local.h
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_module.h
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_zw.c
  Removed: oficonv/libsrc/citrus_namespace.h

- Further code cleanup.
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_module.c

- Code cleanup of oficonv:
  The oficonv now compiles and works on Linux, although not all unit tests
  pass yet. Unlike the citrus libiconv implementation, modules are not loaded
  dynamically from shared objects, but are statically included in the library.
  Added:   oficonv/libsrc/strcasestr.c
           oficonv/libsrc/strcasestr.h
           oficonv/libsrc/strlcpy.c
           oficonv/libsrc/strlcpy.h
  Affects: oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/_strtol.h
           oficonv/libsrc/_strtoul.h
           oficonv/libsrc/citrus_aliasname_local.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_bcs_strtol.c
           oficonv/libsrc/citrus_bcs_strtoul.c
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_big5.h
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_csmapper.h
           oficonv/libsrc/citrus_db.c
           oficonv/libsrc/citrus_db.h
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_db_factory.h
           oficonv/libsrc/citrus_db_file.h
           oficonv/libsrc/citrus_db_hash.c
           oficonv/libsrc/citrus_db_hash.h
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_dechanyu.h
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_esdb.h
           oficonv/libsrc/citrus_esdb_file.h
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euc.h
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_euctw.h
           oficonv/libsrc/citrus_fix_grouping.h
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_gbk2k.h
           oficonv/libsrc/citrus_hash.c
           oficonv/libsrc/citrus_hash.h
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_hz.h
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_none.h
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iconv_std.h
           oficonv/libsrc/citrus_iconv_std_local.h
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_iso2022.h
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_johab.h
           oficonv/libsrc/citrus_lock.h
           oficonv/libsrc/citrus_lookup.c
           oficonv/libsrc/citrus_lookup.h
           oficonv/libsrc/citrus_lookup_factory.c
           oficonv/libsrc/citrus_lookup_factory.h
           oficonv/libsrc/citrus_lookup_file.h
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper.h
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_646.h
           oficonv/libsrc/citrus_mapper_local.h
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_none.h
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_serial.h
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_std.h
           oficonv/libsrc/citrus_mapper_std_file.h
           oficonv/libsrc/citrus_mapper_std_local.h
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_mapper_zone.h
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_memstream.h
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_mmap.h
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_module.h
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_mskanji.h
           oficonv/libsrc/citrus_namespace.h
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_none.h
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_pivot_factory.h
           oficonv/libsrc/citrus_pivot_file.h
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_prop.h
           oficonv/libsrc/citrus_region.h
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_stdenc.h
           oficonv/libsrc/citrus_stdenc_local.h
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_types.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_ues.h
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf1632.h
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf7.h
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_utf8.h
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_viqr.h
           oficonv/libsrc/citrus_zw.c
           oficonv/libsrc/citrus_zw.h
           oficonv/libsrc/iconv.c
  Removed: oficonv/libsrc/_libiconv_compat.h

- Initial commit of BSD citrus libiconv:
  Initial commit of the citrus libiconv implementation, which is licensed under
  the BSD license and part of the FreeBSD and NetBSD operating systems.
  This commit retains the original files as taken from the FreeBSD git
  with only the minimum set of changes required to make the library compile
  (but not yet work) on Linux. All changes are marked with
  BEGIN/END DCMTK modifications comments.
  Added:   oficonv/CMakeLists.txt
           oficonv/include/CMakeLists.txt
           oficonv/include/dcmtk/oficonv/iconv.h
           oficonv/libsrc/CMakeLists.txt
           oficonv/libsrc/_libiconv_compat.h
           oficonv/libsrc/_strtol.h
           oficonv/libsrc/_strtoul.h
           oficonv/libsrc/citrus_aliasname_local.h
           oficonv/libsrc/citrus_bcs.c
           oficonv/libsrc/citrus_bcs.h
           oficonv/libsrc/citrus_bcs_strtol.c
           oficonv/libsrc/citrus_bcs_strtoul.c
           oficonv/libsrc/citrus_big5.c
           oficonv/libsrc/citrus_big5.h
           oficonv/libsrc/citrus_csmapper.c
           oficonv/libsrc/citrus_csmapper.h
           oficonv/libsrc/citrus_db.c
           oficonv/libsrc/citrus_db.h
           oficonv/libsrc/citrus_db_factory.c
           oficonv/libsrc/citrus_db_factory.h
           oficonv/libsrc/citrus_db_file.h
           oficonv/libsrc/citrus_db_hash.c
           oficonv/libsrc/citrus_db_hash.h
           oficonv/libsrc/citrus_dechanyu.c
           oficonv/libsrc/citrus_dechanyu.h
           oficonv/libsrc/citrus_esdb.c
           oficonv/libsrc/citrus_esdb.h
           oficonv/libsrc/citrus_esdb_file.h
           oficonv/libsrc/citrus_euc.c
           oficonv/libsrc/citrus_euc.h
           oficonv/libsrc/citrus_euctw.c
           oficonv/libsrc/citrus_euctw.h
           oficonv/libsrc/citrus_fix_grouping.h
           oficonv/libsrc/citrus_gbk2k.c
           oficonv/libsrc/citrus_gbk2k.h
           oficonv/libsrc/citrus_hash.c
           oficonv/libsrc/citrus_hash.h
           oficonv/libsrc/citrus_hz.c
           oficonv/libsrc/citrus_hz.h
           oficonv/libsrc/citrus_iconv.c
           oficonv/libsrc/citrus_iconv.h
           oficonv/libsrc/citrus_iconv_local.h
           oficonv/libsrc/citrus_iconv_none.c
           oficonv/libsrc/citrus_iconv_none.h
           oficonv/libsrc/citrus_iconv_std.c
           oficonv/libsrc/citrus_iconv_std.h
           oficonv/libsrc/citrus_iconv_std_local.h
           oficonv/libsrc/citrus_iso2022.c
           oficonv/libsrc/citrus_iso2022.h
           oficonv/libsrc/citrus_johab.c
           oficonv/libsrc/citrus_johab.h
           oficonv/libsrc/citrus_lock.h
           oficonv/libsrc/citrus_lookup.c
           oficonv/libsrc/citrus_lookup.h
           oficonv/libsrc/citrus_lookup_factory.c
           oficonv/libsrc/citrus_lookup_factory.h
           oficonv/libsrc/citrus_lookup_file.h
           oficonv/libsrc/citrus_mapper.c
           oficonv/libsrc/citrus_mapper.h
           oficonv/libsrc/citrus_mapper_646.c
           oficonv/libsrc/citrus_mapper_646.h
           oficonv/libsrc/citrus_mapper_local.h
           oficonv/libsrc/citrus_mapper_none.c
           oficonv/libsrc/citrus_mapper_none.h
           oficonv/libsrc/citrus_mapper_serial.c
           oficonv/libsrc/citrus_mapper_serial.h
           oficonv/libsrc/citrus_mapper_std.c
           oficonv/libsrc/citrus_mapper_std.h
           oficonv/libsrc/citrus_mapper_std_file.h
           oficonv/libsrc/citrus_mapper_std_local.h
           oficonv/libsrc/citrus_mapper_zone.c
           oficonv/libsrc/citrus_mapper_zone.h
           oficonv/libsrc/citrus_memstream.c
           oficonv/libsrc/citrus_memstream.h
           oficonv/libsrc/citrus_mmap.c
           oficonv/libsrc/citrus_mmap.h
           oficonv/libsrc/citrus_module.c
           oficonv/libsrc/citrus_module.h
           oficonv/libsrc/citrus_mskanji.c
           oficonv/libsrc/citrus_mskanji.h
           oficonv/libsrc/citrus_namespace.h
           oficonv/libsrc/citrus_none.c
           oficonv/libsrc/citrus_none.h
           oficonv/libsrc/citrus_pivot_factory.c
           oficonv/libsrc/citrus_pivot_factory.h
           oficonv/libsrc/citrus_pivot_file.h
           oficonv/libsrc/citrus_prop.c
           oficonv/libsrc/citrus_prop.h
           oficonv/libsrc/citrus_region.h
           oficonv/libsrc/citrus_stdenc.c
           oficonv/libsrc/citrus_stdenc.h
           oficonv/libsrc/citrus_stdenc_local.h
           oficonv/libsrc/citrus_stdenc_template.h
           oficonv/libsrc/citrus_types.h
           oficonv/libsrc/citrus_ues.c
           oficonv/libsrc/citrus_ues.h
           oficonv/libsrc/citrus_utf1632.c
           oficonv/libsrc/citrus_utf1632.h
           oficonv/libsrc/citrus_utf7.c
           oficonv/libsrc/citrus_utf7.h
           oficonv/libsrc/citrus_utf8.c
           oficonv/libsrc/citrus_utf8.h
           oficonv/libsrc/citrus_viqr.c
           oficonv/libsrc/citrus_viqr.h
           oficonv/libsrc/citrus_zw.c
           oficonv/libsrc/citrus_zw.h
           oficonv/libsrc/iconv.c
  Affects: CMakeLists.txt

**** Changes from 2022.06.09 (onken)

- Set port in config method only for NCREATE test.
  Affects: dcmnet/tests/tscuscp.cc

- Use random listen port for NCREATE tests.
  Affects: dcmnet/tests/tscuscp.cc

- Status string fix and more sleep() in tests.
  Affects: dcmnet/libsrc/scu.cc
           dcmnet/tests/tscuscp.cc

**** Changes from 2022.06.09 (eichelberg)

- Fixed memory leak in single process mode:
  Fixed a memory leak in dcmqrscp's single process mode.
  Thanks to <songxiangpu@mail.sdu.edu.cn> for the bug report and test data.
  Affects: dcmqrdb/libsrc/dcmqrsrv.cc

**** Changes from 2022.06.08 (onken)

- Another N-CREATE test fix approach.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2022.06.08 (eichelberg)

- Ensure that libdcmxml is non-empty:
  Added a dummy function in case libdcmxml is compiled without libxml2,
  to avoid a completely empty library.
  Affects: dcmdata/libdcxml/xml2dcm.cc

- Fixed ofstd_gethostnamebyaddress test on Cygwin.
  Affects: ofstd/tests/tofstd.cc

- Fixed build of ofstd tests on Windows.
  Affects: ofstd/tests/tofstd.cc

**** Changes from 2022.06.07 (eichelberg)

- Fixed OFStandard::getHostnameByAddress on OpenBSD:
  Fixed OFStandard::getHostnameByAddress on OpenBSD, where the length parameter
  is expected to exactly match the size of the structure used to store the
  numerical network address. Also added a unit test for this function.
  Affects: ofstd/libsrc/ofstd.cc
           ofstd/tests/tests.cc
           ofstd/tests/tofstd.cc

**** Changes from 2022.05.30 (riesmeier)

- Fixed wrong print() output of empty concept names:
  Fixed wrong print() output of empty concept names, which was introduced
  with a recent commit (b48f82c2).
  Affects: dcmsr/libsrc/dsrdoctn.cc

**** Changes from 2022.05.27 (riesmeier)

- Added "Rendition Selection Document" to the list:
  Added "Rendition Selection Document" (introduced with Supplement 202) to
  the list of supported "ReportTypes" in the XML Schema (XSD).
  Affects: dcmsr/data/dsr2xml.xsd

- Fixed typos found by codespell:
  Fixed (most) typos found by codespell, i.e. after reviewing them.
  Thanks to Dimitri PAPADOPOULOS ORFANOS <dimitri.papadopoulos@cea.fr> for
  the report and proposed patch.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/dcmtkPrepare.cmake
           config/docs/macros.txt
           dcmdata/apps/dcm2pdf.cc
           dcmdata/apps/mdfconen.h
           dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/include/dcmtk/dcmdata/dcdict.h
           dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/include/dcmtk/dcmdata/dcrleenc.h
           dcmdata/include/dcmtk/dcmdata/dcswap.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplnsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplop.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplvlp.h
           dcmdata/libi2d/i2dbmps.cc
           dcmdata/libi2d/i2djpgs.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmatch.cc
           dcmdata/libsrc/dcpxitem.cc
           dcmdata/tests/ti2dbmp.cc
           dcmect/tests/t_roundtrip.cc
           dcmfg/include/dcmtk/dcmfg/fgctacquisitiondetails.h
           dcmfg/include/dcmtk/dcmfg/fgctacquisitiontype.h
           dcmfg/include/dcmtk/dcmfg/fgctimageframetype.h
           dcmfg/include/dcmtk/dcmfg/fgfracon.h
           dcmfg/include/dcmtk/dcmfg/fgirradiationeventid.h
           dcmfg/libsrc/concatenationcreator.cc
           dcmfg/libsrc/fgimagedatatype.cc
           dcmimage/include/dcmtk/dcmimage/dcmicmph.h
           dcmimage/include/dcmtk/dcmimage/dicoopx.h
           dcmimage/include/dcmtk/dcmimage/dipipng.h
           dcmimage/include/dcmtk/dcmimage/dipitiff.h
           dcmimage/include/dcmtk/dcmimage/diqtctab.h
           dcmimage/libsrc/dipipng.cc
           dcmimage/libsrc/dipitiff.cc
           dcmimage/libsrc/diqtctab.cc
           dcmimgle/include/dcmtk/dcmimgle/dcmimage.h
           dcmimgle/include/dcmtk/dcmimgle/dimoimg.h
           dcmimgle/include/dcmtk/dcmimgle/diplugin.h
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/didispfn.cc
           dcmiod/include/dcmtk/dcmiod/iodmacro.h
           dcmiod/include/dcmtk/dcmiod/iodreferences.h
           dcmiod/include/dcmtk/dcmiod/modbase.h
           dcmiod/include/dcmtk/dcmiod/modcommoninstanceref.h
           dcmiod/include/dcmtk/dcmiod/modenhusimage.h
           dcmiod/libsrc/modfloatingpointimagepixel.cc
           dcmiod/libsrc/modmultiframedimension.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/include/dcmtk/dcmjpeg/ddpiimpl.h
           dcmjpeg/include/dcmtk/dcmjpeg/dipijpeg.h
           dcmjpeg/libsrc/dipijpeg.cc
           dcmjpeg/libsrc/djcodecd.cc
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/libcharls/procline.h
           dcmjpls/libsrc/djcodecd.cc
           dcmnet/docs/dcmrecv.man
           dcmnet/docs/testing.txt
           dcmnet/include/dcmtk/dcmnet/dcasccfg.h
           dcmnet/include/dcmtk/dcmnet/dcompat.h
           dcmnet/include/dcmtk/dcmnet/dimse.h
           dcmnet/include/dcmtk/dcmnet/dstorscp.h
           dcmnet/include/dcmtk/dcmnet/scpcfg.h
           dcmnet/libsrc/dcompat.cc
           dcmnet/libsrc/dimcmd.cc
           dcmnet/libsrc/dimget.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/dulconst.cc
           dcmpmap/include/dcmtk/dcmpmap/dpmtypes.h
           dcmpstat/apps/dcmmklut.cc
           dcmpstat/apps/dcmpschk.cc
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/etc/dcmpstat.cfg
           dcmpstat/include/dcmtk/dcmpstat/dcmpstat.h
           dcmpstat/include/dcmtk/dcmpstat/dviface.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsprt.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstat.h
           dcmpstat/tests/msgserv.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdba.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbi.h
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrtis.cc
           dcmrt/CHANGES
           dcmrt/include/dcmtk/dcmrt/drmimage.h
           dcmrt/include/dcmtk/dcmrt/drtdose.h
           dcmrt/include/dcmtk/dcmrt/drtimage.h
           dcmrt/include/dcmtk/dcmrt/drtionpl.h
           dcmrt/include/dcmtk/dcmrt/drtiontr.h
           dcmrt/include/dcmtk/dcmrt/drtplan.h
           dcmrt/include/dcmtk/dcmrt/drtstrct.h
           dcmrt/include/dcmtk/dcmrt/drttreat.h
           dcmrt/include/dcmtk/dcmrt/drttypes.h
           dcmrt/include/dcmtk/dcmrt/seq/drtaadcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtadcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtads.h
           dcmrt/include/dcmtk/dcmrt/seq/drtafs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtags.h
           dcmrt/include/dcmtk/dcmrt/seq/drtajcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas5.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtas7.h
           dcmrt/include/dcmtk/dcmrt/seq/drtass.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbads.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbl2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbl5.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds5.h
           dcmrt/include/dcmtk/dcmrt/seq/drtblds6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbldts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrcss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtbvcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcbars.h
           dcmrt/include/dcmtk/dcmrt/seq/drtccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcctus.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtces.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcgis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtchs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcims.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcncs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcpas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtcss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdddps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtddps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdias.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdimcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdimrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdirs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdspcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdvhs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtdvrrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drteas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtes.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfes.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfgs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfgss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtfsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgmcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtgpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drthsdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiais.h
           dcmrt/include/dcmtk/dcmrt/seq/drtians.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiblds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtibls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtibs.h
           dcmrt/include/dcmtk/dcmrt/seq/drticpds.h
           dcmrt/include/dcmtk/dcmrt/seq/drticps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtipiqs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtircs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiseis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtitts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiwps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtiws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtlsds7.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmacds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtmucs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtoas.h
           dcmrt/include/dcmtk/dcmrt/seq/drtois.h
           dcmrt/include/dcmtk/dcmrt/seq/drtopis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpbcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpcxs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpdecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpdeds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpfms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtporcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtporis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtppcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtprsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpsics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtpvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtqds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtras.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbas2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbas8.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbos7.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrbs8.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrdrs8.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrecs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrfgs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrfors.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrics.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrims.h
           dcmrt/include/dcmtk/dcmrt/seq/drtris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrlsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmdrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmss6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrmss7.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrppcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpphs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrpps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrppss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris1.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrris9.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrpcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrros.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps3.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrrtps5.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsers.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrses.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs6.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrshs7.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsns.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsos.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrsts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrtrs2.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrtrs4.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrvis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtrwvms.h
           dcmrt/include/dcmtk/dcmrt/seq/drtscris.h
           dcmrt/include/dcmtk/dcmrt/seq/drtscs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsdcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtshds.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsins.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsns.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspccs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtspgis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsptcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtss.h
           dcmrt/include/dcmtk/dcmrt/seq/drtssrcs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtssrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtsss.h
           dcmrt/include/dcmtk/dcmrt/seq/drttms0.h
           dcmrt/include/dcmtk/dcmrt/seq/drttms9.h
           dcmrt/include/dcmtk/dcmrt/seq/drttscds.h
           dcmrt/include/dcmtk/dcmrt/seq/drttsibs.h
           dcmrt/include/dcmtk/dcmrt/seq/drttsmds.h
           dcmrt/include/dcmtk/dcmrt/seq/drttts.h
           dcmrt/include/dcmtk/dcmrt/seq/drtudis.h
           dcmrt/include/dcmtk/dcmrt/seq/drtvls.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwps.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtwrsrs.h
           dcmrt/include/dcmtk/dcmrt/seq/drtws.h
           dcmrt/include/dcmtk/dcmrt/seq/drtxrs.h
           dcmseg/tests/tconcat_binary.cc
           dcmseg/tests/troundtrip.cc
           dcmsign/include/dcmtk/dcmsign/sitsfs.h
           dcmsign/libsrc/sicertvf.cc
           dcmsign/libsrc/sicreapr.cc
           dcmsign/libsrc/sitstamp.cc
           dcmtls/tests/dcmtk_ca.pl
           dcmtract/include/dcmtk/dcmtract/trctrackset.h
           dcmwlm/include/dcmtk/dcmwlm/wlds.h
           dcmwlm/include/dcmtk/dcmwlm/wldsfs.h
           dcmwlm/include/dcmtk/dcmwlm/wlfsim.h
           dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h
           dcmwlm/libsrc/wlfsim.cc
           doxygen/manpages/man1/dcmpsmk.1
           doxygen/manpages/man1/dcmrecv.1
           oflog/etc/logger.cfg
           oflog/include/dcmtk/oflog/clogger.h
           oflog/include/dcmtk/oflog/configrt.h
           oflog/include/dcmtk/oflog/internal/internal.h
           oflog/include/dcmtk/oflog/internal/socket.h
           oflog/include/dcmtk/oflog/layout.h
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/spi/filter.h
           oflog/include/dcmtk/oflog/spi/rootlog.h
           oflog/libsrc/config.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/hierlock.cc
           oflog/libsrc/logevent.cc
           oflog/libsrc/patlay.cc
           ofstd/include/dcmtk/ofstd/ofalign.h
           ofstd/include/dcmtk/ofstd/ofconfig.h
           ofstd/include/dcmtk/ofstd/ofoption.h
           ofstd/include/dcmtk/ofstd/oftest.h
           ofstd/include/dcmtk/ofstd/ofxml.h
           ofstd/libsrc/ofxml.cc
           ofstd/tests/tlist.cc
           ofstd/tests/tmap.cc
           ofstd/tests/tmem.cc
           ofstd/tests/tstack.cc
           ofstd/tests/tthread.cc
           ofstd/tests/tvec.cc

**** Changes from 2022.05.26 (riesmeier)

- Fixed issue with misplaced \ in #error statement.
  Affects: CMake/osconfig.h.in
           config/configure.in
           config/include/dcmtk/config/osconfig.h.in

**** Changes from 2022.05.25 (riesmeier)

- Completed support for CP-2000 (dcmsr/cmr):
  Completed support for CP-2000 by adding support for the SR Template
  parameters $ImagePurpose or $Purpose to the implementation of TID 1501,
  300 and 320. This way, codes from CID 7551 can be passed as "types" e.g.
  to the method TID300_Measurement<>::addImage() or addSpatialCoordinates().
  Please note that an instance of the DSRCodedEntryValue class can still
  be passed to these methods, but a CODE_DCM_xxx define has to be converted
  explicitly (see test case "dcmsr_TID1501_MeasurementGroup" for an example).
  This closes DCMTK Conformance #950.
  Affects: dcmsr/include/dcmtk/dcmsr/cmr/tid1500.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1501.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid300.h
           dcmsr/libcmr/Makefile.dep
           dcmsr/libcmr/tid1501.cc
           dcmsr/libcmr/tid300.cc
           dcmsr/tests/Makefile.dep
           dcmsr/tests/tsrcmr.cc

- Fixed issue with unwanted debug message:
  Fixed issue with unwanted debug message ("D: INTERNAL ERROR...") on empty
  coded entry value that is e.g. used as the concept name of an IMAGE content
  item, e.g. when printing it to the console.
  Affects: dcmsr/libsrc/dsrcodvl.cc
           dcmsr/libsrc/dsrdoctn.cc

- Fixed issue when using option +Ca and +U8:
  Fixed an issue, or rather an unexpected behavior, when using option +Ca
  (--charset-assume) together with option +U8 (--convert-to-utf8).
  Now, when calling the xml2dcm tool for a DICOM file that is missing the
  SpecificCharacterSet attribute although it is needed (because extended
  characters are used), option +Ca is processed first and then +U8. This
  allows for specifying the correct value for the missing attribute (e.g.
  "ISO_IR 100") before converting the dataset and also the XML output to
  UTF-8 encoding.
  This partly closes DCMTK Feature #1024.
  Affects: dcmdata/apps/dcm2xml.cc
           dcmdata/docs/dcm2xml.man

- Added support for Context Groups 218 and 7551:
  Added support for Context Groups CID 218 and CID 7551. Both Context Groups
  are needed for TID 1500 "Measurement Report": the first one replaces, or
  better say extends, CID 7469; the latter is needed for a future commit in
  order to fully support CP-2000.
  Also fixed a few minor issues regarding other Context Group classes.
  This partly closes DCMTK Conformance #950.
  Added:   dcmsr/include/dcmtk/dcmsr/cmr/cid218.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid218e.h
           dcmsr/include/dcmtk/dcmsr/cmr/cid7551.h
           dcmsr/libcmr/cid218.cc
           dcmsr/libcmr/cid218e.cc
           dcmsr/libcmr/cid7551.cc
  Affects: dcmsr/include/dcmtk/dcmsr/cmr/cid4031e.h
           dcmsr/include/dcmtk/dcmsr/cmr/init.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1411.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1500.h
           dcmsr/include/dcmtk/dcmsr/cmr/tid1501.h
           dcmsr/libcmr/CMakeLists.txt
           dcmsr/libcmr/Makefile.dep
           dcmsr/libcmr/Makefile.in
           dcmsr/libcmr/init.cc
           dcmsr/libcmr/tid1411.cc
           dcmsr/libcmr/tid1419m.cc
           dcmsr/libcmr/tid1501.cc
           dcmsr/libcmr/tid300.cc
           dcmsr/tests/Makefile.dep

**** Changes from 2022.05.24 (eichelberg)

- Fixed dcmqrscp crash caused by malformed config file:
  Fixed various issues in the dcmqrscp configuration file parser
  that could cause application crashes when reading a malformed configuration
  file, due to insufficient checks of the input data.
  This closes DCMTK issue #1026.
  Thanks to Zahra Mirzamomen <zahra.mirzamomen@monash.edu> and
  Marcel Böhme <marcel.boehme@mpi-sp.org> for the bug report and sample files.
  Affects: dcmqrdb/libsrc/dcmqrcnf.cc

**** Changes from 2022.05.20 (onken)

- Tell server to stop before client releases assoc.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2022.05.19 (onken)

- Another fix attempt for N-CREATE tests..:
  More sleeping if system is very busy, disable SCP DNS lookup.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2022.05.18 (eichelberg)

- Fixed single shared library build:
  Fixed compilation of all DCMTK libraries into a single large DLL
  by calling cmake with the -DBUILD_SINGLE_SHARED_LIBRARY parameter.
  Affects: dcmdata/libdcxml/xml2dcm.cc
           dcmnet/libsrc/CMakeLists.txt
           dcmpstat/libsrc/CMakeLists.txt
           dcmsign/libsrc/CMakeLists.txt
           dcmtls/libsrc/CMakeLists.txt

**** Changes from 2022.05.18 (onken)

- Further N-CREATE test fixes/clarifications.
  Affects: dcmnet/tests/tscuscp.cc

**** Changes from 2022.05.17 (eichelberg)

- Added full support for CMake policy CMP0091:
  Added full support for the CMake policy CMP0091 introduced in CMake 3.15
  where the MSVC runtime is selected through the CMAKE_MSVC_RUNTIME_LIBRARY
  variable instead of by manipulating the C and C++ compiler flags manually.
  Affects: CMake/dcmtkPrepare.cmake
           CMakeLists.txt

**** Changes from 2022.05.17 (onken)

- Fixed OFCHECK_MSG format, timing in N-CREATE test.
  Affects: dcmnet/tests/tscuscp.cc
           ofstd/include/dcmtk/ofstd/oftest.h

- Even more changes to fix N-CREATE support tests:
  Simplified and cleaned up test where possible.
  Added more error messages.
  Introduced another OFTest macro (OFCHECK_MSG) which print an additional
  error message provided by caller if check fails.
  Affects: dcmnet/tests/tscuscp.cc
           ofstd/include/dcmtk/ofstd/oftest.h

**** Changes from 2022.05.17 (eichelberg)

- Fixed Windows build after previous commit.
  Added:   dcmdata/include/dcmtk/dcmdata/dcmxml/dcxmldf.h
  Affects: dcmdata/include/dcmtk/dcmdata/dcmxml/xml2dcm.h
           dcmdata/libi2d/CMakeLists.txt

- Moved class DcmXMLParseHelper into separate library:
  Moved class DcmXMLParseHelper, which depends on libxml2, into a separate
  library that is only linked by the few tools that actually convert
  XML files into DICOM datasets. This reduces the number of dependencies
  on libxml2 and the file size of many binaries if linked statically.
  Added:   dcmdata/libdcxml/CMakeLists.txt
           dcmdata/libdcxml/Makefile.dep
           dcmdata/libdcxml/Makefile.in
  Affects: dcmdata/CMakeLists.txt
           dcmdata/Makefile.in
           dcmdata/apps/CMakeLists.txt
           dcmdata/apps/Makefile.dep
           dcmdata/apps/Makefile.in
           dcmdata/apps/img2dcm.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/libi2d/CMakeLists.txt
           dcmdata/libi2d/Makefile.dep
           dcmdata/libi2d/i2d.cc
           dcmdata/libsrc/CMakeLists.txt
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/Makefile.in
           dcmdata/tests/Makefile.in
  Renamed: dcmdata/include/dcmtk/dcmdata/xml2dcm.h
         -> dcmdata/include/dcmtk/dcmdata/dcmxml/xml2dcm.h
           dcmdata/libsrc/xml2dcm.cc
         -> dcmdata/libdcxml/xml2dcm.cc

**** Changes from 2022.05.16 (riesmeier)

- Added comment on CMake policy "CMP0091" (MSVC):
  Added comment on CMake policy "CMP0091" and fixed indentation.
  Affects: CMakeLists.txt

**** Changes from 2022.05.16 (onken)

- Further changes to fix N-CREATE support tests:
  Try to use larger timeouts since test only seems to fail on busy
  machines.
  Affects: dcmnet/tests/tscuscp.cc

